#!/usr/bin/perl

use strict;
use warnings;

use Data::Dumper;
use Email::MIME;
use FDN::Common::Config;
use FDN::Images::PDF;
use FDN::Adsl::Basic;
use FDN::Adsl::Infos;

my $mail; {
	local $/;
	$mail = <STDIN>;
}

my $mime = Email::MIME->new($mail);
my $type = $mime->content_type();
if ( $type !~ /multipart\/mixed/i ) {
	die "Je ne sais pas traiter ce mail";
}
print "Type is $type\n";

my $tmpdir = "/tmp/$$";
if ( -e $tmpdir ) {
	die "Mon repertoire temporaire existe deja...";
}
mkdir $tmpdir;
chdir $tmpdir;

my $count = 0;
my @parts = $mime->subparts();
my @images;
for my $p ( @parts ) {
	my $stype = $p->content_type();
	print "type de contenu $stype\n";
	if ( $stype =~ /text\/plain/i ) {
		print "- texte, je jette\n";
		next;
	}

	$count++;
	my $body = $p->body();
	my $name = "file$count";
	open OUT, ">", $name;
	print OUT $body;
	close OUT;

	if ( $stype =~ /image\//i ) {
		print "- image, je prend\n";
		push @images, $name;
		next;
	}
	if ( $stype =~ /application\/pdf/i ) {
		print "- pdf, je prend\n";
		my $tmp = explode_pdf_file($name);
		`rm -f $name`;
		push @images, @$tmp;
		next;
	}
	my $info = `file -b "$name"`;
	if ( $info =~ /^PDF /i ) {
		print "- pdf aussi, je prend\n";
		my $tmp = explode_pdf_file($name);
		`rm -f $name`;
		push @images, @$tmp;
		next;
	}
	`rm -f $name`;
}

for my $img ( @images ) {
	store_info_image($img);
	`rm -f $img`;
}
chdir '/tmp';
rmdir $tmpdir;

print "J'ai pris ".@images." images\n"


