#!/usr/bin/perl

# Utilisable dans un cron mensuel

use strict;
use FDN::Adsl::Factu;
use FDN::Adsl::Wf;
use FDN::Common::Logger;

my ($sec,$min,$hour,$mday,$mon,$year,$wday,$yday,$isdst) = localtime();

# Note: c'est le mois precedent qu'on cloture
if ($mon == 0) {
	# Janvier, passer a l'annee precedente
	$mon = 12;
	$year = $year - 1;
}
my $mois = sprintf "%02u", $mon;
my $annee = sprintf "%u", $year + 1900;

my $clid = cloture_mois($annee,$mois);

if (!$clid) {
	envoie_mail('si@fdn.fr','cloture-err',{
			'mois' => $mois,
			'annee' => $annee,
		});

	debug "je n'ai pas pu creer la cloture pour $mois $annee";
} else {
	envoie_mail('tresorier@fdn.fr','cloture-ok',{
			'mois' => $mois,
			'annee' => $annee,
			'clid' => $clid,
		});

	debug "j'ai fini de creer la cloture pour $mois $annee: $clid";
}
