-- Schema de base de donnees

-- Une colonne etant une relation avec une autre est toujours notee <nomcolonne>_ID

-- Toujours ajouter de quoi supprimer les donnes dans Adsl/Purge.pm et de quoi vrifier les orphelins dans cgi/check-orphelins.cgi, pour RGPD toussa

-- Table de sequences. Permet de numeroter automatiquement les entites sans utiliser autoincrement
drop table if exists SEQ;
create table SEQ (
	SEQ_NAME varchar(20) NOT NULL default ''      ,
	SEQ_VALUE int(11) NOT NULL default '0'               ,
	SEQ_MINVALUE int(11) NOT NULL default '0'            ,
	SEQ_MAXVALUE int(11) NOT NULL default '0'            ,
	SEQ_INC int(11) NOT NULL default '0'                 ,
	SEQ_CYCLE ENUM('-1','0','1') NOT NULL default '-1'   ,
	primary key  (SEQ_NAME)
) ENGINE=MyISAM;

drop table if exists LIGNE;
create table LIGNE (
	LIGNE_ID int(11) NOT NULL default '0',
	DEBIT_ID int(11) NOT NULL default '0',
	PRIX_ID int(11),
	CLIENT_ID int(11),
	ADRESSE_ID int(11),
	LIGNE_TEL varchar(20) NOT NULL default '',
	LIGNE_OPT ENUM('option0','option1','option3','option5','LiazoOrange','LiazoOrangeNu','LiazoKosc','LiazoBouygues','AquilenetAxione') NOT NULL default 'option1',
	LIGNE_STATE ENUM('new','building','ok','del') default 'new',
	LIGNE_IDLD varchar(20) NOT NULL default '',
	LIGNE_DTMOD timestamp,
	LIGNE_DTIN timestamp,
	LIGNE_DTFAC timestamp,
	LIGNE_DTOK timestamp,
	LIGNE_DTOUT timestamp,
	primary key (LIGNE_ID),
	unique(LIGNE_TEL),
	index(CLIENT_ID)
) ENGINE=MyISAM;
replace into SEQ values('LIGNE_ID',0,0,99999999,1,'0');

drop table if exists VPN;
create table VPN (
	VPN_ID int(11) not null default '0',
	PRIX_ID int(11) not null default '0',
	ADRESSE_ID int(11),
	CLIENT_ID int(11),
	VPN_STATE ENUM('new', 'building', 'ok', 'del') default 'new',
	VPN_DTMOD timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
	VPN_DTIN timestamp  NOT NULL DEFAULT '0000-00-00 00:00:00',
	VPN_DTFAC timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
	VPN_DTOUT timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
	primary key(VPN_ID),
	index(CLIENT_ID)
) ENGINE=MyISAM;
replace into SEQ values('VPN_ID',0,0,99999999,1,'0');

drop table if exists ADRESSE;
create table ADRESSE (
	ADRESSE_ID int(11) NOT NULL default '0',
	ADRESSE_NOM varchar(70),
	ADRESSE_ADR text,
	ADRESSE_CP  varchar(10),
	ADRESSE_VILLE varchar(70),
	ADRESSE_MAIL varchar(70),
	ADRESSE_PGP varchar(40),
	ADRESSE_TEL varchar(80),
	ADRESSE_FAX varchar(80),
	primary key(ADRESSE_ID)
) ENGINE=MyISAM;

replace into ADRESSE values(1, "Neuronexion", "1, rue toto", "80000", "Amiens", "nnx@nnx.com", '', '', '');
replace into ADRESSE values(2, "Metaconsult SARL", "2, rue toto", "75000", "Paris", "", '', '', '' );
replace into ADRESSE values(3, "GlobeNet", "", "", "Paris", "", '', '', '');

-- Les 200 premiers identifiants sont reserves pour les
-- adresses des gens qu'on cree a la main
replace into SEQ values('ADRESSE_ID',200,0,99999999,1,'0');

drop table if exists PRIX;
create table PRIX (
	PRIX_ID int(11) NOT NULL default '0',
	PRIX_NOM varchar(255),
	PRIX_FASHT int(11),
	PRIX_ABOHT int(11),
	PRIX_FASTTC int(11),
	PRIX_ABOTTC int(11),
	PRIX_TVA ENUM('200','196','55','0'),
	primary key (PRIX_ID)
) ENGINE=MyISAM;
--                             Nom                         FAS HT   ABO HT   FAS TTC   ABO TTC   TVA     
insert into PRIX values (  1, 'Particuliers 128k Opt1'   , 7500   , 1583   , 9000    , 1900    , '200' );
insert into PRIX values (  2, 'Particuliers 512k Opt1'   , 7500   , 2083   , 9000    , 2500    , '200' );
insert into PRIX values (  3, 'Particuliers 1M-2M Opt1'  , 7500   , 2583   , 9000    , 3100    , '200' );
insert into PRIX values (  4, 'Particuliers 3M-7M Opt1'  , 7500   , 3250   , 9000    , 3900    , '200' );
insert into PRIX values (  5, 'Particuliers 8M-20M Opt1' , 7500   , 3667   , 9000    , 4400    , '200' );
insert into PRIX values ( 11, 'Particuliers 128k Opt3'   , 7083   , 2083   , 8500    , 2500    , '200' );
insert into PRIX values ( 12, 'Particuliers 512k Opt3'   , 7083   , 2917   , 8500    , 3500    , '200' );
insert into PRIX values ( 13, 'Particuliers 1M-2M Opt3'  , 7083   , 3917   , 8500    , 4700    , '200' );
insert into PRIX values ( 14, 'Particuliers 3M-7M Opt3'  , 7083   , 5083   , 8500    , 6100    , '200' );

insert into PRIX values ( 21, 'Etudiants 128k Opt1'      , 5667   , 1458   , 6800    , 1750    , '200' );
insert into PRIX values ( 22, 'Etudiants 512k Opt1'      , 5667   , 1958   , 6800    , 2350    , '200' );
insert into PRIX values ( 23, 'Etudiants 1M-2M Opt1'     , 5667   , 2375   , 6800    , 2850    , '200' );
insert into PRIX values ( 24, 'Etudiants 3M-7M Opt1'     , 5667   , 3042   , 6800    , 3650    , '200' );
insert into PRIX values ( 25, 'Etudiants 8M-20M Opt1'    , 5667   , 3417   , 6800    , 4100    , '200' );
insert into PRIX values ( 31, 'Etudiants 128k Opt3'      , 5417   , 1917   , 6500    , 2300    , '200' );
insert into PRIX values ( 32, 'Etudiants 512k Opt3'      , 5417   , 2750   , 6500    , 3300    , '200' );
insert into PRIX values ( 33, 'Etudiants 1M-2M Opt3'     , 5417   , 3583   , 6500    , 4300    , '200' );
insert into PRIX values ( 34, 'Etudiants 3M-7M Opt3'     , 5417   , 4750   , 6500    , 5700    , '200' );

insert into PRIX values ( 41, 'Associations 128k Opt1'   , 8333   , 1833   , 10000   , 2200    , '200' );
insert into PRIX values ( 42, 'Associations 512k Opt1'   , 8333   , 2333   , 10000   , 2800    , '200' );
insert into PRIX values ( 43, 'Associations 1M-2M Opt1'  , 8333   , 2750   , 10000   , 3300    , '200' );
insert into PRIX values ( 44, 'Associations 3M-7M Opt1'  , 8333   , 3500   , 10000   , 4200    , '200' );
insert into PRIX values ( 45, 'Associations 8M-20M Opt3' , 8333   , 4000   , 10000   , 4800    , '200' );
insert into PRIX values ( 51, 'Associations 128k Opt3'   , 8333   , 2250   , 10000   , 2700    , '200' );
insert into PRIX values ( 52, 'Associations 512k Opt3'   , 8333   , 3167   , 10000   , 3800    , '200' );
insert into PRIX values ( 53, 'Associations 1M-2M Opt3'  , 8333   , 4167   , 10000   , 5000    , '200' );
insert into PRIX values ( 54, 'Associations 3M-7M Opt3'  , 8333   , 5500   , 10000   , 6600    , '200' );

insert into PRIX values ( 61, 'Entreprises 128k Opt1'    , 9000   , 1900   , 10800   , 2280    , '200' );
insert into PRIX values ( 62, 'Entreprises 512k Opt1'    , 9000   , 2500   , 10800   , 3000    , '200' );
insert into PRIX values ( 63, 'Entreprises 1M-2M Opt1'   , 9000   , 3100   , 10800   , 3720    , '200' );
insert into PRIX values ( 64, 'Entreprises 3M-7M Opt1'   , 9000   , 3900   , 10800   , 4680    , '200' );
insert into PRIX values ( 65, 'Entreprises 8M-20M Opt1'  , 9000   , 4400   , 10800   , 5280    , '200' );
insert into PRIX values ( 71, 'Entreprises 128k Opt3'    , 8500   , 2500   , 10200   , 3000    , '200' );
insert into PRIX values ( 72, 'Entreprises 512k Opt3'    , 8500   , 3500   , 10200   , 4200    , '200' );
insert into PRIX values ( 73, 'Entreprises 1M-2M Opt3'   , 8500   , 4700   , 10200   , 5640    , '200' );
insert into PRIX values ( 74, 'Entreprises 3M-7M Opt3'   , 8500   , 6100   , 10200   , 7320    , '200' );

insert into PRIX values ( 81, 'Adhsion'                 , 1524   , 1524   , 1524    , 1524    , '0'   );
insert into PRIX values ( 82, 'Adhsion ADSL'            , -1524  , 1524   , -1524   , 1524    , '0'   );
insert into PRIX values ( 83, 'Adhsion tudiant'        , 152    , 152    , 152     , 152     , '0'   );
insert into PRIX values ( 84, 'Adhsion ADSL tudiant'   , -152   , 152    , -152    , 152     , '0'   );
insert into PRIX values ( 85, 'Adhsion gratuite'        , 0      , 0      , 0       , 0       , '0'   );

insert into PRIX values ( 91, 'Etudiants RTC'            , 0      ,  308   , 0       ,  370    , '200' );
insert into PRIX values ( 92, 'Particuliers RTC'         , 0      ,  383   , 0       ,  460    , '200' );
insert into PRIX values ( 93, 'Associations RTC'         , 0      , 1270   , 0       , 1524    , '200' );
insert into PRIX values ( 94, 'Entreprises RTC'          , 0      , 3186   , 0       , 3823    , '200' );

insert into PRIX values (101, 'Entreprises Hebergement'  , 0      , 2549   , 0       , 3059    , '200' );
insert into PRIX values (102, 'Remise abonnes Cegetel'   , -5300  , -1300  , -6339   , -1555   , '196' );

insert into PRIX values (111, 'Rejet prlvement'        , 511    , 0      , 612     , 0       , '196' );
insert into PRIX values (112, 'Chgmt interface opt3'     , 34300  , 0      , 41023   , 0       , '196' );
insert into PRIX values (113, 'Demenagemt opt3'          , 5300   , 0      , 6339    , 0       , '196' );
insert into PRIX values (114, 'Modif ping opt3'          , 2090   , 109    , 2500    , 130     , '196' );
insert into PRIX values (115, 'Annulation cde opt3'      , 5300   , 0      , 6339    , 0       , '196' );
insert into PRIX values (116, 'Demenagemt opt1'          , 5500   , 0      , 6578    , 0       , '196' );
insert into PRIX values (117, 'Resiliation acces opt1'   , 3500   , 0      , 4186    , 0       , '196' );
insert into PRIX values (118, 'Chgmt interface opt1'     , 5300   , 0      , 6339    , 0       , '196' );
insert into PRIX values (119, 'Commande a tort opt1'     , 4100   , 0      , 4904    , 0       , '196' );
insert into PRIX values (120, 'Intervention a tort opt1' , 12277  , 0      , 14683   , 0       , '196' );

insert into PRIX values (201, 'Particuliers Opt0'        , 7500   , 2417   , 9000    , 2900    , '200' );
insert into PRIX values (202, 'Particuliers 512k Opt1'   , 7500   , 2083   , 9000    , 2500    , '200' );
insert into PRIX values (203, 'Particuliers ADSL Opt1'   , 7500   , 2417   , 9000    , 2900    , '200' );
insert into PRIX values (204, 'Particuliers ADSL Opt3'   , 6667   , 3417   , 8000    , 4100    , '200' );
insert into PRIX values (205, 'Particuliers ADSL 2+ Opt3', 6667   , 3417   , 8000    , 4100    , '200' );
insert into PRIX values (206, 'Particuliers ADSL Opt5'   , 6667   , 3417   , 8000    , 4100    , '200' );
insert into PRIX values (207, 'Particuliers ADSL 2+ Opt5', 6667   , 3417   , 8000    , 4100    , '200' );
insert into PRIX values (208, 'Particuliers ADSL DT'     , 7500   , 3500   , 9000    , 4200    , '200' );

insert into PRIX values (211, 'Etudiants Opt0'           , 5667   , 2250   , 6800    , 2700    , '200' );
insert into PRIX values (212, 'Etudiants 512k Opt1'      , 5667   , 1958   , 6800    , 2350    , '200' );
insert into PRIX values (213, 'Etudiants ADSL Opt1'      , 5667   , 2250   , 6800    , 2700    , '200' );
insert into PRIX values (214, 'Etudiants ADSL Opt3'      , 5333   , 3000   , 6400    , 3600    , '200' );
insert into PRIX values (215, 'Etudiants ADSL 2+ Opt3'   , 5333   , 3000   , 6400    , 3600    , '200' );
insert into PRIX values (216, 'Etudiants ADSL Opt5'      , 5333   , 3000   , 6400    , 3600    , '200' );
insert into PRIX values (217, 'Etudiants ADSL 2+ Opt5'   , 5333   , 3000   , 6400    , 3600    , '200' );
insert into PRIX values (218, 'Etudiants ADSL DT'        , 5667   , 2500   , 6800    , 3000    , '200' );

insert into PRIX values (221, 'Associations Opt0'        , 7833   , 2750   , 9400    , 3300    , '200' );
insert into PRIX values (222, 'Associations 512k Opt1'   , 7833   , 2333   , 9400    , 2800    , '200' );
insert into PRIX values (223, 'Associations ADSL Opt1'   , 7833   , 2750   , 9400    , 3300    , '200' );
insert into PRIX values (224, 'Associations ADSL Opt3'   , 7167   , 3500   , 8600    , 4200    , '200' );
insert into PRIX values (225, 'Associations ADSL 2+ Opt3', 7167   , 3500   , 8600    , 4200    , '200' );
insert into PRIX values (226, 'Associations ADSL Opt5'   , 7167   , 3500   , 8600    , 4200    , '200' );
insert into PRIX values (227, 'Associations ADSL 2+ Opt5', 7167   , 3500   , 8600    , 4200    , '200' );
insert into PRIX values (228, 'Associations ADSL DT'     , 7833   , 3500   , 9400    , 4200    , '200' );

insert into PRIX values (231, 'Entreprises Opt0'         , 9000   , 2900   , 10800   , 3480    , '200' );
insert into PRIX values (232, 'Entreprises 512k Opt1'    , 9000   , 2500   , 10800   , 3000    , '200' );
insert into PRIX values (233, 'Entreprises ADSL Opt1'    , 9000   , 2900   , 10800   , 3480    , '200' );
insert into PRIX values (234, 'Entreprises ADSL Opt3'    , 8000   , 4100   , 9600    , 4920    , '200' );
insert into PRIX values (235, 'Entreprises ADSL 2+ Opt3' , 8000   , 4100   , 9600    , 4920    , '200' );
insert into PRIX values (236, 'Entreprises ADSL Opt5'    , 8000   , 4100   , 9600    , 4920    , '200' );
insert into PRIX values (237, 'Entreprises ADSL 2+ Opt5' , 8000   , 4100   , 9600    , 4920    , '200' );
insert into PRIX values (238, 'Entreprises ADSL DT'      , 9000   , 4200   , 10800   , 5040    , '200' );

-- Offre marque blanche
insert into PRIX values (241, 'Blanche Opt1'             , 7000   , 2350   , 8400    , 2820    , '200' );
insert into PRIX values (242, 'Blanche Opt3'             , 6500   , 3150   , 7800    , 3780    , '200' );
insert into PRIX values (243, 'Blanche ADSL Liazo Orange'               , 6000   , 2350   , 7200    , 2820    , '200' );
insert into PRIX values (244, 'Blanche ADSL Liazo Orange Nu'            , 6500   , 3267   , 7800    , 3920    , '200' );

insert into PRIX values (251, 'Collecte Opt1'            , 7000   , 2050   , 8400    , 2460    , '200' );
insert into PRIX values (252, 'Collecte Opt3'            , 6000   , 2850   , 7200    , 3420    , '200' );
insert into PRIX values (253, 'Collecte ADSL Liazo Orange'              , 6000   , 2050   , 7200    , 2460    , '200' );
insert into PRIX values (254, 'Collecte ADSL Liazo Orange Nu'           , 6500   , 2967   , 7800    , 3560    , '200' );

insert into PRIX values (301, 'Reste Opt1'               , 0      , 1800   , 0       , 2160    , '200' );
insert into PRIX values (302, 'Reste Opt3 / Opt5'        , 0      , 2600   , 0       , 3120    , '200' );
insert into PRIX values (303, 'Dmnagement 1'           , 6250   , 0      , 7500    , 0       , '200' );
insert into PRIX values (304, 'Dmnagement 1/3'         , 2083   , 0      , 2500    , 0       , '200' );
insert into PRIX values (305, 'Dmnagement collecte'    , 6500   , 0      , 7800    , 0       , '200' );
insert into PRIX values (306, 'Dmnagement blanche'     , 6500   , 0      , 7800    , 0       , '200' );
insert into PRIX values (307, 'Reste ADSL Liazo Orange'                 , 0      , 1800   , 0       , 2160    , '200' );
insert into PRIX values (308, 'Reste ADSL Liazo Orange Nu'              , 0      , 2700   , 0       , 3240    , '200' );
insert into PRIX values (309, 'Reste ADSL Liazo Orange IDF'             , 0      , 1600   , 0       , 1920    , '200' );
insert into PRIX values (310, 'Reste ADSL Liazo Orange IDF Nu'          , 0      , 2500   , 0       , 3000    , '200' );
insert into PRIX values (311, 'Dmnagement ADSL Liazo Orange'          , 6000   , 0      , 7200    , 0       , '200' );
insert into PRIX values (312, 'Dmnagement ADSL Liazo Orange Nu'       , 6500   , 0      , 7800    , 0       , '200' );
insert into PRIX values (313, 'Dmnagement ADSL Liazo Orange 1/3'          , 2000   , 0      , 2400    , 0       , '200' );
insert into PRIX values (314, 'Dmnagement ADSL Liazo Orange Nu 1/3'       , 2166   , 0      , 2600    , 0       , '200' );

insert into PRIX values (401, 'Transit mensuel 1Mb/s'    , 3000   , 0      , 3600    , 0       , '200' );
insert into PRIX values (402, 'Transit mensuel 2Mb/s'    , 6000   , 0      , 7200    , 0       , '200' );
insert into PRIX values (403, 'Transit mensuel 3Mb/s'    , 9000   , 0      , 10800   , 0       , '200' );
insert into PRIX values (404, 'Transit mensuel 4Mb/s'    , 12000  , 0      , 14400   , 0       , '200' );
insert into PRIX values (405, 'Transit mensuel 5Mb/s'    , 15000  , 0      , 18000   , 0       , '200' );
insert into PRIX values (406, 'Transit mensuel 6Mb/s'    , 18000  , 0      , 21600   , 0       , '200' );
insert into PRIX values (407, 'Transit mensuel 7Mb/s'    , 21000  , 0      , 25200   , 0       , '200' );
insert into PRIX values (408, 'Transit mensuel 8Mb/s'    , 24000  , 0      , 28800   , 0       , '200' );
insert into PRIX values (409, 'Transit mensuel 9Mb/s'    , 27000  , 0      , 32400   , 0       , '200' );
insert into PRIX values (410, 'Transit mensuel 10Mb/s'   , 30000  , 0      , 36000   , 0       , '200' );
insert into PRIX values (411, 'Transit mensuel 11Mb/s'   , 33000  , 0      , 39600   , 0       , '200' );

insert into PRIX values (451, 'Backhaul particulier'     ,     0  , 2000   , 0      , 2400     , '200' );
insert into PRIX values (452, 'Backhaul tudiant'        ,     0  , 2000   , 0      , 2400     , '200' );
insert into PRIX values (453, 'Backhaul association'     ,     0  , 2000   , 0      , 2400     , '200' );
insert into PRIX values (454, 'Backhaul entreprise'      ,     0  , 2400   , 0      , 2880     , '200' ); 

insert into PRIX values (501, 'Particuliers VPN'         ,     0  ,  667   , 0      ,  800     , '200' );
insert into PRIX values (502, 'Etudiants VPN'            ,     0  ,  542   , 0      ,  650     , '200' );
insert into PRIX values (503, 'Associations VPN'         ,     0  , 1000   , 0      , 1200     , '200' );
insert into PRIX values (504, 'Entreprises VPN'          ,     0  , 2000   , 0      , 2400     , '200' );

-- ajout des tarifs pour Liazo - applique le XXX/01/2017 sur la base de prod

--                             Nom                                         FAS HT   ABO HT   FAS TTC   ABO TTC   TVA     
insert into PRIX values (601, 'Particuliers ADSL 512k Liazo Orange'     , 6000   , 2417   , 7200    , 2900    , '200' );
insert into PRIX values (602, 'Particuliers ADSL Liazo Orange'          , 6000   , 2417   , 7200    , 2900    , '200' );
insert into PRIX values (603, 'Particuliers VDSL Liazo Orange'          , 6000   , 2417   , 7200    , 2900    , '200' );
insert into PRIX values (604, 'Particuliers ADSL 512k Liazo Orange Nu'  , 6500   , 3333   , 7800    , 4000    , '200' );
insert into PRIX values (605, 'Particuliers ADSL Liazo Orange Nu'       , 6500   , 3333   , 7800    , 4000    , '200' );
insert into PRIX values (606, 'Particuliers VDSL Liazo Orange Nu'       , 6500   , 3333   , 7800    , 4000    , '200' );

insert into PRIX values (611, 'Etudiants ADSL 512k Liazo Orange'        , 6000   , 2250   , 7200    , 2700    , '200' );
insert into PRIX values (612, 'Etudiants ADSL Liazo Orange'             , 6000   , 2250   , 7200    , 2700    , '200' );
insert into PRIX values (613, 'Etudiants VDSL Liazo Orange'             , 6000   , 2250   , 7200    , 2700    , '200' );
insert into PRIX values (614, 'Etudiants ADSL 512k Liazo Orange Nu'     , 6500   , 3125   , 7800    , 3750    , '200' );
insert into PRIX values (615, 'Etudiants ADSL Liazo Orange Nu'          , 6500   , 3125   , 7800    , 3750    , '200' );
insert into PRIX values (616, 'Etudiants VDSL Liazo Orange Nu'          , 6500   , 3125   , 7800    , 3750    , '200' );

insert into PRIX values (621, 'Associations ADSL 512k Liazo Orange'     , 6000   , 2750   , 7200    , 3300    , '200' );
insert into PRIX values (622, 'Associations ADSL Liazo Orange'          , 6000   , 2750   , 7200    , 3300    , '200' );
insert into PRIX values (623, 'Associations VDSL Liazo Orange'          , 6000   , 2750   , 7200    , 3300    , '200' );
insert into PRIX values (624, 'Associations ADSL 512k Liazo Orange Nu'  , 6500   , 3500   , 7800    , 4200    , '200' );
insert into PRIX values (625, 'Associations ADSL Liazo Orange Nu'       , 6500   , 3500   , 7800    , 4200    , '200' );
insert into PRIX values (626, 'Associations VDSL Liazo Orange Nu'       , 6500   , 3500   , 7800    , 4200    , '200' );

insert into PRIX values (631, 'Entreprises ADSL 512k Liazo Orange'      , 6000   , 2917   , 7200    , 3500    , '200' );
insert into PRIX values (632, 'Entreprises ADSL Liazo Orange'           , 6000   , 2917   , 7200    , 3500    , '200' );
insert into PRIX values (633, 'Entreprises VDSL Liazo Orange'           , 6000   , 2917   , 7200    , 3500    , '200' );
insert into PRIX values (634, 'Entreprises ADSL 512k Liazo Orange Nu'   , 6500   , 3750   , 7800    , 4500    , '200' );
insert into PRIX values (635, 'Entreprises ADSL Liazo Orange Nu'        , 6500   , 3750   , 7800    , 4500    , '200' );
insert into PRIX values (636, 'Entreprises VDSL Liazo Orange Nu'        , 6500   , 3750   , 7800    , 4500    , '200' );

insert into PRIX values (651, 'Gratuit'                                 , 0      , 0      , 0       , 0       , '0' );

insert into PRIX values (652, 'Particuliers FTTH 300M Liazo Kosc dense'      , 5500   , 4167     , 6600    , 5000      , '200' );
insert into PRIX values (653, 'Particuliers FTTH 1G Liazo Kosc dense'        , 5500   , 4584     , 6600    , 5500      , '200' );
insert into PRIX values (654, 'Particuliers FTTH 300M Liazo Kosc peu dense'  , 7000   , 4833     , 8400    , 5800      , '200' );
insert into PRIX values (655, 'Particuliers FTTH 1G Liazo Kosc peu dense'    , 7000   , 5250     , 8400    , 6300      , '200' );
insert into PRIX values (656, 'Particuliers FTTH 1G Liazo Bouygues dense'    ,11000   , 4333     ,13200    , 5200      , '200' );
insert into PRIX values (657, 'Particuliers FTTH 1G Liazo Bouygues peu dense',13000   , 4750     ,15600    , 5700      , '200' );
insert into PRIX values (658, 'Particuliers FTTH 1G Axione'                  , 6000   , 3000     , 7200    , 3600      , '200' );

insert into PRIX values (661, 'Etudiants FTTH 300M Liazo Kosc dense'         , 5500   , 3500     , 6600    , 4200      , '200' );
insert into PRIX values (662, 'Etudiants FTTH 1G Liazo Kosc dense'           , 5500   , 3917     , 6600    , 4700      , '200' );
insert into PRIX values (663, 'Etudiants FTTH 300M Liazo Kosc peu dense'     , 7000   , 4167     , 8400    , 5000      , '200' );
insert into PRIX values (664, 'Etudiants FTTH 1G Liazo Kosc peu dense'       , 7000   , 4584     , 8400    , 5500      , '200' );
insert into PRIX values (665, 'Etudiants FTTH 1G Liazo Bouygues dense'       ,11000   , 3667     ,13200    , 4400      , '200' );
insert into PRIX values (666, 'Etudiants FTTH 1G Liazo Bouygues peu dense'   ,13000   , 4083     ,15600    , 4900      , '200' );
insert into PRIX values (667, 'Etudiants FTTH 1G 1G Axione'                  , 6000   , 2417     , 7200    , 2900      , '200' );

insert into PRIX values (671, 'Associations FTTH 300M Liazo Kosc dense'      , 5500   , 4333     , 6600    , 5200      , '200' );
insert into PRIX values (672, 'Associations FTTH 1G Liazo Kosc dense'        , 5500   , 4750     , 6600    , 5700      , '200' );
insert into PRIX values (673, 'Associations FTTH 300M Liazo Kosc peu dense'  , 7000   , 5000     , 8400    , 6000      , '200' );
insert into PRIX values (674, 'Associations FTTH 1G Liazo Kosc peu dense'    , 7000   , 5416     , 8400    , 6500      , '200' );
insert into PRIX values (675, 'Associations FTTH 1G Liazo Bouygues dense'    ,11000   , 4500     ,13200    , 5400      , '200' );
insert into PRIX values (676, 'Associations FTTH 1G Liazo Bouygues peu dense',13000   , 4917     ,15600    , 5900      , '200' );
insert into PRIX values (677, 'Associations FTTH 1G Axione'                  , 6000   , 3167     , 7200    , 3800      , '200' );

insert into PRIX values (681, 'Entreprises FTTH 300M Liazo Kosc dense'       , 5500   , 5000     , 6600    , 6000      , '200' );
insert into PRIX values (682, 'Entreprises FTTH 1G Liazo Kosc dense'         , 5500   , 5500     , 6600    , 6600      , '200' );
insert into PRIX values (683, 'Entreprises FTTH 300M Liazo Kosc peu dense'   , 7000   , 5800     , 8400    , 6960      , '200' );
insert into PRIX values (684, 'Entreprises FTTH 1G Liazo Kosc peu dense'     , 7000   , 6300     , 8400    , 7560      , '200' );
insert into PRIX values (685, 'Entreprises FTTH 1G Liazo Bouygues dense'     ,11000   , 5200     ,13200    , 6240      , '200' );
insert into PRIX values (686, 'Entreprises FTTH 1G Liazo Bouygues peu dense' ,13000   , 5700     ,15600    , 6840      , '200' );
insert into PRIX values (687, 'Entreprises FTTH 1G Axione'                   , 6000   , 3600     , 7200    , 4320      , '200' );

insert into PRIX values (245, 'Blanche FTTH 300M Liazo Kosc dense'           , 5500   , 4000     , 6600    , 4800      , '200' );
insert into PRIX values (246, 'Blanche FTTH 1G Liazo Kosc dense'             , 5500   , 4417     , 6600    , 5300      , '200' );
insert into PRIX values (247, 'Blanche FTTH 300M Liazo Kosc peu dense'       , 7000   , 4667     , 8400    , 5600      , '200' );
insert into PRIX values (248, 'Blanche FTTH 1G Liazo Kosc peu dense'         , 7000   , 5083     , 8400    , 6100      , '200' );
insert into PRIX values (249, 'Blanche FTTH 1G Liazo Bouygues dense'         ,11000   , 4167     ,13200    , 5000      , '200' );
insert into PRIX values (250, 'Blanche FTTH 1G Liazo Bouygues peu dense'     ,13000   , 4583     ,15600    , 5500      , '200' );

insert into PRIX values (255, 'Collecte FTTH 300M Liazo Kosc dense'          , 5500   , 3583     , 6600    , 4300      , '200' );
insert into PRIX values (256, 'Collecte FTTH 1G Liazo Kosc dense'            , 5500   , 4000     , 6600    , 4800      , '200' );
insert into PRIX values (257, 'Collecte FTTH 300M Liazo Kosc peu dense'      , 7000   , 4250     , 8400    , 5100      , '200' );
insert into PRIX values (258, 'Collecte FTTH 1G Liazo Kosc peu dense'        , 7000   , 4667     , 8400    , 5600      , '200' );
insert into PRIX values (259, 'Collecte FTTH 1G Liazo Bouygues dense'        ,11000   , 3750     ,13200    , 4500      , '200' );
insert into PRIX values (260, 'Collecte FTTH 1G Liazo Bouygues peu dense'    ,13000   , 4167     ,15600    , 5000      , '200' );

insert into PRIX values (315, 'Reste FTTH 300M Liazo Kosc dense'             , 0      , 3350     , 0       , 4020      , '200' );
insert into PRIX values (316, 'Reste FTTH 1G Liazo Kosc dense'               , 0      , 3700     , 0       , 4440      , '200' );
insert into PRIX values (317, 'Reste FTTH 300M Liazo Kosc peu dense'         , 0      , 4000     , 0       , 4800      , '200' );
insert into PRIX values (318, 'Reste FTTH 1G Liazo Kosc peu dense'           , 0      , 4400     , 0       , 5280      , '200' );
insert into PRIX values (319, 'Reste FTTH 1G Liazo Bouygues dense'           , 0      , 3500     , 0       , 4200      , '200' );
insert into PRIX values (320, 'Reste FTTH 1G Liazo Bouygues peu dense'       , 0      , 3900     , 0       , 4680      , '200' );
insert into PRIX values (321, 'Reste FTTH 1G Axione'                         , 0      , 2400     , 0       , 2000      , '200' );

replace into SEQ values('PRIX_ID',700,0,99999999,1,'0');


drop table if exists DEBIT;
create table DEBIT (
	DEBIT_ID int(11) NOT NULL default '0',
	DEBIT_NOM varchar(70),
	DEBIT_DEBIT ENUM('128k','512k','512RE','1M','2M','3M','4M','5M','6M','7M','8M','10M','14M','18M', '20M', '80M', '300MK1', '1GK1', '300MK2', '1GK2', '1GB1', '1GB2', '1GA'),
	primary key (DEBIT_ID)
) ENGINE=MyISAM;

insert into DEBIT values( 1, '128k/64k', '128k');
insert into DEBIT values( 2, '512k/128k','512k');
insert into DEBIT values( 3, '1M/256k' , '1M');
insert into DEBIT values( 4, '2M/256k' , '2M');
insert into DEBIT values( 5, '3M/256k' , '3M');
insert into DEBIT values( 6, '4M/256k' , '4M');
insert into DEBIT values( 7, '5M/512k' , '5M');
insert into DEBIT values( 8, '6M/512k' , '6M');
insert into DEBIT values( 9, '7M/512k' , '7M');
insert into DEBIT values(10, '8M/860k' , '8M');
insert into DEBIT values(11, '10M/860k', '10M');
insert into DEBIT values(12, '14M/860k', '14M');
insert into DEBIT values(13, '18M/860k', '18M');
-- insert into DEBIT values(14, '20M/860k', '20M');
insert into DEBIT values(15, '512k/128kRE', '512RE');
insert into DEBIT values(16, '80M/25M', '80M');
insert into DEBIT values(17, '300M/250MK1', '300MK1');
insert into DEBIT values(18, '1G/250MK1', '1GK1');
insert into DEBIT values(19, '300M/250MK2', '300MK2');
insert into DEBIT values(20, '1G/250MK2', '1GK2');
insert into DEBIT values(21, '1G/500MB1', '1GB1');
insert into DEBIT values(22, '1G/500MB2', '1GB2');
insert into DEBIT values(23, '1G/250MA', '1GA');

replace into SEQ values('DEBIT_ID',24,0,99999999,1,'0');

drop table if exists PRIXDEBIT;
create table PRIXDEBIT (
	PRIX_ID int(11) NOT NULL default '0',
	DEBIT_ID int(11) NOT NULL default '0',
	PRIXDEBIT_TYPE enum('particulier','etudiant','association','entreprise','blanche', 'collecte'),
	PRIXDEBIT_OPTION enum('option0','option1','option3','option5','LiazoOrange','LiazoOrangeNu','LiazoKosc','LiazoBouygues','AquilenetAxione'),
	index (PRIX_ID),
	index (DEBIT_ID),
	index (PRIX_ID,DEBIT_ID)
) ENGINE=MyISAM;



-- ajout des tarifs pour le 512k RE - applique le 27/10/2009 sur la base de prod

delete from PRIXDEBIT;
-- Les prix des 128k
-- Les prix des 512k
insert into PRIXDEBIT values (202, 2, 'particulier', 'option1');
insert into PRIXDEBIT values (212, 2, 'etudiant'   , 'option1');
insert into PRIXDEBIT values (222, 2, 'association', 'option1');
insert into PRIXDEBIT values (232, 2, 'entreprise' , 'option1');
insert into PRIXDEBIT values (241, 2, 'blanche'    , 'option1');
insert into PRIXDEBIT values (251, 2, 'collecte'   , 'option1');
insert into PRIXDEBIT values (204, 2, 'particulier', 'option3');
insert into PRIXDEBIT values (214, 2, 'etudiant'   , 'option3');
insert into PRIXDEBIT values (224, 2, 'association', 'option3');
insert into PRIXDEBIT values (234, 2, 'entreprise' , 'option3');
insert into PRIXDEBIT values (242, 2, 'blanche'    , 'option3');
insert into PRIXDEBIT values (252, 2, 'collecte'   , 'option3');
insert into PRIXDEBIT values (204, 2, 'particulier', 'option5');
insert into PRIXDEBIT values (214, 2, 'etudiant'   , 'option5');
insert into PRIXDEBIT values (224, 2, 'association', 'option5');
insert into PRIXDEBIT values (234, 2, 'entreprise' , 'option5');
insert into PRIXDEBIT values (242, 2, 'blanche'    , 'option5');
insert into PRIXDEBIT values (252, 2, 'collecte'   , 'option5');
-- Les prix des 512kRE
insert into PRIXDEBIT values (204, 15, 'particulier', 'option5');
insert into PRIXDEBIT values (214, 15, 'etudiant'   , 'option5');
insert into PRIXDEBIT values (224, 15, 'association', 'option5');
insert into PRIXDEBIT values (234, 15, 'entreprise' , 'option5');
insert into PRIXDEBIT values (242, 15, 'blanche'    , 'option5');
insert into PRIXDEBIT values (252, 15, 'collecte'   , 'option5');
-- Les prix des 1M
insert into PRIXDEBIT values (203, 3, 'particulier', 'option1');
insert into PRIXDEBIT values (213, 3, 'etudiant'   , 'option1');
insert into PRIXDEBIT values (223, 3, 'association', 'option1');
insert into PRIXDEBIT values (233, 3, 'entreprise' , 'option1');
insert into PRIXDEBIT values (241, 3, 'blanche'    , 'option1');
insert into PRIXDEBIT values (251, 3, 'collecte'   , 'option1');
insert into PRIXDEBIT values (204, 3, 'particulier', 'option3');
insert into PRIXDEBIT values (214, 3, 'etudiant'   , 'option3');
insert into PRIXDEBIT values (224, 3, 'association', 'option3');
insert into PRIXDEBIT values (234, 3, 'entreprise' , 'option3');
insert into PRIXDEBIT values (242, 3, 'blanche'    , 'option3');
insert into PRIXDEBIT values (252, 3, 'collecte'   , 'option3');
insert into PRIXDEBIT values (204, 3, 'particulier', 'option5');
insert into PRIXDEBIT values (214, 3, 'etudiant'   , 'option5');
insert into PRIXDEBIT values (224, 3, 'association', 'option5');
insert into PRIXDEBIT values (234, 3, 'entreprise' , 'option5');
insert into PRIXDEBIT values (242, 3, 'blanche'    , 'option5');
insert into PRIXDEBIT values (252, 3, 'collecte'   , 'option5');
-- Les prix des 2M
insert into PRIXDEBIT values (203, 4, 'particulier', 'option1');
insert into PRIXDEBIT values (204, 4, 'particulier', 'option3');
insert into PRIXDEBIT values (213, 4, 'etudiant'   , 'option1');
insert into PRIXDEBIT values (214, 4, 'etudiant'   , 'option3');
insert into PRIXDEBIT values (223, 4, 'association', 'option1');
insert into PRIXDEBIT values (224, 4, 'association', 'option3');
insert into PRIXDEBIT values (233, 4, 'entreprise' , 'option1');
insert into PRIXDEBIT values (234, 4, 'entreprise' , 'option3');
insert into PRIXDEBIT values (241, 4, 'blanche'    , 'option1');
insert into PRIXDEBIT values (251, 4, 'collecte'   , 'option1');
insert into PRIXDEBIT values (242, 4, 'blanche'    , 'option3');
insert into PRIXDEBIT values (252, 4, 'collecte'   , 'option3');
-- Les prix des 3M
insert into PRIXDEBIT values (204, 5, 'particulier', 'option3');
insert into PRIXDEBIT values (214, 5, 'etudiant'   , 'option3');
insert into PRIXDEBIT values (224, 5, 'association', 'option3');
insert into PRIXDEBIT values (234, 5, 'entreprise' , 'option3');
insert into PRIXDEBIT values (242, 5, 'blanche'    , 'option3');
insert into PRIXDEBIT values (252, 5, 'collecte'   , 'option3');
-- Les prix des 4M
insert into PRIXDEBIT values (204, 6, 'particulier', 'option3');
insert into PRIXDEBIT values (214, 6, 'etudiant'   , 'option3');
insert into PRIXDEBIT values (224, 6, 'association', 'option3');
insert into PRIXDEBIT values (234, 6, 'entreprise' , 'option3');
insert into PRIXDEBIT values (242, 6, 'blanche'    , 'option3');
insert into PRIXDEBIT values (252, 6, 'collecte'   , 'option3');
-- Les prix des 5M
insert into PRIXDEBIT values (204, 7, 'particulier', 'option3');
insert into PRIXDEBIT values (214, 7, 'etudiant'   , 'option3');
insert into PRIXDEBIT values (224, 7, 'association', 'option3');
insert into PRIXDEBIT values (234, 7, 'entreprise' , 'option3');
insert into PRIXDEBIT values (242, 7, 'blanche'    , 'option3');
insert into PRIXDEBIT values (252, 7, 'collecte'   , 'option3');
-- Les prix des 6M
insert into PRIXDEBIT values (204, 8, 'particulier', 'option3');
insert into PRIXDEBIT values (214, 8, 'etudiant'   , 'option3');
insert into PRIXDEBIT values (224, 8, 'association', 'option3');
insert into PRIXDEBIT values (234, 8, 'entreprise' , 'option3');
insert into PRIXDEBIT values (242, 8, 'blanche'    , 'option3');
insert into PRIXDEBIT values (242, 8, 'collecte'   , 'option3');
-- Les prix des 7M
-- Les prix des 8M
insert into PRIXDEBIT values (203, 10, 'particulier', 'option1');
insert into PRIXDEBIT values (213, 10, 'etudiant'   , 'option1');
insert into PRIXDEBIT values (223, 10, 'association', 'option1');
insert into PRIXDEBIT values (233, 10, 'entreprise' , 'option1');
insert into PRIXDEBIT values (241, 10, 'blanche'    , 'option1');
insert into PRIXDEBIT values (251, 10, 'collecte'   , 'option1');
-- Les prix des 10M
-- Les prix des 14M
-- Les prix des 18M
insert into PRIXDEBIT values (203, 13, 'particulier', 'option1');
insert into PRIXDEBIT values (213, 13, 'etudiant'   , 'option1');
insert into PRIXDEBIT values (223, 13, 'association', 'option1');
insert into PRIXDEBIT values (233, 13, 'entreprise' , 'option1');
insert into PRIXDEBIT values (241, 13, 'blanche'    , 'option1');
insert into PRIXDEBIT values (251, 13, 'collecte'   , 'option1');
insert into PRIXDEBIT values (207, 13, 'particulier', 'option5');
insert into PRIXDEBIT values (217, 13, 'etudiant'   , 'option5');
insert into PRIXDEBIT values (227, 13, 'association', 'option5');
insert into PRIXDEBIT values (237, 13, 'entreprise' , 'option5');
insert into PRIXDEBIT values (242, 13, 'blanche'    , 'option5');
insert into PRIXDEBIT values (252, 13, 'collecte'   , 'option5');
-- Les prix des 1M
insert into PRIXDEBIT values (201, 3, 'particulier', 'option0');
insert into PRIXDEBIT values (211, 3, 'etudiant'   , 'option0');
insert into PRIXDEBIT values (221, 3, 'association', 'option0');
insert into PRIXDEBIT values (231, 3, 'entreprise' , 'option0');
-- Les prix des 18M
insert into PRIXDEBIT values (201, 13, 'particulier', 'option0');
insert into PRIXDEBIT values (211, 13, 'etudiant'   , 'option0');
insert into PRIXDEBIT values (221, 13, 'association', 'option0');
insert into PRIXDEBIT values (231, 13, 'entreprise' , 'option0');
-- Les prix des 20M



-- ajout des tarifs pour Liazo - applique le XXX/01/2017 sur la base de prod

-- Les prix des 128k
insert into PRIXDEBIT values (601, 1, 'particulier', 'LiazoOrange');
insert into PRIXDEBIT values (611, 1, 'etudiant'   , 'LiazoOrange');
insert into PRIXDEBIT values (621, 1, 'association', 'LiazoOrange');
insert into PRIXDEBIT values (631, 1, 'entreprise' , 'LiazoOrange');
insert into PRIXDEBIT values (243, 1, 'blanche'    , 'LiazoOrange');
insert into PRIXDEBIT values (253, 1, 'collecte'   , 'LiazoOrange');

-- Les prix des 512k
insert into PRIXDEBIT values (601, 2, 'particulier', 'LiazoOrange');
insert into PRIXDEBIT values (611, 2, 'etudiant'   , 'LiazoOrange');
insert into PRIXDEBIT values (621, 2, 'association', 'LiazoOrange');
insert into PRIXDEBIT values (631, 2, 'entreprise' , 'LiazoOrange');
insert into PRIXDEBIT values (243, 2, 'blanche'    , 'LiazoOrange');
insert into PRIXDEBIT values (253, 2, 'collecte'   , 'LiazoOrange');
-- Les prix des 512kRE
insert into PRIXDEBIT values (601, 15, 'particulier', 'LiazoOrange');
insert into PRIXDEBIT values (611, 15, 'etudiant'   , 'LiazoOrange');
insert into PRIXDEBIT values (621, 15, 'association', 'LiazoOrange');
insert into PRIXDEBIT values (631, 15, 'entreprise' , 'LiazoOrange');
insert into PRIXDEBIT values (243, 15, 'blanche'    , 'LiazoOrange');
insert into PRIXDEBIT values (253, 15, 'collecte'   , 'LiazoOrange');

-- Les prix des 1M
insert into PRIXDEBIT values (602, 3, 'particulier', 'LiazoOrange');
insert into PRIXDEBIT values (612, 3, 'etudiant'   , 'LiazoOrange');
insert into PRIXDEBIT values (622, 3, 'association', 'LiazoOrange');
insert into PRIXDEBIT values (632, 3, 'entreprise' , 'LiazoOrange');
insert into PRIXDEBIT values (243, 3, 'blanche'    , 'LiazoOrange');
insert into PRIXDEBIT values (253, 3, 'collecte'   , 'LiazoOrange');

-- Les prix des 2M
insert into PRIXDEBIT values (602, 4, 'particulier', 'LiazoOrange');
insert into PRIXDEBIT values (612, 4, 'etudiant'   , 'LiazoOrange');
insert into PRIXDEBIT values (622, 4, 'association', 'LiazoOrange');
insert into PRIXDEBIT values (632, 4, 'entreprise' , 'LiazoOrange');
insert into PRIXDEBIT values (243, 4, 'blanche'    , 'LiazoOrange');
insert into PRIXDEBIT values (253, 4, 'collecte'   , 'LiazoOrange');

-- Les prix des 8M
insert into PRIXDEBIT values (602, 10, 'particulier', 'LiazoOrange');
insert into PRIXDEBIT values (612, 10, 'etudiant'   , 'LiazoOrange');
insert into PRIXDEBIT values (622, 10, 'association', 'LiazoOrange');
insert into PRIXDEBIT values (632, 10, 'entreprise' , 'LiazoOrange');
insert into PRIXDEBIT values (243, 10, 'blanche'    , 'LiazoOrange');
insert into PRIXDEBIT values (253, 10, 'collecte'   , 'LiazoOrange');

-- Les prix des 18M
insert into PRIXDEBIT values (602, 13, 'particulier', 'LiazoOrange');
insert into PRIXDEBIT values (612, 13, 'etudiant'   , 'LiazoOrange');
insert into PRIXDEBIT values (622, 13, 'association', 'LiazoOrange');
insert into PRIXDEBIT values (632, 13, 'entreprise' , 'LiazoOrange');
insert into PRIXDEBIT values (243, 13, 'blanche'    , 'LiazoOrange');
insert into PRIXDEBIT values (253, 13, 'collecte'   , 'LiazoOrange');

-- Les prix des 80M
insert into PRIXDEBIT values (603, 16, 'particulier', 'LiazoOrange');
insert into PRIXDEBIT values (613, 16, 'etudiant'   , 'LiazoOrange');
insert into PRIXDEBIT values (623, 16, 'association', 'LiazoOrange');
insert into PRIXDEBIT values (633, 16, 'entreprise' , 'LiazoOrange');
insert into PRIXDEBIT values (243, 16, 'blanche'    , 'LiazoOrange');
insert into PRIXDEBIT values (253, 16, 'collecte'   , 'LiazoOrange');



-- Prix nus


-- Les prix des 128k
insert into PRIXDEBIT values (604, 1, 'particulier', 'LiazoOrangeNu');
insert into PRIXDEBIT values (614, 1, 'etudiant'   , 'LiazoOrangeNu');
insert into PRIXDEBIT values (624, 1, 'association', 'LiazoOrangeNu');
insert into PRIXDEBIT values (634, 1, 'entreprise' , 'LiazoOrangeNu');
insert into PRIXDEBIT values (244, 1, 'blanche'    , 'LiazoOrangeNu');
insert into PRIXDEBIT values (254, 1, 'collecte'   , 'LiazoOrangeNu');

-- Les prix des 512k
insert into PRIXDEBIT values (604, 2, 'particulier', 'LiazoOrangeNu');
insert into PRIXDEBIT values (614, 2, 'etudiant'   , 'LiazoOrangeNu');
insert into PRIXDEBIT values (624, 2, 'association', 'LiazoOrangeNu');
insert into PRIXDEBIT values (634, 2, 'entreprise' , 'LiazoOrangeNu');
insert into PRIXDEBIT values (244, 2, 'blanche'    , 'LiazoOrangeNu');
insert into PRIXDEBIT values (254, 2, 'collecte'   , 'LiazoOrangeNu');
-- Les prix des 512kRE
insert into PRIXDEBIT values (604, 15, 'particulier', 'LiazoOrangeNu');
insert into PRIXDEBIT values (614, 15, 'etudiant'   , 'LiazoOrangeNu');
insert into PRIXDEBIT values (624, 15, 'association', 'LiazoOrangeNu');
insert into PRIXDEBIT values (634, 15, 'entreprise' , 'LiazoOrangeNu');
insert into PRIXDEBIT values (244, 15, 'blanche'    , 'LiazoOrangeNu');
insert into PRIXDEBIT values (254, 15, 'collecte'   , 'LiazoOrangeNu');

-- Les prix des 1M
insert into PRIXDEBIT values (605, 3, 'particulier', 'LiazoOrangeNu');
insert into PRIXDEBIT values (615, 3, 'etudiant'   , 'LiazoOrangeNu');
insert into PRIXDEBIT values (625, 3, 'association', 'LiazoOrangeNu');
insert into PRIXDEBIT values (635, 3, 'entreprise' , 'LiazoOrangeNu');
insert into PRIXDEBIT values (244, 3, 'blanche'    , 'LiazoOrangeNu');
insert into PRIXDEBIT values (254, 3, 'collecte'   , 'LiazoOrangeNu');

-- Les prix des 2M
insert into PRIXDEBIT values (605, 4, 'particulier', 'LiazoOrangeNu');
insert into PRIXDEBIT values (615, 4, 'etudiant'   , 'LiazoOrangeNu');
insert into PRIXDEBIT values (625, 4, 'association', 'LiazoOrangeNu');
insert into PRIXDEBIT values (635, 4, 'entreprise' , 'LiazoOrangeNu');
insert into PRIXDEBIT values (244, 4, 'blanche'    , 'LiazoOrangeNu');
insert into PRIXDEBIT values (254, 4, 'collecte'   , 'LiazoOrangeNu');

-- Les prix des 8M
insert into PRIXDEBIT values (605, 10, 'particulier', 'LiazoOrangeNu');
insert into PRIXDEBIT values (615, 10, 'etudiant'   , 'LiazoOrangeNu');
insert into PRIXDEBIT values (625, 10, 'association', 'LiazoOrangeNu');
insert into PRIXDEBIT values (635, 10, 'entreprise' , 'LiazoOrangeNu');
insert into PRIXDEBIT values (244, 10, 'blanche'    , 'LiazoOrangeNu');
insert into PRIXDEBIT values (254, 10, 'collecte'   , 'LiazoOrangeNu');

-- Les prix des 18M
insert into PRIXDEBIT values (605, 13, 'particulier', 'LiazoOrangeNu');
insert into PRIXDEBIT values (615, 13, 'etudiant'   , 'LiazoOrangeNu');
insert into PRIXDEBIT values (625, 13, 'association', 'LiazoOrangeNu');
insert into PRIXDEBIT values (635, 13, 'entreprise' , 'LiazoOrangeNu');
insert into PRIXDEBIT values (244, 13, 'blanche'    , 'LiazoOrangeNu');
insert into PRIXDEBIT values (254, 13, 'collecte'   , 'LiazoOrangeNu');

-- Les prix des 80M
insert into PRIXDEBIT values (606, 16, 'particulier', 'LiazoOrangeNu');
insert into PRIXDEBIT values (616, 16, 'etudiant'   , 'LiazoOrangeNu');
insert into PRIXDEBIT values (626, 16, 'association', 'LiazoOrangeNu');
insert into PRIXDEBIT values (636, 16, 'entreprise' , 'LiazoOrangeNu');
insert into PRIXDEBIT values (244, 16, 'blanche'    , 'LiazoOrangeNu');
insert into PRIXDEBIT values (254, 16, 'collecte'   , 'LiazoOrangeNu');

-- ajout des tarifs pour LiazoKosc

-- Les prix des 300MK1
insert into PRIXDEBIT values (652, 17, 'particulier', 'LiazoKosc');
insert into PRIXDEBIT values (661, 17, 'etudiant'   , 'LiazoKosc');
insert into PRIXDEBIT values (671, 17, 'association', 'LiazoKosc');
insert into PRIXDEBIT values (681, 17, 'entreprise' , 'LiazoKosc');
insert into PRIXDEBIT values (245, 17, 'blanche'    , 'LiazoKosc');
insert into PRIXDEBIT values (255, 17, 'collecte'   , 'LiazoKosc');

-- Les prix des 300MK2
insert into PRIXDEBIT values (654, 19, 'particulier', 'LiazoKosc');
insert into PRIXDEBIT values (663, 19, 'etudiant'   , 'LiazoKosc');
insert into PRIXDEBIT values (673, 19, 'association', 'LiazoKosc');
insert into PRIXDEBIT values (683, 19, 'entreprise' , 'LiazoKosc');
insert into PRIXDEBIT values (247, 19, 'blanche'    , 'LiazoKosc');
insert into PRIXDEBIT values (257, 19, 'collecte'   , 'LiazoKosc');

-- Les prix des 1GK1
insert into PRIXDEBIT values (653, 18, 'particulier', 'LiazoKosc');
insert into PRIXDEBIT values (662, 18, 'etudiant'   , 'LiazoKosc');
insert into PRIXDEBIT values (672, 18, 'association', 'LiazoKosc');
insert into PRIXDEBIT values (682, 18, 'entreprise' , 'LiazoKosc');
insert into PRIXDEBIT values (246, 18, 'blanche'    , 'LiazoKosc');
insert into PRIXDEBIT values (255, 18, 'collecte'   , 'LiazoKosc');

-- Les prix des 1GK2
insert into PRIXDEBIT values (655, 20, 'particulier', 'LiazoKosc');
insert into PRIXDEBIT values (664, 20, 'etudiant'   , 'LiazoKosc');
insert into PRIXDEBIT values (674, 20, 'association', 'LiazoKosc');
insert into PRIXDEBIT values (684, 20, 'entreprise' , 'LiazoKosc');
insert into PRIXDEBIT values (248, 20, 'blanche'    , 'LiazoKosc');
insert into PRIXDEBIT values (257, 20, 'collecte'   , 'LiazoKosc');

-- Les prix des 1GB1
insert into PRIXDEBIT values (656, 21, 'particulier', 'LiazoBouygues');
insert into PRIXDEBIT values (665, 21, 'etudiant'   , 'LiazoBouygues');
insert into PRIXDEBIT values (675, 21, 'association', 'LiazoBouygues');
insert into PRIXDEBIT values (685, 21, 'entreprise' , 'LiazoBouygues');
insert into PRIXDEBIT values (249, 21, 'blanche'    , 'LiazoBouygues');
insert into PRIXDEBIT values (259, 21, 'collecte'   , 'LiazoBouygues');

-- Les prix des 1GB2
insert into PRIXDEBIT values (657, 22, 'particulier', 'LiazoBouygues');
insert into PRIXDEBIT values (666, 22, 'etudiant'   , 'LiazoBouygues');
insert into PRIXDEBIT values (676, 22, 'association', 'LiazoBouygues');
insert into PRIXDEBIT values (686, 22, 'entreprise' , 'LiazoBouygues');
insert into PRIXDEBIT values (250, 22, 'blanche'    , 'LiazoBouygues');
insert into PRIXDEBIT values (260, 22, 'collecte'   , 'LiazoBouygues');

-- Les prix des 1GA
insert into PRIXDEBIT values (658, 22, 'particulier', 'AquilenetAxione');
insert into PRIXDEBIT values (667, 22, 'etudiant'   , 'AquilenetAxione');
insert into PRIXDEBIT values (677, 22, 'association', 'AquilenetAxione');
insert into PRIXDEBIT values (687, 22, 'entreprise' , 'AquilenetAxione');


drop table if exists LIGNEPRIX;

drop table if exists TARIF;
create table TARIF (
	TARIF_ID int(11) not null default 0,
	TARIF_QUI ENUM('particulier','etudiant','association','entreprise','blanche','collecte'),
	TARIF_QUOI char(20),
	PRIX_ID int(11) not null,
	primary key(TARIF_ID),
	index(TARIF_QUI,TARIF_QUOI)
) ENGINE=MyISAM;
insert into TARIF values(1, 'particulier', 'vpn', 501);
insert into TARIF values(2, 'etudiant', 'vpn', 502);
insert into TARIF values(3, 'association', 'vpn', 503);
insert into TARIF values(4, 'entreprise', 'vpn', 504);

drop table if exists CLIENT;
create table CLIENT (
	CLIENT_ID int(11) NOT NULL default '0',
	PRELEVEMT_ID int(11) NOT NULL default '-1',
	ADRESSE_ID int(11) NOT NULL default '-1',
	CLIENT_NOM varchar(70),
	CLIENT_NUMADH int(11) NOT NULL default '-1',
	CLIENT_TYPE ENUM('particulier','etudiant','association','entreprise','blanche','collecte'),
	CLIENT_ETAT ENUM('actif','resilie') NOT NULL default 'actif',
	primary key (CLIENT_ID),
	index(ADRESSE_ID),
	index(PRELEVEMT_ID),
	index(CLIENT_NOM),
	index(CLIENT_NUMADH)
) ENGINE=MyISAM;

replace into CLIENT values(1, -1, 1, 'Neuronexion', -1, 'blanche', 'actif');
replace into CLIENT values(2, -1, 2, 'Metaconsult', -1, 'blanche', 'actif');

-- Les 200 premiers identifiants sont reserves pour les gens qu'on
-- cree a la main, type Neuronexion ou anciens adherents.
replace into SEQ values('CLIENT_ID',200,0,99999999,1,'0');
replace into SEQ values('adh',409,0,99999999,1,'0');
replace into SEQ values('fix-task',0,0,99999999,1,'0');

drop table if exists ADHACCESS;
create table ADHACCESS (
	ADHACCESS_ID int(11) NOT NULL default '0',
	ADHACCESS_LOGIN varchar(20) NOT NULL default '',
	ADHACCESS_PASSWD varchar(20) NOT NULL default '',
	CLIENT_ID int(11) NOT NULL default '-1',
	primary key(ADHACCESS_ID),
	unique(ADHACCESS_LOGIN),
	index(CLIENT_ID)
) ENGINE=MyISAM;

replace into SEQ values('ADHACCESS_ID',0,0,99999999,1,'0');

drop table if exists CLIENTLIGNE;

drop table if exists DEPLOIEMENT;
create table DEPLOIEMENT (
	DEPLOIEMENT_ID int(11) NOT NULL default '0',
	LIGNE_ID int(11) NOT NULL default '0',
	VPN_ID int(11) NOT NULL default '0',
	TASK_ID int(11) NOT NULL default '-1',
	DEPLOIEMENT_NUM varchar(15) NOT NULL default '',
	DEPLOIEMENT_DTMOD timestamp,
	DEPLOIEMENT_DTSTART timestamp,
	DEPLOIEMENT_DTFAS timestamp,
	DEPLOIEMENT_DTCDE timestamp,
	DEPLOIEMENT_DTRAD timestamp,
	DEPLOIEMENT_DTAR timestamp,
	DEPLOIEMENT_DTCR timestamp,
	DEPLOIEMENT_DTFIN timestamp,
	primary key (DEPLOIEMENT_ID),
	index(LIGNE_ID),
	unique(DEPLOIEMENT_NUM)
) ENGINE=MyISAM;

replace into SEQ values('DEPLOIEMENT_ID',0,0,99999999,1,'0');

drop table if exists MANDAT;
create table MANDAT (
	MANDAT_ID int(11) NOT NULL default '0',
	MANDAT_DETENTEUR varchar(70) NOT NULL default 'fdn',
	MANDAT_NUMERO varchar(20) NOT NULL default 'invalid',
	MANDAT_FICHIER varchar(70) NOT NULL default 'invalid',
	MANDAT_IMAGE varchar(70) NOT NULL default 'invalid',
	DEPLOIEMENT_ID int(11) NOT NULL default '-1',
	primary key(MANDAT_ID),
	index(DEPLOIEMENT_ID),
	index(MANDAT_NUMERO)
) ENGINE=MyISAM;

replace into SEQ values('MANDAT_ID',0,0,99999999,1,'0');

drop table if exists ELIGIBILITE;
create table ELIGIBILITE (
	ELIGIBILITE_ID int(11) NOT NULL default '0',
	ELIGIBILITE_TEL varchar(70) default NULL,
	ELIGIBILITE_OFFRE varchar(20),
	ELIGIBILITE_REPONSE text,
	ELIGIBILITE_DTTEST timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
	PRIMARY KEY (ELIGIBILITE_ID)
) ENGINE=MyISAM;

replace into SEQ values('ELIGIBILITE_ID',0,0,99999999,1,'0');

drop table if exists CREANCE;
create table CREANCE (
	CREANCE_ID int(11) NOT NULL default '0',
	CLIENT_ID int(11) NOT NULL default '0',
	FACTURE_ID int(11) NOT NULL default '-1',
	PRLLIG_ID int(11) NOT NULL default '-1',
	PRLLIGSEPA_ID int(11) NOT NULL default '-1',
	CLOTURE_ID int(11),
	PRIX_ID int(11),
	CREANCE_HT int(11),
	CREANCE_TTC int(11),
	CREANCE_TVA ENUM('200','196','55','0'),
	CREANCE_LIBELLE text,
	CREANCE_ETAT enum('payee','facturee','due','annulee','suspendue') NOT NULL default 'due',
	CREANCE_DTMOD timestamp,
	CREANCE_DATEDUE timestamp,
	CREANCE_DATEPAYEE timestamp,
	primary key(CREANCE_ID),
	index(CLIENT_ID),
	index(FACTURE_ID),
	index(CLOTURE_ID),
	index(PRLLIG_ID),
	index(PRLLIGSEPA_ID)
) ENGINE=MyISAM;

replace into SEQ values('CREANCE_ID',0,0,99999999,1,'0');

drop table if exists FACTURE;
create table FACTURE (
	FACTURE_ID int(11) NOT NULL default '0',
	CLIENT_ID int(11) NOT NULL default '0',
	FACTURE_NUM varchar(70),
	FACTURE_ETAT enum('due','envoyee','prelevement','payee','annulee') NOT NULL default 'due',
	FACTURE_DTMOD timestamp,
	FACTURE_DATE timestamp,
	FACTURE_PAYEE timestamp,
	primary key(FACTURE_ID),
	index(CLIENT_ID),
	index(FACTURE_ETAT)
) ENGINE=MyISAM;

replace into SEQ values('FACTURE_ID',0,0,99999999,1,'0');

drop table if exists PAIEMENT;
create table PAIEMENT (
	PAIEMENT_ID int(11) NOT NULL default '0',
	PAIEMENT_LIBELLE varchar(70),
	PAIEMENT_TYPE enum('cb','chq','liq') NOT NULL default 'chq',
	PAIEMENT_NUM varchar(100),
	PAIEMENT_DTMOD timestamp,
	PAIEMENT_DATE timestamp default '0000-00-00 00:00:00',
	CLIENT_ID int(11) NOT NULL default '-1',
	PAIEMENT_TTC int(11),
	PAIEMENT_ETAT enum('ok','ko'),
	primary key(PAIEMENT_ID),
	index(CLIENT_ID),
	index(PAIEMENT_NUM)
) ENGINE=MyISAM;

replace into SEQ values('PAIEMENT_ID',0,0,99999999,1,'0');

drop table if exists CLOTURE;
create table CLOTURE (
	CLOTURE_ID int(11) NOT NULL default '0',
	CLOTURE_DATE varchar(10) NOT NULL default '200001',
	primary key(CLOTURE_ID),
	unique(CLOTURE_DATE)
) ENGINE=MyISAM;

replace into CLOTURE values('1','200001');
replace into SEQ values('CLOTURE_ID',2,0,99999999,1,'0');

drop table if exists PRELEVEMT;
create table PRELEVEMT (
	PRELEVEMT_ID int(11) NOT NULL default '0',
	ADRESSE_ID int(11),
	CLIENT_ID int(11),
	PRELEVEMT_BANQUE varchar(10),
	PRELEVEMT_GUICHET varchar(10),
	PRELEVEMT_COMPTE varchar(15),
	PRELEVEMT_RIB char(2),

	PRELEVEMT_BIC varchar(20),
	PRELEVEMT_IBAN varchar(50),
	PRELEVEMT_MANDAT varchar(50),
	PRELEVEMT_DATEMANDAT timestamp default CURRENT_TIMESTAMP,
	PRELEVEMT_FIRST tinyint(1) default '1',

	PRELEVEMT_TITULAIRE varchar(24),
	PRELEVEMT_DOMICIL varchar(24),
	PRELEVEMT_ETAT enum ('ok','susp','del'),
	PRELEVEMT_MAXPREL int(11),
	primary key (PRELEVEMT_ID),
	index(CLIENT_ID)
) ENGINE=MyISAM;

-- Les 100 premiers prelevements sont reserves pour les anciens adherents.
replace into SEQ values('PRELEVEMT_ID',100,0,99999999,1,'0');

-- Fichier de prelevements, tel qu'envoye a la banque
drop table if exists PRLBQ;
create table PRLBQ (
	PRLBQ_ID int(11) NOT NULL default '0',
	PRLBQ_NOM varchar(70),
	PRLBQ_DATE varchar(10),
	PRLBQ_FICHIER text,
	PRLBQ_ETAT enum('du','envoye','paye') NOT NULL default 'du',
	PRLBQ_TYPE enum('etebac','sepa') NOT NULL,
	primary key(PRLBQ_ID)
) ENGINE=MyISAM;

replace into SEQ values('PRLBQ_ID',0,0,99999999,1,'0');

drop table if exists PRLLIG;
create table PRLLIG (
	PRLLIG_ID int(11) NOT NULL default '0',
	PRLBQ_ID int(11),
	CLIENT_ID int(11),
	PRLLIG_BANQUE varchar(10),
	PRLLIG_GUICHET varchar(10),
	PRLLIG_COMPTE varchar(20),
	PRLLIG_MONTANT int(11),
	PRLLIG_LIBELLE varchar(70) NOT NULL default '',
	PRLLIG_TITULAIRE varchar(24) NOT NULL default '',
	PRLLIG_DOMICIL varchar(24) NOT NULL default '',
	PRLLIG_ETAT enum ('ok','rejet','paye'),
	primary key(PRLLIG_ID),
	index(PRLBQ_ID),
	index(CLIENT_ID)
) ENGINE=MyISAM;

replace into SEQ values('PRLLIG_ID',0,0,99999999,1,'0');

drop table if exists PRLLIGSEPA;
create table PRLLIGSEPA (
	PRLLIGSEPA_ID int(11) NOT NULL default '0',
	PRLBQ_ID int(11),
	CLIENT_ID int(11),
	PRELEVEMT_ID int(11),
	PRLLIGSEPA_BIC varchar(20),
	PRLLIGSEPA_IBAN varchar(50),
	PRLLIGSEPA_MANDAT varchar(50),
	PRLLIGSEPA_DATEMANDAT timestamp default CURRENT_TIMESTAMP,
	PRLLIGSEPA_ETAT enum ('ok','rejet','paye'),
	PRLLIGSEPA_TITULAIRE varchar(24),
	PRLLIGSEPA_LIBELLE varchar(70) NOT NULL default '',
	PRLLIGSEPA_MONTANT int(11),
	PRLLIGSEPA_FIRST tinyint(1) default '0',
	primary key(PRLLIGSEPA_ID),
	index(PRLBQ_ID),
	index(CLIENT_ID),
	index(PRELEVEMT_ID)
) ENGINE=MyISAM;

replace into SEQ values('PRLLIGSEPA_ID',0,0,99999999,1,'0');

drop table if exists TVA;
create table TVA (
	TVA_ID int(11) NOT NULL default '0',
	TVA_MONTANT int(11) NOT NULL default '0',
	TVA_SOURCE varchar(70),
	TVA_ETAT enum('due','envoyee','payee'),
	primary key (TVA_ID)
) ENGINE=MyISAM;

replace into SEQ values('TVA_ID',0,0,99999999,1,'0');

drop table if exists TVADCL;
create table TVADCL (
	TVADCL_ID int(11) NOT NULL default '0',
	TVADCL_MONTANT int(11) NOT NULL default '0',
	TVADCL_DATE timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
	primary key (TVADCL_ID)
) ENGINE=MyISAM;

replace into SEQ values('TVADCL_ID',0,0,99999999,1,'0');

drop table if exists INFO;
create table INFO (
	INFO_ID int(11) NOT NULL default '0',
	INFO_TYPE enum('inline','fichier') NOT NULL default 'inline',
	INFO_TITRE varchar(70),
	INFO_DTIN timestamp,
	INFO_VAL text,
	primary key (INFO_ID)
) ENGINE=MyISAM;

-- Les 100 premiers identifiants sont reserves pour les commentaires
-- sur les anciens adherents.
replace into SEQ values('INFO_ID',100,0,99999999,1,'0');

drop table if exists LIGNEINFO;
create table LIGNEINFO (
	LIGNE_ID int(11),
	INFO_ID int(11),
	index(LIGNE_ID),
	index(INFO_ID)
) ENGINE=MyISAM;

drop table if exists CLIENTINFO;
create table CLIENTINFO (
	CLIENT_ID int(11),
	INFO_ID int(11),
	index(CLIENT_ID),
	index(INFO_ID)
) ENGINE=MyISAM;

drop table if exists COMPTAINFO;
create table COMPTAINFO (
	COMPTA_ID int(11),
	INFO_ID int(11),
	index(COMPTA_ID),
	index(INFO_ID)
) ENGINE=MyISAM;

drop table if exists VPNINFO;
create table VPNINFO (
	VPN_ID int(11),
	INFO_ID int(11),
	index(VPN_ID),
	index(INFO_ID)
) ENGINE=MyISAM;

drop table if exists NEWINFO;
create table NEWINFO (
	NEWINFO_ID int(11) not null default '0',
	NEWINFO_RANK int(11),
	NEWINFO_SOURCE varchar(255),
	NEWINFO_USER varchar(40),
	INFO_ID int(11),
	primary key(NEWINFO_ID),
	index(INFO_ID),
	index(NEWINFO_USER)
) ENGINE=MyISAM;

replace into SEQ values('NEWINFO_ID',0,0,99999999,1,'0');
replace into SEQ values('NEWINFO_RANK',0,0,99999999,1,'0');

drop table if exists ORDRETD;
create table ORDRETD (
	ORDRETD_ID int(11) NOT NULL default '0',
	ORDRETD_ETAT enum('new','sent','ok','ko') NOT NULL default 'new',
	ORDRETD_LIGNE text,
	ORDRETD_FICHIER varchar(30),
	ORDRETD_DTMOD timestamp,
	ORDRETD_DTIN timestamp,
	primary key (ORDRETD_ID),
	index(ORDRETD_ETAT),
	index(ORDRETD_FICHIER)
) ENGINE=MyISAM;

replace into SEQ values('ORDRETD_ID',0,0,99999999,1,'0');

drop table if exists SCANNER;
delete from SEQ where SEQ_NAME = 'SCANNER_ID';

drop table if exists PAYANT;
create table PAYANT (
	PAYANT_ID int(11) NOT NULL default '0',
	PAYANT_LIBELLE varchar(80),
	PAYANT_TYPE varchar(50),
	PAYANT_DTMOD timestamp,
	PAYANT_DATE timestamp,
	PAYANT_DEBUT timestamp,
	PAYANT_FIN timestamp,
	PRIX_ID int(11),
	CLIENT_ID int(11),
	primary key (PAYANT_ID),
	index(CLIENT_ID)
) ENGINE=MyISAM;
-- Les 100 premiers identifiants sont reserves pour les adhesions
-- et les abonnements des anciens adherents.
replace into SEQ values('PAYANT_ID',100,0,99999999,1,'0');

-- DON_TYPE:
-- - ponctuel, a la date dite (DON_DATE)
-- - mensuel, tous les mois, de DON_DEBUT a DON_FIN
-- DON_STATE:
-- - new, vient juste d'etre cree, incomplet
-- - ok, sera pris en compte dans les clotures
-- - done, deja fait (pour un don ponctuel)
-- - ended, termine (pour un don mensuel)
-- - cancel, annule (peut-etre au milieu de la periode de don)
drop table if exists DON;
create table DON (
	DON_ID int(11) not null default '0',
	DON_LIBELLE varchar(80),
	DON_TYPE varchar(50),
	DON_STATE varchar(10),
	DON_DATE datetime not null default '0000-00-00 00:00:00',
	DON_DEBUT datetime not null default '0000-00-00 00:00:00',
	DON_FIN datetime not null default '0000-00-00 00:00:00',
	DON_MONTANT int(11),
	CLIENT_ID int(11),
	primary key (DON_ID),
	index(CLIENT_ID)
) ENGINE=MyISAM;
replace into SEQ values('DON_ID',0,0,99999999,1,'0');


-- Utilisateurs Radius
drop table if exists RADUSER;
create table RADUSER (
	RADUSER_ID    int(11) NOT NULL default '0',
	RADUSER_LOGIN varchar(64),
	RADGROUP_ID    int(11) NOT NULL default '1',
	LIGNE_ID       int(11) NOT NULL default '-1',
	VPN_ID         int(11) NOT NULL default '-1',
	ADHACCESS_ID   int(11) NOT NULL default '-1',
	primary key(RADUSER_ID),
	index(RADUSER_LOGIN),
	index(LIGNE_ID),
	index(VPN_ID),
	index(ADHACCESS_ID)
) ENGINE=MyISAM;

replace into SEQ values('RADUSER_ID',0,0,99999999,1,'0');

-- Groupes Radius
drop table if exists RADGROUP;
create table RADGROUP (
	RADGROUP_ID  int(11) NOT NULL default '0',
	RADGROUP_NOM varchar(255),
	RADGROUP_SUFFIX varchar(80),
	primary key(RADGROUP_ID),
	index(RADGROUP_NOM)
) ENGINE=MyISAM;

-- 2 groupes, decrits ci-dessous
replace into RADGROUP values (1, 'ADSL IP fixe', '@fdn.nerim');
replace into RADGROUP values (2, 'RTC UUCP', NULL);
replace into RADGROUP values (3, 'VPN IP fixe', '@vpn.fdn.fr');
replace into RADGROUP values (4, 'Adherents', '@apache');
replace into RADGROUP values (5, 'ADSL IP fixe Liazo', '@fdn.dslnet.fr');
replace into RADGROUP values (6, 'FTTH IP fixe Liazo', '@fdn.ilf.kosc');
replace into RADGROUP values (7, 'FTTH IP fixe Liazo Bouygues', '@fdn.ilf.bouygues');

replace into SEQ values('RADGROUP_ID',8,0,99999999,1,'0');

-- Attributs attaches a un utilisateur
drop table if exists UATTR;
create table UATTR (
	UATTR_ID    int(11) NOT NULL default '0',
	UATTR_ATTR  varchar(32) NOT NULL default '',
	UATTR_OP    char(2) NOT NULL default '==',
	UATTR_VALUE varchar(253) NOT NULL default '',
	UATTR_TYPE  varchar(10),
	RADUSER_ID  int(11),
	primary key(UATTR_ID),
	index(RADUSER_ID),
	index(UATTR_TYPE),
	index(RADUSER_ID,UATTR_TYPE)
) ENGINE=MyISAM;

replace into SEQ values('UATTR_ID',0,0,99999999,1,'0');

-- Attributs attaches a un groupe
drop table if exists GATTR;
create table GATTR (
	GATTR_ID    int(11) NOT NULL default '0',
	GATTR_ATTR  varchar(32) NOT NULL default '',
	GATTR_OP    char(2) NOT NULL default '==',
	GATTR_VALUE varchar(253) NOT NULL default '',
	GATTR_TYPE  varchar(10),
	RADGROUP_ID int(11),
	primary key(GATTR_ID),
	index(RADGROUP_ID),
	index(GATTR_TYPE),
	index(RADGROUP_ID,GATTR_TYPE)
) ENGINE=MyISAM;

-- Le groupe 1: ADSL IP fixe
replace into GATTR values(1, 'Service-Type',      ':=', 'Framed-User'    , 'reply', 1);
replace into GATTR values(2, 'Framed-Protocol',   ':=', 'PPP'            , 'reply', 1);
replace into GATTR values(3, 'Framed-Routing',    ':=', 'None'           , 'reply', 1);

-- Le groupe 2: RTC UUCP
replace into GATTR values(11, 'Service-Type',     ':=', 'Login-User'     , 'reply', 2);
replace into GATTR values(12, 'Login-Host',       ':=', '80.67.169.12'   , 'reply', 2);
replace into GATTR values(13, 'Login-Service',    ':=', 'TCP-Clear'      , 'reply', 2);
replace into GATTR values(14, 'Login-TCP-Port',   ':=', '540'            , 'reply', 2);

-- Le groupe 3: VPN IP fixe
replace into GATTR values(21, 'Service-Type',     ':=', 'Framed-User'    , 'reply', 3);

-- Le groupe 5: ADSL IP fixe Liazo
replace into GATTR values(31, 'Service-Type',     ':=', 'Framed-User'    , 'reply', 5);

-- Le groupe 6: FTTH Kosc
replace into GATTR values(41, 'Service-Type',     ':=', 'Framed-User'    , 'reply', 6);

-- Le groupe 7: FTTH Bouygues
replace into GATTR values(51, 'Service-Type',     ':=', 'Framed-User'    , 'reply', 7);

replace into SEQ values('GATTR_ID',60,0,99999999,1,'0');

-- Une IP est-elle utilisee, comment
drop table if exists IPADDR;
create table IPADDR (
	IPADDR_ID    int(11) NOT NULL default '0',
	IPADDR_ADDR  varchar(64),
	IPADDR_MASK  varchar(64),
	IPADDR_TYPE  varchar(10),
	IPADDR_ETAT  varchar(10),
	RADUSER_ID   int(11) NOT NULL default '-1',
	primary key(IPADDR_ID),
	index(IPADDR_ETAT),
	index(IPADDR_TYPE),
	index(IPADDR_ETAT,IPADDR_TYPE),
	index(IPADDR_ADDR),
	index(RADUSER_ID)
) ENGINE=MyISAM;

-- Des IPs disponibles
replace into IPADDR values (1, '10.0.0.1', '255.255.255.255', 'net1', 'free', -1);
replace into IPADDR values (2, '10.0.0.2', '255.255.255.255', 'net1', 'free', -1);
replace into IPADDR values (3, '10.0.0.3', '255.255.255.255', 'net1', 'free', -1);
replace into IPADDR values (4, '10.0.0.4', '255.255.255.255', 'vpn1', 'free', -1);
replace into IPADDR values (5, '10.0.0.5', '255.255.255.255', 'vpn1', 'free', -1);

replace into SEQ values('IPADDR_ID',5,0,99999999,1,'0');

drop table if exists COMPTA;
create table COMPTA (
	COMPTA_ID  int(11) NOT NULL default '0',
	COMPTA_NOM varchar(255),
	COMPTA_ASSO char(10) not null default 'fdn',
	COMPTA_ETAT char(10),
	primary key(COMPTA_ID)
) ENGINE=MyISAM;

replace into SEQ values('COMPTA_ID',0,0,99999999,1,'0');




drop table if exists EVENT;
create table EVENT (
	EVENT_ID int(11) NOT NULL default '0',
	EVENT_EVENT varchar(90) NOT NULL default '',
	EVENT_DATE timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
	primary key  (EVENT_ID),
	unique(EVENT_EVENT)
) ENGINE=MyISAM;

replace into SEQ values ('EVENT_ID',0,0,2147483647,1,'0');

drop table if exists PROPEVENT;
create table PROPEVENT (
	PROPEVENT_ID int(11) NOT NULL default '0',
	EVENT_ID int(11) default NULL,
	PROPEVENT_NOM varchar(70) default NULL,
	PROPEVENT_VAL text,
	PROPEVENT_PAR int(11) default NULL,
	PROPEVENT_DTMOD timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
	PROPEVENT_DTIN timestamp NOT NULL default '0000-00-00 00:00:00',
	primary key  (PROPEVENT_ID),
	index(EVENT_ID)
) ENGINE=MyISAM;

replace into SEQ values ('PROPEVENT_ID',0,0,2147483647,1,'0');

-- taches du workflow
drop table if exists TASK;
create table TASK (
	TASK_ID int(11) NOT NULL default '0',
	TASK_TYPE varchar(20) NOT NULL default 'atomic',
	TASK_NAME varchar(20) NOT NULL default '',
	TASK_KEY varchar(80) NOT NULL default '',
	TASK_STATE enum('init','running','failed','done') default 'init',
	TASK_NBCHILD int(11) NOT NULL default '0',
	TASK_DTMOD timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
	TASK_DTIN timestamp NOT NULL default '0000-00-00 00:00:00',
	primary key  (TASK_ID),
	unique(TASK_KEY)
) ENGINE=MyISAM;

replace into SEQ values ('TASK_ID',0,0,2147483647,1,'0');

drop table if exists PROPTASK;
create table PROPTASK (
	PROPTASK_ID int(11) NOT NULL default '0',
	TASK_ID int(11) default NULL,
	PROPTASK_NOM varchar(70) default NULL,
	PROPTASK_VAL text,
	PROPTASK_PAR int(11) default NULL,
	PROPTASK_DTMOD timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
	PROPTASK_DTIN timestamp NOT NULL default '0000-00-00 00:00:00',
	primary key  (PROPTASK_ID),
	index (TASK_ID)
) ENGINE=MyISAM;

replace into SEQ values ('PROPTASK_ID',0,0,2147483647,1,'0');

-- permet de faire des relations entre une tache et elle-meme
drop table if exists TASKSELF;
create table TASKSELF (
	TASK_ID int(11) NOT NULL default '0',
	SELF_ID int(11) NOT NULL default '0',
	TASKSELF_ORDER int(11) NOT NULL default '0',
	index (TASK_ID),
	index (SELF_ID),
	index (TASK_ID,SELF_ID)
) ENGINE=MyISAM;

-- taches qui doivent etre executees
drop table if exists RUN;
create table RUN (
	RUN_ID int(11) NOT NULL default '0',
	TASK_ID int(11) NOT NULL default '0',
	RUN_EVENT varchar(70) NOT NULL default '',
	RUN_DATE timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
	RUN_STATE enum('free','busy') NOT NULL default 'free',
	primary key  (RUN_ID),
	index(TASK_ID),
	index(RUN_EVENT)
) ENGINE=MyISAM;

replace into SEQ values ('RUN_ID',0,0,2147483647,1,'0');

-- taches qui attendent un evenement
drop table if exists WAITING;
create table WAITING (
	WAITING_ID int(11) NOT NULL default '0',
	TASK_ID int(11) NOT NULL default '0',
	WAITING_EVENT varchar(70) NOT NULL default '',
	WAITING_DATE timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
	primary key  (WAITING_ID),
	index(TASK_ID),
	index(WAITING_EVENT)
) ENGINE=MyISAM;

replace into SEQ values ('WAITING_ID',0,0,2147483647,1,'0');






-- taches a executer a une date donnee, eventuellement de maniere distribuee,
-- rejouee regulierement jusqu'a reussir, etc.
drop table if exists PLUTAR;

create table PLUTAR (
	PLUTAR_ID	integer	not null default '0',
	PLUTAR_ACTION	varchar(128)		,
	PLUTAR_ETAT	enum('waiting','runing','done', 'failed', 'canceled'),
	
	PLUTAR_DTMOD	timestamp			,
	PLUTAR_DTDO	timestamp			,
	PLUTAR_DTWAIT	timestamp			,
	PLUTAR_DTRUN	timestamp			,
	PLUTAR_DTDONE	timestamp			,
	PLUTAR_DTFAILED	timestamp			,
	PLUTAR_CANCELED	timestamp			,

	PLUTAR_NBRUN	integer	not null default 0	,
	
	PRIMARY KEY (PLUTAR_ID)	
) ENGINE=MyISAM;

replace into SEQ values ('PLUTAR_ID', 0, 0, 2147483647, 1, '0');

drop table if exists PROPPLUTAR;
create table PROPPLUTAR (
	PROPPLUTAR_ID int(11) NOT NULL default '0',
	PLUTAR_ID int(11) default NULL,
	PROPPLUTAR_NOM varchar(70) default NULL,
	PROPPLUTAR_VAL text,
	PROPPLUTAR_PAR int(11) default NULL,
	primary key(PROPPLUTAR_ID),
	index(PROPPLUTAR_NOM),
	index(PROPPLUTAR_VAL(100)),
	index(PROPPLUTAR_NOM,PROPPLUTAR_VAL(100)),
	index(PLUTAR_ID)
) ENGINE=MyISAM;

replace into SEQ values ('PROPPLUTAR_ID', 0, 0, 2147483647, 1, '0');

drop table if exists SITE;
create table SITE (
	SITE_ID int(11) NOT NULL default '0',
	SITE_SITE varchar(20),
	SITE_LOGIN varchar(20),
	SITE_PASSWD varchar(20),
	CLIENT_ID int(11) NOT NULL default '-1',
	primary key(SITE_ID),
	index(CLIENT_ID),
	index(SITE_LOGIN),
	index(SITE_SITE)
) ENGINE=MyISAM;

-- Les 100 premiers identifiants sont reserves pour les
-- anciens adherents. De toutes facons cette table n'est pas
-- bonne.
replace into SEQ values('SITE_ID', 100, 0, 2147483647, 1, '0');

drop table if exists DOMAINE;
create table DOMAINE (
	DOMAINE_ID int(11) NOT NULL default '0',
	DOMAINE_NOM varchar(128),
	DOMAINE_TYPE enum ('store','built'),
	DOMAINE_DNSPRI varchar(20),
	DOMAINE_FILE varchar(255),
	DOMAINE_ZONE text,
	CLIENT_ID int(11) NOT NULL default '-1',
	primary key(DOMAINE_ID),
	index(DOMAINE_NOM),
	index(CLIENT_ID)
) ENGINE=MyISAM;

replace into SEQ values('DOMAINE_ID',0,0,2147483647, 1, '0');


drop table if exists NOTIF;
create table NOTIF(
	NOTIF_ID int(11) NOT NULL default '0',
	NOTIF_TYPE varchar(20),
	NOTIF_ETAT enum('open','close'),
	LIGNE_ID int(11) NOT NULL default '-1',
	primary key(NOTIF_ID),
	index(LIGNE_ID)
) ENGINE=MyISAM;

replace into SEQ values('NOTIF_ID',0,0,2147483647,1,'0');


-- Changement pour l'ajout des comptes UNIX

drop table if exists UNIXUSER;
create table UNIXUSER(
	UNIXUSER_ID int(11) NOT NULL default '0',
	UNIXUSER_NAME varchar(70),
	UNIXUSER_PASSWD varchar(70) default '',
	UNIXUSER_UID int(11),
	UNIXUSER_GID int(11),
	UNIXUSER_GECOS varchar(255),
	UNIXUSER_HOME varchar(255),
	UNIXUSER_SHELL varchar(255),
	UNIXUSER_STATE enum('ok','del'),
	UNIXUSER_LASTCHANGE int(11),
	UNIXUSER_MIN int(11) default '0',
	UNIXUSER_MAX int(11) default 2147483647,
	UNIXUSER_WARN int(11) default 2147483647,
	UNIXUSER_INACT int(11) default 2147483647,
	UNIXUSER_EXPIRE int(11) default -1,
	UNIXUSER_FLAG int(11) default 0,
	UNIXUSER_DTMOD timestamp,
	UNIXUSER_DTIN timestamp,
	UNIXUSER_DTOUT timestamp,
	CLIENT_ID int(11) NOT NULL default '-1',
	primary key(UNIXUSER_ID),
	index(UNIXUSER_NAME),
	index(UNIXUSER_UID),
	index(CLIENT_ID)
) ENGINE=MyISAM;

replace into SEQ values('UNIXUSER_ID',0,0,2147483647,1,'0');

drop table if exists UNIXGROUP;
create table UNIXGROUP(
	UNIXGROUP_ID int(11) NOT NULL default '0',
	UNIXGROUP_NAME varchar(70),
	UNIXGROUP_PASSWD varchar(70) default '',
	UNIXGROUP_GID int(11),
	primary key(UNIXGROUP_ID),
	index(UNIXGROUP_NAME),
	index(UNIXGROUP_GID)
) ENGINE=MyISAM;

replace into SEQ values('UNIXGROUP_ID',0,0,2147483647,1,'0');

drop table if exists UNIXUSERUNIXGROUP;
create table UNIXUSERUNIXGROUP(
	UNIXUSER_ID int(11),
	UNIXGROUP_ID int(11),
	index(UNIXUSER_ID),
	index(UNIXGROUP_ID)
) ENGINE=MyISAM;

-- Lignes en attente de reception des documents
drop table if exists VALIDATION;
create table VALIDATION (
	VALIDATION_ID int(11) NOT NULL default '0',
	VALIDATION_TYPE varchar(20) NOT NULL default '',
	VALIDATION_EVENT varchar(70) NOT NULL default '',
	VALIDATION_INFO varchar(70) NOT NULL default '',
	VALIDATION_ETAT enum('new','done') NOT NULL default 'new',
	LIGNE_ID int(11) NOT NULL default '-1',
	CLIENT_ID int(11) NOT NULL default '-1',
	primary key(VALIDATION_ID),
	index(VALIDATION_ETAT),
	index(LIGNE_ID),
	index(CLIENT_ID)
) ENGINE=MyISAM;

replace into SEQ values('VALIDATION_ID',0,0,2147483647,1,'0');

-- Convocation en AG
drop table if exists CONVOCATION;
create table CONVOCATION (
	CONVOCATION_ID int(11) NOT NULL default '0',
	CLIENT_ID int(11) NOT NULL default '0',
	CONVOCATION_2015 varchar(20) NOT NULL default 'papier',
	CONVOCATION_2016 varchar(20) NOT NULL default 'papier',
	primary key(CONVOCATION_ID),
	unique(CLIENT_ID)
) ENGINE=MyISAM;

replace into SEQ values('CONVOCATION_ID',0,0,2147483647,1,'0');

-- Votes
drop table if exists VOTE;
create table VOTE (
	VOTE_ID int(11) NOT NULL default '0',
	CLIENT_ID int(11) NOT NULL default '0',
	VOTE_MACHIN varchar(20),
	VOTE_TRUC varchar(20),
	VOTE_PWET varchar(20),
	primary key(VOTE_ID),
	unique(CLIENT_ID)
) ENGINE=MyISAM;

replace into SEQ values('VOTE_ID',0,0,2147483647,1,'0');

-- Le stockage des stats
drop table if exists STAT;
create table STAT (
	STAT_ID int(11) NOT NULL default '0',
	STAT_NAME varchar(50) NOT NULL default '',
	STAT_VALUE int(11) NOT NULL default '0',
	STAT_DATE date,
	primary key(STAT_ID),
	index(STAT_DATE),
	index(STAT_NAME,STAT_DATE)
) ENGINE=MyISAM;
replace into SEQ values('STAT_ID',0,0,2147483647,1,'0');


