\documentclass{article}

\usepackage[T1]{fontenc}
\usepackage[latin1]{inputenc}
\usepackage[frenchb]{babel}
\usepackage{textcomp,vmargin,multicol,fdnforms,lmodern}
\def\E{\texteuro}

\setmargnohfrb{.5in}{.2in}{.5in}{.4in}
\lefthyphenmin=1

%%IF-etudiant-%%
\def\fdnchoice#1#2#3#4{#2}
%%-etudiant-EIF%%
%%IF-association-%%
\def\fdnchoice#1#2#3#4{#3}
%%-association-EIF%%
%%IF-entreprise-%%
\def\fdnchoice#1#2#3#4{#4}
%%-entreprise-EIF%%
%%IF-particulier-%%
\def\fdnchoice#1#2#3#4{#1}
%%-particulier-EIF%%


\begin{document}
\let\rmdefault\sfdefault
\sffamily

\begin{center}
\hbox to \linewidth{%
\strut
\rlap{\includegraphics[width=1in]{logoFDN}}\hfill
\LARGE Bulletin d'abonnement au service VPN de FDN%
\hfill\llap{\includegraphics[width=1in]{logoFDN}}%
}

Version du 29 avril 2020 , id %%CID%%
\end{center}

\begin{multicols}{2}


\subsubsection*{D\'efinitions}

\begin{description}
\item[Abonn\'e$\cdot$e] L'abonn\'e$\cdot$e est d\'esign\'e$\cdot$e par l'adh\'erent$\cdot$e \`a l'association
  lors de l'abonnement au service VPN. L'abonnement ne peut \^etre command\'e
  que par une personne adh\'erente, mais l'abonn\'e$\cdot$e n'est pas n\'ecessairement l'adh\'erent$\cdot$e.
\end{description}

\subsubsection*{Description du service}

FDN fournit une connexion \`a son r\'eseau au travers du protocole OpenVPN.

FDN fournit, sur cette connexion \`a son r\'eseau, une ou plusieurs adresses IP
publiques, fixes (sauf demande explicite de l'abonn\'e$\cdot$e), et assure le routage
vers Internet.

En plus de cet acc\`es vers Internet, l'association fournit des services (noms
de domaines, routage de courrier \'electronique, adresses e-mail, etc). Les
services usuels de l'association sont inclus dans l'abonnement VPN.

L'association fonctionne par le b\'en\'evolat de ses membres adh\'erents : d'autres services
peuvent \^etre mis \`a disposition s'il se trouve des personnes adh\'erentes pr\^etes \`a mettre en place
et administrer ces services.

Le r\`eglement int\'erieur de l'association s'applique aux activit\'es de l'abonn\'e$\cdot$e sur sa
connexion VPN, comme pour tous les autres services fournis par FDN. Conform\'ement aux
statuts de l'association, ce r\`eglement a valeur statutaire. Son non-respect peut
entra\^iner une radiation de l'association. L'adh\'erent$\cdot$e est invit\'e$\cdot$e \`a s'assurer
que l'abonn\'e$\cdot$e conna\^it ces obligations et les respecte.

\subsubsection*{Conditions d'acc\`es}

La fourniture de l'acc\`es VPN est soumise au paiement r\'egulier d'un abonnement.

Le montant de l'abonnement est susceptible d'\^etre modifi\'e, \`a la hausse ou \`a la baisse,
en fonction des tarifs des fournisseurs de l'association. Si le tarif est r\'evis\'e \`a
la hausse, et au-del\`a du tarif qui \'etait en vigueur lors de la souscription de
l'abonnement, l'abonn\'e$\cdot$e en sera inform\'e$\cdot$e dans les meilleurs d\'elais par l'association et
aura la possibilit\'e de r\'esilier son abonnement dans les conditions pr\'evues.

\subsubsection*{Dur\'ee d'acc\`es}

L'abonnement n'est pas soumis \`a une dur\'ee d'engagement. L'adh\'erent$\cdot$e est libre de r\'esilier
l'acc\`es \`a tout moment.

\subsubsection*{Tarifs en vigueur}

L'association FDN pratique des tarifs diff\'erents selon la nature des abonn\'e$\cdot$e$\cdot$s
et leur situation sociale.

Les 4 cat\'egories sont les suivantes:
\begin{description}
\item[Particulier] correspond \`a la cat\'egorie la plus usuelle d'une personne adh\'erente qui
  s'abonne au service \`a titre individuel pour son usage priv\'e.
\item[Pr\'ef\'erentiel] correspond \`a la cat\'egorie des adh\'erent$\cdot$e$\cdot$s ayant des faibles
  moyens et qui s'abonnent au service \`a titre individuel pour leur usage
  priv\'e.
  Cette cat\'egorie est r\'eserv\'ee aux \'etudiant$\cdot$e$\cdot$s, allocataires des minima
  sociaux, ou similaires, sur pr\'esentation de justificatifs.
\item[Association] correspond \`a la cat\'egorie des adh\'erentes qui sont des personnes
  morales sans but lucratif, tel que d\'efini par le Code G\'en\'eral des Imp\^ots, quelle
  que soit leur forme juridique.
\item[Entreprise] correspond \`a la cat\'egorie des adh\'erentes qui sont des personnes
  morales \`a but lucratif. En particulier sont concern\'ees toutes les entreprises commerciales
  qui souscrivent un abonnement pour leur usage propre, quelle que soit leur forme
  juridique exacte.
\end{description}

Le pr\'esent bulletin d'abonnement concerne la cat\'egorie \og\textbf{%
\fdnchoice{Particulier}{Pr\'ef\'erentiel}{Association}{Entreprise}}\fg.

Pour m\'emoire, les tarifs en vigueur en avril 2020 pour cette cat\'egorie sont les suivants :

\begin{center}\vskip -0.4cm
Acc\`es VPN, tarif mensuel~: \fdnchoice{%Particulier
8,00 \E\ TTC
}{%Etudiants
6,50 \E\ TTC
}{%Associations
12,00 \E\ TTC
}{%Entreprises
20,00 \E\ HT
}
\end{center}


\subsubsection*{Droit de r\'etractation}
\vskip -0.2cm



Vous avez le droit de vous r\'etracter du pr\'esent contrat sans donner de motif dans un d\'elai de quatorze jours, voir pour cela la page suivante.



\subsubsection*{Litiges}
\vskip -0.2cm

En cas de litige avec FDN, vous pouvez saisir gratuitement notre m\'ediateur sur 

\centerline{\tt https://mcpmediation.org/} Ce m\'ediateur est ind\'ependant de FDN et il vous aidera \`a trouver une solution amiable.

Si le r\'eglement amiable n'est pas possible, conform\'ement \`a l'article R631-3 du code de la consommation, vous pouvez saisir \`a votre choix, outre l'une des juridictions comp\'etentes en vertu du code de la proc\'edure civile, la juridiction du lieu o\`u vous demeuriez au moment de la conclusion du contrat ou de la survenance du fait dommageable.


\subsubsection*{Signature}\vskip -0.2cm

Ce bulletin d'abonnement doit \^etre retourn\'e \`a FDN sign\'e.

\fdnchoice{}{%
Il doit \^etre accompagn\'e des justificatifs n\'ecessaires ouvrant droit au
tarif pr\'ef\'erentiel.}{}{}

\end{multicols}

Je soussign\'e$\cdot$e :\newline
\textegris{}{5cm}{%%NOM%%%
}\newline
demeurant :\newline
\textegris{}{8cm}{%%ADRESSE%%%
}\hskip 1cm
\monotextegris{}{5}{%%CP%%%
} \hskip 1cm\textegris{}{5cm}{%%VILLE%%%
}\newline
demande par la pr\'esente \`a \^etre abonn\'e$\cdot$e au service VPN de FDN tel que
d\'efini dans le pr\'esent document.

\SQ~Je d\'eclare \^etre majeur$\cdot$e et suis apte \`a contracter.
\SQ~Je d\'eclare \^etre mineur$\cdot$e et joins une autorisation parentale.

Fait \`a \topalign{\textegris{Ville}{7cm}{}},



le \topalign{\textegris{Date}{3cm}{}}, id %%CID%%
\hskip 3cm
Signature \grayrule{1cm}{3cm}

\newpage
\parskip 0.2cm
\centerline{\bf \Large Droit de r\'etractation}\vskip 0.2cm
\centerline{\bf \large (document \`a conserver)}\vskip 0.5cm



En application de l'article L.221-21, le consommateur doit pouvoir
exercer son droit de r\'etractation en informant le professionnel de sa
d\'ecision de se r\'etracter par l'envoi, avant l'expiration du d\'elai pr\'evu
\`a l'article L.221-18, du formulaire de r\'etractation mentionn\'e au 2\`eme
paragraphe de l'article L.221-5 ou de toute autre d\'eclaration, d\'enu\'ee
d'ambigu\"it\'e, exprimant sa volont\'e de se r\'etracter.

 Le d\'elai de r\'etractation expire quatorze jours apr\`es le jour de la conclusion du contrat.

Pour exercer le droit de r\'etractation, vous devez notifier FDN de votre d\'ecision de r\'etractation du pr\'esent contrat au moyen d'une d\'eclaration d\'enu\'ee d'ambigu\"it\'e (par exemple, lettre envoy\'ee par la poste ou courrier \'electronique). Vous pouvez utiliser le mod\`ele de formulaire de r\'etractation   ci-apr\`es mais ce n'est pas obligatoire.

Pour que le d\'elai de r\'etractation soit respect\'e, il suffit que vous transmettiez votre communication relative \`a l'exercice du droit de r\'etractation avant l'expiration du d\'elai de r\'etractation.

{\it Effets de r\'etractation}

En cas de r\'etractation de votre part du pr\'esent contrat, nous vous rembourserons tous les paiements re\c{c}us de vous sans retard excessif et, en tout \'etat de cause, au plus tard quatorze jours \`a compter du jour o\`u nous sommes inform\'es de votre d\'ecision de r\'etractation du pr\'esent contrat. Nous proc\'ederons au remboursement en utilisant le m\^eme moyen de paiement que celui que vous aurez utilis\'e pour la transaction initiale, sauf si vous convenez express\'ement d'un moyen diff\'erent ; en tout \'etat de cause, ce remboursement n'occasionnera pas de frais pour vous.

Si vous avez demand\'e de commencer la prestation de services pendant le d\'elai de r\'etractation, vous devrez nous payer un montant proportionnel \`a ce qui vous a \'et\'e fourni jusqu'au moment o\`u vous nous avez inform\'e de votre r\'etractation du pr\'esent contrat, par rapport \`a l'ensemble des prestations pr\'evues par le contrat. 


\vskip 1cm

\centerline{\bf \Large Formulaire de r\'etractation}\vskip 0.5cm

\centerline{\it \`A adresser le cas \'ech\'eant dans les 14 jours \`a compter de la r\'eception par FDN de votre bulletin d'abonnement.}


\centerline{\it(Veuillez compl\'eter et renvoyer le pr\'esent formulaire uniquement si vous souhaitez vous r\'etracter du contrat.)}

\vskip 1cm

Je soussign\'e$\cdot$e :\newline
\textegris{}{5cm}{%%NOM%%%
%%IF-NUMADH-%% (adh\'erent$\cdot$e num\'ero %%NUMADH%%)%%-NUMADH-EIF%%%
}\newline
demeurant :\newline
\textegris{}{8cm}{%%ADRESSE%%%
}\hskip 1cm
\monotextegris{}{5}{%%CP%%%
} \hskip 1cm\textegris{}{5cm}{%%VILLE%%%
}\newline
retire ma demande d'abonnement au service VPN de FDN.\vskip 1cm

Fait \`a \topalign{\textegris{Ville}{7cm}{}}, le \topalign{\textegris{Date}{3cm}{}}, id %%CID%%

\vskip 5mm

Signature \grayrule{1cm}{3cm}


\end{document}


