\documentclass[10pt]{article}
\usepackage[all]{fdnhead2}
\usepackage{url,lmodern}

\parindent=0pt
\parskip=6pt
\newbox\adr
\let\email\url

\def\titre#1{\ifvmode\vskip6pt\fi\noindent\textbf{#1}\par}

%%IF-TEL-%%
\def\telephone{%%TEL%%}
%%-TEL-EIF%%

\def\adressemail{%%MAIL%%}
\def\adhid{%%login%%}
\def\adhpass{%%passwd%%}
\def\numadh{%%numadh%%}

\begin{document}

\setbox\adr=\vbox to 4cm{\hsize=9cm\vfill\large\sffamily\obeycr
%%NOM%%
%%ADRESSE%%
%%CP%% %%VILLE%%
\vfill}


\noindent\hbox to \hsize{%
\hfill\frame{\hskip 5mm\copy\adr\hskip 5mm}\hskip -1cm}

\parindent=1.5em
\vskip 1cm

%\titre{Informations \`a conserver}

\titre{Num\'ero d'adh\'erent: \numadh}

\vskip 1cm

\begin{center}
Bienvenue chez FDN!
\end{center}

C'est toujours une joie de compter parmi nous un$\cdot$e nouvel$\cdot$le adh\'erent$\cdot$e.
Comme tu le sais s\^urement d\'ej\`a, FDN est une association. Nous y pr\^onons
l'entraide active entre adh\'erents plut\^ot que la consommation passive d'un
service par des clients.

%%IF-LOGIN-%%
\titre{Dans le cadre de ton acc\`es ADSL:}

En cas de souci avec ta connexion, une \'equipe est donc l\`a pour faire en sorte
de la r\'etablir. Tu peux la contacter en \'ecrivant \`a \email{support@fdn.fr}, 
en pr\'ecisant les \'el\'ements importants que tu es en mesure d'apporter selon 
ton niveau de comp\'etence technique. En particulier, indique-nous si la 
synchronisation ADSL (toujours signal\'ee par un t\'emoin lumineux sur ton modem) 
est effective ou pas lorsque l'acc\`es est interrompu. Avant de contacter FDN, 
v\'erifie bien que tu as une tonalit\'e sur ta ligne, car si ce n'est pas le cas, 
c'est alors Orange qu'il faudra joindre.

Pr\'ecise bien dans ton courriel le num\'ero de ta ligne (\telephone).
%%-LOGIN-EIF%%


Ces informations t'ont d\'ej\`a \'et\'e communiqu\'ees, nous les remettons 
par \'ecrit ici pour qu'elles soient consultables ind\'ependamment de l'\'etat 
de ta connexion, de ta bo\^ite mail ou de ton \'equipement informatique. Il est 
vivement recommand\'e de conserver ce papier en lieu s\^ur.

\titre{Les contacts utiles :}
\begin{itemize}
\item \email{buro@fdn.fr} pour toutes tes questions au bureau de l'association ;
\item \email{services@fdn.fr} pour tout besoin de modification de la connexion (d\'em\'enagement, r\'esiliation, changement de d\'ebit, ...) ;
\item \email{tresorier@fdn.fr} pour toute demande concernant la facturation ;
\item \email{adminsys@fdn.fr} pour toute demande d'ordre technique (cr\'eation d'une bo\^ite mail, d'un site perso, changement de ton reverse DNS, etc.) ;
\item \email{support@fdn.fr} en cas de souci avec ta connexion.
\end{itemize}

Il est pr\'ef\'erable que tu nous \'ecrives depuis l'adresse mail que tu as fournie
lors de ton adh\'esion (\texttt{\adressemail}), pense \`a pr\'evenir \email{adminsys@fdn.fr} si
tu d\'ecides d'en changer.

\titre{Tes identifiants adh\'erent :}

En diverses occasions tu pourrais avoir besoin des tes identifiants, pour
configurer ton routeur, te connecter au wiki, acc\'eder \`a ton espace personnel
adh\'erent (\url{https://vador.fdn.fr/adherents/})

\begin{itemize}
\item ton identifiant adhrent: \texttt{\adhid}
\item ton mot de passe: \texttt{\adhpass}
\end{itemize}

\`A conserver et ne jamais communiquer, personne de FDN ne te demandera jamais
un mot de passe, en aucune fa\c{c}on.

\titre{S'aider pour avancer !}

Chez FDN, les solutions aux probl\`emes qui surviennent, mais aussi les nouveaux
services et l'am\'elioration des services existants, n'arrivent jamais tout
seuls: nous les cr\'eons et les mettons en \oe{}uvre tous ensemble en tant
qu'association. Cela veut dire que tout le monde est encourag\'e \`a participer et
\`a s'impliquer dans la vie de l'association. Les fa\c{c}ons d'aider sont aussi
diverses et vari\'ees que les besoins et envies de chaque adh\'erent(e), peu importe
ton niveau, nous sommes tout \`a fait ouverts et pr\^ets \`a t'aider et te guider,
n'h\'esite pas \`a demander.

\titre{Participer \`a la vie de l'association}

La plupart des adh\'erents se retrouvent en ligne via deux outils: les listes de
discussion et l'IRC.

Le principal moyen de communication dans l'association est de s'\'ecrire sur les
listes de discussion par courriel (ou mailing-lists, pour les anglophones),
tu peux voir quelles sont les listes ouvertes et t'y inscrire sur
\url{https://lists.fdn.fr/wws/lists/FDN}, il y a en particulier :
   \begin{itemize}
   \item \email{ag@fdn.fr} \`a laquelle tu es d\'ej\`a inscrit(e), c'est l'assembl\'ee 
        g\'en\'erale permanente de l'association, on est pri\'e de poster avec 
        mod\'eration sur cette liste et uniquement lorsqu'il s'agit de choses 
        concernant l'ensemble des adh\'erents ;
   \item \email{benevoles@fdn.fr} pour catalyser les bonnes volont\'es ;
   \item \email{bistro@fdn.fr} pour prolonger une discussion dont le sujet s'est
        \'eloign\'e de l'objet d'une liste, parler librement de tout et n'importe quoi
        entre amis...
   \end{itemize}

\vskip\parskip

L'autre moyen en vogue est le dialogue en direct, via le canal IRC \texttt{\#fdn}
 sur \texttt{irc.geeknode.org}. Si tu n'utilises pas de client IRC tu peux discuter avec
 nous sur ce canal gr\^ace \`a \url{http://irc.lc/geeknode/fdn}.

Enfin le wiki des adh\'erents (\url{https://vador.fdn.fr/wiki/}) est l'endroit o\`u
tu pourras retrouver toute information utile, du mat\'eriel pr\'econis\'e jusqu'aux
instructions de configuration. Tu auras besoin des identifiants redonn\'es plus
haut pour y acc\'eder.

Participer \`a la vie de FDN ce n'est pas r\'eserv\'e aux geeks barbus chevelus
codant toute la nuit devant leurs \'ecrans, il y a une infinit\'e de fa\c{c}ons
d'aider, si une id\'ee te semble bonne pour FDN, alors elle l'est probablement,
lance-toi !

Bienvenue \`a bord !


\end{document}

