\documentclass{article}
\errorcontextlines=999

\usepackage[T1]{fontenc}
\usepackage[frenchb]{babel}
\usepackage[latin1]{inputenc}
\usepackage{vmargin,ifthen,latexsym,calc}
\usepackage{graphicx,color,lmodern}
\catcode`:=13

\setpapersize{A4}
\setmarginsrb{1cm}{1cm}{1cm}{1cm}{0pt}{0pt}{0pt}{0pt}
\pagestyle{empty}

\newlength\tmplen
\newlength\largeur

%\let\SQ\SqaureShadowBottomRight
\newcommand{\SQ}{{$\Box$}}
\definecolor{lightgray}{gray}{0.8}

% Fait un cadre autour d'un element (un chiffre de preference)
\def\framenumber#1{%
 \hbox{%
  \vrule
  \vbox to 12pt{%
   \hrule
   \vfil
   \hbox to 12pt{\hfil \textsf{\textbf{#1}}\hfil}%
   \vfil
   \hrule}%
  \vrule
 }}


\newcommand{\lettres}[1]{{%
 \count123=1\relax
 \vbox{\hbox to #10pt{\vrule height 12pt\hskip -0.4pt\hskip 10pt%
 \whiledo{\count123<#1}{%
   \vrule height 3pt\hskip -0.4pt\hskip 10pt\advance\count123 by 1\relax}%
 \hskip -0.4pt\vrule}\hrule}}}

\newlength\grulewidth
\newlength\gruleheight
\def\grayrule#1#2{%
  \setlength\gruleheight{#1}%
  \setlength\grulewidth{#2}%
  \color{lightgray}%
  \ifvmode\hrule\fi
  \ifhmode\vrule\fi
  width \grulewidth height \gruleheight
  \color{black}%
}

\def\monos#1{\hbox\bgroup\Imonos#1@}
\def\Imonos#1{{\def\at{@}\def\tmp{#1}%
 \ifx\at\tmp\aftergroup\egroup\else
  \hbox to 10pt{\hfill\textsf{\textbf{\raise 2pt\hbox{#1}}}\hfill}%
  \aftergroup\Imonos%
 \fi}}

\newcount\ibanpack
\def\monoiban#1{\global\ibanpack=0\relax\hbox\bgroup\Imonoiban#1@}
\def\Imonoiban#1{{%
  \def\at{@}\def\tmp{#1}%
  \global\advance\ibanpack by 1\relax
  \ifnum \ibanpack>4\relax
    \hskip 10pt\relax
    \global\ibanpack=1\relax
  \fi
  \ifx\at\tmp\aftergroup\egroup\else
    \hbox to 10pt{\hfill\textsf{\textbf{\raise 2pt\hbox{#1}}}\hfill}%
    \aftergroup\Imonoiban
  \fi
}}

\def\titrecadre#1#2{%
  \hbox to \linewidth{\framenumber{#1}~\raise 1pt\hbox{\textsf{#2}}\hfill}%
}

\def\@textegris#1#2#3{{%
  \setlength\largeur{#2}%
  \def\infos{#1}%
  \def\valeur{#3}%
  \vbox{\hsize=\largeur\relax
    \fontsize{10pt}{10pt}\selectfont
    \hbox to \hsize{%
      \rlap{\grayrule{12pt}{\largeur}}%
      \hbox{\textsf{\textbf{\valeur}}}%
      \hfill
    }%
    \fontsize{5pt}{5pt}\selectfont
    \hbox to \hsize{\strut\textsf{\infos}\hfill}%
  }%
}}

\def\textegris#1#2#3{%
  \def\valeur{#3}%
  \ifx\valeur\empty
    \@textegris{#1}{#2}{\raise 2pt\hbox{\hskip 3pt#3}}%
  \else
    \@textegris{}{#2}{\raise 2pt\hbox{\hskip 3pt#3}}%
  \fi
}

\def\monotextegris#1#2#3{{%
  \def\valeur{#3}%
  \tmplen=10pt\relax
  \multiply\tmplen by #2\relax
  \ifx\valeur\empty
    \@textegris{#1}{\tmplen}{\rlap{\lettres{#2}}\monos{#3}}%
  \else
    \@textegris{#1}{\tmplen}{\rlap{\lettres{#2}}\monos{#3}}%
  \fi
}}

\def\codeiban{%
  \lettres{4}\hskip 10pt\relax
  \lettres{4}\hskip 10pt\relax
  \lettres{4}\hskip 10pt\relax
  \lettres{4}\hskip 10pt\relax
  \lettres{4}\hskip 10pt\relax
  \lettres{4}\hskip 10pt\relax
  \lettres{4}\hskip 10pt\relax
  \lettres{4}%
}
\def\monotexteiban#1#2{{%
  \def\iban{#2}%
  \tmplen=10pt\relax
  \multiply\tmplen by 39\relax
  \@textegris{#1}{\tmplen}{\rlap{\codeiban}\monoiban{#2}}%
}}

\def\cadre#1#2{%
  \begin{minipage}{\linewidth}
  #1%
  \frame{\hspace{6pt}%
    \begin{minipage}{\linewidth - 13pt}
    \vspace{6pt}%
    #2
    \vspace{6pt}%
    \end{minipage}%
  \hspace{6pt}}%
  \end{minipage}%
}

\def\cadreadresse#1#2#3#4#5#6{%
  \cadre{\titrecadre{#1}{#2}}{%
    \textegris{Nom, pr\'enom}{\linewidth}{#3}%
    \textegris{Adresse}{\linewidth}{#4}%
    \hbox{%
      \monotextegris{Code postal}{5}{#5}%
      \hspace{6pt}%
      \textegris{Ville}{\linewidth-56pt}{#6}%
    }%
  }%
}

\def\cadrecompte#1#2#3#4#5{%
  \cadre{\titrecadre{#1}{#2}}{%
    \textegris{Nom de la banque}{\linewidth}{#3}%
    \vspace{6pt}
    \hbox to \linewidth{%
	\monotextegris{BIC (Bank International Code)}{14}{#4}%
        \hfill}%
    \vspace{6pt}
    \hbox to \linewidth{%
	\monotexteiban{IBAN (International Bank Account Number)}{#5}%
        \hfill}%
  }%
}

\def\cadrerum#1#2#3#4{%
  \cadre{\titrecadre{#1}{#2}}{%
    \hbox to \linewidth{%
      \monotextegris{Rfrence Unique du Mandat}{30}{#3}%
      \hfill}%
    \hbox to \linewidth{%
      \monotextegris{Identifiant Crancier SEPA}{30}{#4}%
      \hfill}%
  }%
}


\def\cadresignature{%
  \small\sffamily
  \hbox to \linewidth{\hbox to 1.5cm{Date:\hfill}\grayrule{12pt}{\linewidth-1.5cm}}
  \hbox to \linewidth{\hbox to 1.5cm{Signature:\hfill}\grayrule{32pt}{\linewidth-1.5cm}}
}

\def\cadreinfoscnil{%
  \cadre{}{%
    \tiny\sffamily Les informations contenues dans la pr\'esente
    demande ne seront utilis\'ees que pour les seules n\'ecessit\'es de
    la gestion et pourront donner lieu \`a exercice du droit individuel
    d'acc\`es aupr\`es du cr\'eancier d\'esign\'e ci-dessus, selon la
    d\'elib\'eration du 01/01/1980 de la Commission Informatique et
    Libert\'es. 
  }
}


\long\def\ligne#1#2#3#4#5{%
  \hbox to \linewidth{%
    \lower 1ex\hbox{#1}%
    \begin{minipage}[t]{#2\linewidth}
    #4
    \end{minipage}%
    \hfill
    \begin{minipage}[t]{#3\linewidth}
    #5
    \end{minipage}%
  }
}


\begin{document}

\sffamily

{\bfseries\Huge
\includegraphics[width=2in]{logoFDN}
\raise .8cm\hbox{Mandat de pr\'el\`evement}}

\begin{center}\Large\bfseries
Documents \`a nous retourner par courrier simple, \textbf{ne pas utiliser d'agrafe et \'eviter le recto-verso si possible}:
\end{center}
\begin{minipage}[t]{.4\linewidth}\large
\textbf{Pour une adhsion seule:}
\begin{itemize}
\item bulletin d'adhsion
\item mandat de prlvement
\item pour le tarif prfrentiel, un justificatif
\end{itemize}
\end{minipage}
\begin{minipage}[t]{.57\linewidth}\large
\textbf{Pour une adhsion avec abonnement:}
\begin{itemize}
\item bulletin d'adhsion
\item mandat de prlvement
\item pour le tarif prfrentiel, un justificatif
\item bulletin d'abonnement
\item dans le cas d'une ligne xDSL d\'egroup\'ee partiellement, facture Orange de la ligne support (ou tout autre document comme une feuille d'intervention de mise en service)
\item dans le cas d'une ligne xDSL d\'egroup\'ee totalement ou FTTH, un justificatif de domicile.
\end{itemize}
\end{minipage}
 
Numro d'adhrent: %%NUMADH%% id: %%CID%%%
\vskip 5mm
\hrule

En signant ce formulaire de mandat, vous autorisez (A) \textbf{FRENCH DATA NETWORK}  envoyer des instructions
 votre banque pour dbiter votre compte et (B) votre banque  dbiter votre compte conformment aux
instructions de \textbf{FRENCH DATA NETWORK}.

Vous bnficiez du droit d'tre rembours par votre banque selon les conditions dcrites dans la convention que
vous avez pass avec elle.

Une demande de remboursement doit tre prsente:
\begin{itemize}
\item dans les 8 semaines suivant la date de dbit de votre compte pour un prlvement autoris,
\item sans tarder et au plus tard dans les 13 mois en cas de prlvement non-autoris.
\end{itemize}

\vskip 5mm

\noindent\cadrerum{1%
	}{MANDAT%
	}{%%RUM%%%
	}{FR81ZZZ402945%
	}%

\vskip 12pt

\noindent\cadreadresse{2%
        }{D\'EBITEUR%
        }{%%NOM%%%
        }{%%ADRESSE%%%
	}{%%CP%%%
	}{%%VILLE%%%
	}%

\vskip 12pt

\noindent\cadrecompte{3%
	}{COMPTE \`A D\'EBITER%
	}{%%NOMBQ%%%
	}{%%BIC%%%
	}{%%IBAN%%%
	}

\vskip 12pt

Ce mandat est valable pour des paiements \textbf{rcurrents}.

\vskip 12pt



\begin{flushright}
\begin{minipage}{6cm}
\cadresignature
\end{minipage}
\end{flushright}

\vfill

\noindent\cadreinfoscnil

%\vbox to 0.34\textheight{%
%  \ligne{\includegraphics[width=1.3cm]{logoFDN} }{.4}{.5}{%
%   {\large\textsf{\textbf{DEMANDE DE PR\'EL\`EVEMENTS}}}\par
%   \scriptsize\sffamily\raggedright
%   Je demande au cr\'eancier d\'esign\'e ci-apr\`es de faire
%   pr\'elever sur mon compte (jusqu'\`a annulation de ma part qui lui
%   sera signifi\'ee en temps voulu) les sommes dont je lui serai
%   redevable.
%  }{%
%   \raggedleft\small
%   \textsf{\textbf{REMPLIR TOUTES LES ZONES GRISES DE CET
%   IMPRIM\'E}}\newline
%   \textsf{\textbf{NE PAS OMETTRE DE DATER ET SIGNER}}
%  }%
%  \ligne{}{.48}{.48}%
%    {}
%    {\cadreadresse{3%
%        }{\'ETABLISSEMENT TENEUR DU COMPTE \`A D\'EBITER%
%	}{%%NOMBQ%%%
%	}{%%ADRESSEBQ%%%
%	}{%%CPBQ%%%
%	}{%%VILLEBQ%%%
%	}}%
%  \vskip 6pt
%  \ligne{}{.48}{.48}%
%    {\cadrecompte{2%
%        }{COMPTE \`A D\'EBITER%
%	}{%%BANQUE%%%
%	}{%%GUICHET%%%
%	}{%%COMPTE%%%
%	}{%%RIB%%%
%	}}%
%    {\cadreadresse{4}{ORGANISME CR\'EANCIER}{FRENCH DATA NETWORK}{16, rue de Cachy}{80090}{AMIENS}}%
%  \ligne{}{.48}{.48}%
%    \cadresignature
%    \cadreinfoscnil
%  \vfill
%}%

\end{document}

