\documentclass{article}

\usepackage[T1]{fontenc}
\usepackage[latin1]{inputenc}
\usepackage[frenchb]{babel}
\usepackage{textcomp,vmargin,multicol,fdnforms,lmodern}
\def\E{\texteuro}

\setmargnohfrb{.3in}{.2in}{.2in}{.2in}
\lefthyphenmin=1

%%IF-etudiant-%%
\def\fdnchoice#1#2#3#4{#2}
%%-etudiant-EIF%%
%%IF-association-%%
\def\fdnchoice#1#2#3#4{#3}
%%-association-EIF%%
%%IF-entreprise-%%
\def\fdnchoice#1#2#3#4{#4}
%%-entreprise-EIF%%
%%IF-particulier-%%
\def\fdnchoice#1#2#3#4{#1}
%%-particulier-EIF%%


\begin{document}
\let\rmdefault\sfdefault
\sffamily

\begin{center}
\hbox to \linewidth{%
\strut
\rlap{\includegraphics[width=1in]{logoFDN}}\hfill
\LARGE Bulletin d'abonnement au service xDSL/FTTH de FDN%
\hfill\llap{\includegraphics[width=1in]{logoFDN}}%
}

Version du 5 mai 2022, id %%CID%% %%IF-NUMADH-%% (adh\'erent$\cdot$e num\'ero %%NUMADH%%)%%-NUMADH-EIF%%%

\end{center}

\begin{multicols}{2}



\subsubsection*{D\'efinitions}

\begin{description}
\item[Abonn\'e$\cdot$e] L'abonn\'e$\cdot$e est l'adh\'erent$\cdot$e \`a l'association ayant souscrit
  un abonnement au service xDSL ou FTTH. L'abonnement n'est ouvert qu'aux
  adh\'erent$\cdot$e$\cdot$s de l'association.
\item[Titulaire] La personne titulaire de la ligne est l'abonn\'ee aux services.
\item[RTC] R\'eseau T\'el\'ephonique Commut\'e: r\'eseau t\'el\'ephonique \emph{classique}.
\item[VoIP] \emph{Voice Over Internet Protocol} (Voix sur le Protocole Internet):
  r\'eseau t\'el\'ephonique alternatif bas\'e sur des technologies issues d'Internet.
\end{description}

\subsubsection*{Description du service}\vskip -0.2cm

FDN fournit une connexion \`a son r\'eseau  via la technologie xDSL ou FTTH reposant
sur l'offre de collecte d'un op\'erateur
tiers. Ces acc\`es sont, selon les cas, obtenus par non d\'egroupage ou d\'egroupage total de la ligne
t\'el\'ephonique.

\textbf{En cas de non d\'egroupage, l'abonn\'e$\cdot$e
doit rester abonn\'e$\cdot$e au service t\'el\'ephonique d'Orange sur sa ligne}.
Toute r\'esiliation du service t\'el\'ephonique entraine la r\'esiliation du service xDSL
avec le paiement par l'adh\'erent$\cdot$e de frais de pr\'eavis non respect\'e.

FDN fournit, sur cette connexion \`a son r\'eseau, une ou plusieurs adresses IP
publiques, fixes (sauf demande explicite de l'abonn\'e$\cdot$e), et assure le routage
vers Internet.

En plus de cet acc\`es vers Internet, l'association fournit des services, au choix
de l'abonn\'e$\cdot$e, parmi ceux-ci :
\begin{itemize}
\item acc\`es au courrier \'electronique, sur une adresse dans le domaine \texttt{fdn.fr}
  ou dans le domaine \texttt{fdn.org}, sur un sous-domaine de ceux-l\`a r\'eserv\'e \`a
  l'abonn\'e$\cdot$e, ou sur tout domaine dont l'abonn\'e$\cdot$e est propri\'etaire;
\item h\'ebergement du ou des noms de domaine de l'abonn\'e$\cdot$e, que ce soit en DNS primaire
  ou en DNS secondaire;
\item h\'ebergement d'un ou plusieurs sites web sur la plateforme d'h\'ebergement de
  l'association;
\item fourniture d'un acc\`es aux nouvelles (news), soit directement au serveur NNTP,
  soit sous forme d'un feed direct (via newsfeed, ou de pr\'ef\'erence UUCP);
\item de mani\`ere g\'en\'erale tout service en lien avec Internet et Usenet que l'association
  met usuellement \`a disposition de ses adh\'erent$\cdot$e$\cdot$s.
\end{itemize}

L'association fonctionne par le b\'en\'evolat de ses membres adh\'erents : d'autres services
peuvent \^etre mis \`a disposition s'il se trouve des personnes adh\'erentes pr\^etes \`a mettre en place
et administrer ces services.

Le r\`eglement int\'erieur de l'association s'applique aux activit\'es de l'abonn\'e$\cdot$e sur sa
ligne xDSL ou FTTH, comme pour tous les autres services fournis par FDN. Conform\'ement aux
statuts de l'association, ce r\`eglement a valeur statutaire. Son non-respect peut
entra\^iner une radiation de l'association.

\subsubsection*{Conditions d'acc\`es}\vskip -0.2cm

La fourniture de l'acc\`es xDSL ou FTTH est soumise au paiement initial de frais d'acc\`es au
service couvrant les frais de la construction de la ligne par l'association, et au
paiement r\'egulier d'un abonnement.

Le montant de l'abonnement est susceptible d'\^etre modifi\'e, \`a la hausse ou \`a la baisse,
en fonction des tarifs des fournisseurs de l'association. Si le tarif est r\'evis\'e \`a
la hausse, et au-del\`a du tarif qui \'etait en vigueur lors de la souscription de
l'abonnement, l'abonn\'e$\cdot$e en sera inform\'e$\cdot$e dans les meilleurs d\'elais par l'association et
aura la possibilit\'e de r\'esilier son abonnement dans les conditions pr\'evues.

Le paiement de l'abonnement se fait par pr\'el\`evement bancaire, sauf exception accept\'ee
par l'association. Un courrier \'electronique est envoy\'e quelques jours avant le pr\'el\`evement,
indiquant la date du pr\'el\`evement, le montant pr\'elev\'e, ainsi que la liste des \'el\'ements
ayant servi au calcul de ce montant. Pour les personnes adh\'erentes qui le demandent, une facture
au format PDF est mise \`a disposition en ligne sur un site Web au moment de l'envoi du
courrier \'electronique. Pour les personnes adh\'erentes qui en font la demande, une facture papier
leur est envoy\'ee par voie postale, cet envoi est factur\'e 1\E~TTC par facture envoy\'ee
pour couvrir les frais engendr\'es.

Pour les personnes adh\'erentes n'ayant pas donn\'e d'adresse \'electronique de contact, le courrier
\'electronique annon\c{c}ant les pr\'el\`evements n'est pas envoy\'e.

Pour les interventions sur les lignes et les installations \`a domicile, FDN r\'epercutera sur l'abonn\'e$\cdot$e les frais engendr\'es par un signalement abusif ou un rendez-vous non honor\'e aupr\`es d'un$\cdot$e technicien$\cdot$ne (pour ordre de grandeur, ces frais s'\'el\`event \`a 250\E\ en mai 2022).

\subsubsection*{Dur\'ee d'acc\`es}\vskip -0.2cm

L'abonnement xDSL via Ielo ou FTTH Axione via Aquilenet n'est pas soumis \`a une dur\'ee d'engagement. L'abonn\'e$\cdot$e est
libre de r\'esilier
son acc\`es \`a tout moment.

L'abonnement FTTH via Ielo est soumis \`a une dur\'ee d'engagement d'un  an aupr\`es de
Ielo ; le cas \'ech\'eant le reliquat sera factur\'e au prix co\^utant
(sans le co\^ut de la bande passante).
Il est de plus fourni un bo\^itier ONT qui doit \^etre restitu\'e en cas
de r\'esilisation. Le co\^ut de non-restitution s'\'el\`eve \`a 100~\E~TTC.

L'association r\'epercute le co\^ut de r\'esiliation \`a l'adh\'erent$\cdot$e ; ce
 co\^ut est variable en fonction du sous-traitant de l'association.
L'adh\'erent$\cdot$e est invit\'e$\cdot$e \`a prendre connaissance des conditions de
r\'esiliation correspondant \`a sa situation particuli\`ere sur le site
Internet de l'association et \`a d\'eposer une telle demande par courriel \`a
suivi-adsl@fdn.fr qui accusera r\'eception de celle-ci.


La modification du d\'ebit souscrit, dans certaines limites pr\'ecises, est gratuite. Ces
limites sont publi\'ees sur le site web de l'association et refl\`etent les contraintes
impos\'ees par les fournisseurs de l'association. Ces limites sont indiqu\'ees aussi pr\'ecis\'ement
que FDN les conna\^it.


\subsubsection*{Limites}\vskip -0.2cm

L'acc\`es xDSL ou FTTH fourni par FDN ne couvre pas certains \'el\'ements. En particulier:
\begin{itemize}
\item l'obtention d'un modem xDSL et/ou routeur est \`a la charge de l'abonn\'e$\cdot$e, une liste de modems
  et routeurs connus comme \'etant compatibles avec certains d\'ebits \'elev\'es est publi\'ee par
  l'association, cette liste n'est pas exhaustive ; 
\item pour le non d\'egroupage uniquement l'abonnement Orange pour la ligne concern\'ee reste obligatoire et 
  \`a la charge de l'abonn\'e$\cdot$e : FDN n'intervient en rien dans les relations commerciales qui
  lient l'abonn\'e$\cdot$e \`a Orange;
\item FDN ne fournit pas de service de t\'el\'ephonie, ni en RTC, ni en VoIP ;
\item FDN ne fournit pas d'assistance technique pour l'installation et la configuration
  de l'acc\`es xDSL ou FTTH, la seule assistance fournie est la recherche et la r\'esolution des
  pannes techniques qui peuvent emp\^echer l'acc\`es \`a Internet de l'abonn\'e$\cdot$e, cette
  assistance est fournie b\'en\'evolement par des membres de l'association et ne fait
  donc l'objet d'aucune garantie ; la personne abonn\'ee est invit\'ee \`a fournir elle-m\^eme, si ses
  comp\'etences le permettent, de l'assistance aux autres membres de l'association.
\end{itemize}

\subsubsection*{Tarifs en vigueur}


L'association FDN pratique des tarifs diff\'erents selon la nature des abonn\'e$\cdot$e$\cdot$s
et leur situation sociale. A priori l'association distingue 4 cat\'egories
d'abonn\'e$\cdot$e$\cdot$s auxquelles des tarifs diff\'erents sont appliqu\'es. L'association se r\'eserve
le droit d'effectuer des d\'erogations \`a ces r\`egles, que ce soit \`a la hausse ou
\`a la baisse. Ces d\'erogations seront toujours annonc\'ees sur le site Web de l'association
ainsi qu'en Assembl\'ee G\'en\'erale, ainsi que les motifs qui ont amen\'e  ces
d\'erogations (personne adh\'erente sur-consommatrice de bande passante, conditions de ressources
particuli\`erement faibles, etc.).

Les 4 cat\'egories sont les suivantes:
\begin{description}
\item[Particulier] correspond \`a la cat\'egorie la plus usuelle d'une personne adh\'erente qui
  s'abonne au service xDSL ou FTTH \`a titre individuel pour son usage priv\'e.
\item[Pr\'ef\'erentiel] correspond \`a la cat\'egorie des adh\'erent$\cdot$e$\cdot$s ayant des faibles
  moyens et qui s'abonnent au service xDSL ou FTTH \`a titre individuel pour leur usage
  priv\'e. Cette cat\'egorie est r\'eserv\'ee aux \'etudiant$\cdot$e$\cdot$s, allocataires des minima
  sociaux, titulaires de CES (Contrats Emplois Solidarit\'e), ou similaires. Cette
  cat\'egorie n'est accessible que sur pr\'esentation de justificatifs.
\item[Association] correspond \`a la cat\'egorie des adh\'erentes qui sont des personnes
  morales sans but lucratif, tel que d\'efini par le Code G\'en\'eral des Imp\^ots, quelle
  que soit leur forme juridique. En particulier sont concern\'ees les associations r\'egies
  par la loi de 1901 sans but lucratif, qu'elles soient d\'eclar\'ees en pr\'efecture ou non.
  C'est par exemple de cette cat\'egorie que rel\`eve un groupe d'habitant$\cdot$e$\cdot$s se cotisant
  pour financer un abonnement xDSL ou FTTH partag\'e entre plusieurs logements (cas d'une
  association de fait).
\item[Entreprise] correspond \`a la cat\'egorie des adh\'erentes qui sont des personnes
  morales \`a but lucratif. En particulier sont concern\'ees toutes les entreprises commerciales
  qui souscrivent  un abonnement xDSL ou FTTH pour leur usage propre, quelle que soit leur forme
  juridique exacte (ind\'ependant$\cdot$e$\cdot$s, artisant$\cdot$e$\cdot$s, SARL, etc.).
\end{description}

Le pr\'esent bulletin d'abonnement concerne la cat\'egorie \og\textbf{%
\fdnchoice{Particulier}{Pr\'ef\'erentiel}{Association}{Entreprise}}\fg.

Pour m\'emoire, les tarifs en vigueur en avril 2022 pour cette cat\'egorie sont les suivants 
(\`a noter que les zones denses ou peu denses indiqu\'ees pour le FTTH Kosc ou Bytel sont d\'etermin\'ees par votre adresse : les zones denses correspondent aux zones les plus denses type grandes villes) :


\begin{center}
\begin{tabular}{|llll|} \hline
\multicolumn{2}{|c}{\textbf{D\'ebit}} &	&                \\
\fdnchoice{%Particulier
\textbf{download} & \textbf{(upload)}
			& FAS TTC	& Abo. TTC \\ \hline
}{%Preferentiel
\textbf{download} & \textbf{(upload)}
			& FAS TTC	& Abo. TTC \\ \hline
}{%Associations
\textbf{download} & \textbf{(upload)}
			& FAS TTC	& Abo. TTC \\ \hline
}{%Entreprises
\textbf{download} & \textbf{(upload)}
			& FAS HT	& Abo. HT \\ \hline
}
\multicolumn{4}{|l|}{\textbf{xDSL Non d\'egroup\'e} Orange via Ielo}		        \\ \hline
\fdnchoice{%Particulier
512~kb/s	& (128~kb/s)	& 72,00~\E	& 29,00~\E/mois \\
1-7~Mb/s	& (256~kb/s)	& 72,00~\E	& 29,00~\E/mois \\
8-18~Mb/s	& (860~kb/s)	& 72,00~\E	& 29,00~\E/mois \\
18-80~Mb/s	& (25~Mb/s)	& 72,00~\E	& 29,00~\E/mois \\
}{%Preferentiel
512~kb/s	& (128~kb/s)	& 72,00~\E	& 27,00~\E/mois \\
1-7~Mb/s	& (256~kb/s)	& 72,00~\E	& 27,00~\E/mois \\
8-18~Mb/s	& (860~kb/s)	& 72,00~\E	& 27,00~\E/mois \\
18-80~Mb/s	& (25~Mb/s)	& 72,00~\E	& 27,00~\E/mois \\
}{%Associations
512~kb/s	& (128~kb/s)	& 72,00~\E	& 33,00~\E/mois \\
1-7~Mb/s	& (256~kb/s)	& 72,00~\E	& 33,00~\E/mois \\
8-18~Mb/s	& (860~kb/s)	& 72,00~\E	& 33,00~\E/mois \\
18-80~Mb/s	& (25~Mb/s)	& 72,00~\E	& 33,00~\E/mois \\
}{%Entreprises
512~kb/s	& (128~kb/s)	& 60,00~\E	& 29,17~\E/mois \\
1-7~Mb/s	& (256~kb/s)	& 60,00~\E	& 29,17~\E/mois \\
8-18~Mb/s	& (860~kb/s)	& 60,00~\E	& 29,17~\E/mois \\
18-80~Mb/s	& (25~Mb/s)	& 60,00~\E	& 29,17~\E/mois \\
} \hline
\multicolumn{4}{|l|}{\textbf{xDSL D\'egroup\'e totalement} Orange via Ielo}	       \\ \hline
\fdnchoice{%Particulier
512~kb/s	& (128~kb/s)	& 78,00~\E	& 40,00~\E/mois \\
1-7~Mb/s	& (256~kb/s)	& 78,00~\E	& 40,00~\E/mois \\
8-18~Mb/s	& (860~kb/s)	& 78,00~\E	& 40,00~\E/mois \\
18-80~Mb/s	& (25~Mb/s)	& 78,00~\E	& 40,00~\E/mois \\
}{%Preferentiel
512~kb/s	& (128~kb/s)	& 78,00~\E	& 37,50~\E/mois \\
1-7~Mb/s	& (256~kb/s)	& 78,00~\E	& 37,50~\E/mois \\
8-18~Mb/s	& (860~kb/s)	& 78,00~\E	& 37,50~\E/mois \\
18-80~Mb/s	& (25~Mb/s)	& 78,00~\E	& 37,50~\E/mois \\
}{%Associations
512~kb/s	& (128~kb/s)	& 78,00~\E	& 42,00~\E/mois \\
1-7~Mb/s	& (256~kb/s)	& 78,00~\E	& 42,00~\E/mois \\
8-18~Mb/s	& (860~kb/s)	& 78,00~\E	& 42,00~\E/mois \\
18-80~Mb/s	& (25~Mb/s)	& 78,00~\E	& 42,00~\E/mois \\
}{%Entreprises
512~kb/s	& (128~kb/s)	& 65,00~\E	& 37,50~\E/mois \\
1-7~Mb/s	& (256~kb/s)	& 65,00~\E	& 37,50~\E/mois \\
8-18~Mb/s	& (860~kb/s)	& 65,00~\E	& 37,50~\E/mois \\
18-80~Mb/s	& (25~Mb/s)	& 65,00~\E	& 37,50~\E/mois \\
} \hline
\multicolumn{4}{|l|}{\textbf{FTTH} Kosc zone dense via Ielo}	       \\ \hline
\fdnchoice{%Particulier
300Mb/s	   	& (250Mb/s)	& 66,00~\E	& 50,00~\E/mois \\
1Gb/s	    	& (250Mb/s)	& 66,00~\E	& 55,00~\E/mois \\
}{%Preferentiel
300Mb/s		& (250Mb/s)	& 66,00~\E	& 42,00~\E/mois \\
1Gb/s		& (250Mb/s)	& 66,00~\E	& 47,00~\E/mois \\
}{%Associations
300Mb/s	   	& (250Mb/s)	& 66,00~\E	& 52,00~\E/mois \\
1Gb/s	    	& (250Mb/s)	& 66,00~\E	& 57,00~\E/mois \\
}{%Entreprises
300Mb/s		& (250Mb/s)	& 55,00~\E	& 50,00~\E/mois \\
1Gb/s		& (250Mb/s)	& 55,00~\E	& 55,00~\E/mois \\
} \hline
\multicolumn{4}{|l|}{\textbf{FTTH} Kosc zone peu dense via Ielo}	       \\ \hline
\fdnchoice{%Particulier
300Mb/s	   	& (250Mb/s)	& 84,00~\E	& 58,00~\E/mois \\
1Gb/s	    	& (250Mb/s)	& 84,00~\E	& 63,00~\E/mois \\
}{%Preferentiel
300Mb/s		& (250Mb/s)	& 84,00~\E	& 50,00~\E/mois \\
1Gb/s		& (250Mb/s)	& 84,00~\E	& 55,00~\E/mois \\
}{%Associations
300Mb/s	   	& (250Mb/s)	& 84,00~\E	& 60,00~\E/mois \\
1Gb/s	    	& (250Mb/s)	& 84,00~\E	& 65,00~\E/mois \\
}{%Entreprises
300Mb/s		& (250Mb/s)	& 70,00~\E	& 58,00~\E/mois \\
1Gb/s		& (250Mb/s)	& 70,00~\E	& 63,00~\E/mois \\
} \hline
\multicolumn{4}{|l|}{\textbf{FTTH} Bytel zone dense via Ielo}	       \\ \hline
\fdnchoice{%Particulier
1Gb/s	    	& (500Mb/s)	& 132,00~\E	& 52,00~\E/mois \\
}{%Preferentiel
1Gb/s		& (500Mb/s)	& 132,00~\E	& 44,00~\E/mois \\
}{%Associations
1Gb/s	    	& (500Mb/s)	& 132,00~\E	& 54,00~\E/mois \\
}{%Entreprises
1Gb/s		& (500Mb/s)	& 110,00~\E	& 52,00~\E/mois \\
} \hline
\multicolumn{4}{|l|}{\textbf{FTTH} Bytel zone peu dense via Ielo}	       \\ \hline
\fdnchoice{%Particulier
1Gb/s	    	& (500Mb/s)	& 156,00~\E	& 57,00~\E/mois \\
}{%Preferentiel
1Gb/s		& (500Mb/s)	& 156,00~\E	& 49,00~\E/mois \\
}{%Associations
1Gb/s	    	& (500Mb/s)	& 156,00~\E	& 59,00~\E/mois \\
}{%Entreprises
1Gb/s		& (500Mb/s)	& 130,00~\E	& 57,00~\E/mois \\
} \hline
\multicolumn{4}{|l|}{\textbf{FTTH} Axione via Aquilenet}	       \\ \hline
\fdnchoice{%Particulier
1Gb/s	    	& (250Mb/s)	& 72,00~\E	& 36,00~\E/mois \\
}{%Preferentiel
1Gb/s		& (250Mb/s)	& 72,00~\E	& 29,00~\E/mois \\
}{%Associations
1Gb/s	    	& (250Mb/s)	& 72,00~\E	& 38,00~\E/mois \\
}{%Entreprises
1Gb/s		& (250Mb/s)	& 60,00~\E	& 36,00~\E/mois \\
} \hline
\end{tabular}
\end{center}



\subsubsection*{Droit de r\'etractation}


Vous avez le droit de vous r\'etracter du pr\'esent contrat sans donner de motif dans un d\'elai de quatorze jours, voir pour cela la page suivante.


\subsubsection*{Litiges}


En cas de litige avec FDN, vous pouvez saisir gratuitement notre m\'ediateur sur 

\centerline{\tt https://mcpmediation.org/} Ce m\'ediateur est ind\'ependant de FDN et il vous aidera \`a trouver une solution amiable.

Si le r\'eglement amiable n'est pas possible, conform\'ement \`a l'article R631-3 du code de la consommation, vous pouvez saisir \`a votre choix, outre l'une des juridictions comp\'etentes en vertu du code de la proc\'edure civile, la juridiction du lieu o\`u vous demeuriez au moment de la conclusion du contrat ou de la survenance du fait dommageable.

\subsubsection*{Service souscrit}\vskip -2mm


Ligne concern\'ee : %%TEL%%

Adresse ligne : %%ADRESSEDFLT%%

%%CPDFLT%% %%VILLEDFLT%%

Option : %%OPT%%

D\'ebit souscrit : %%DEBIT%%

\def\nerim{option0}
\def\degr{option1}
\def\nodeg{option3}
\def\pureft{option5}
\def\liazo{LiazoOrange}
\def\liazonu{LiazoOrangeNu}
\def\opt{%%OPTION%%%
}

\ifx\opt\degr
D\'egroupage: partiel via SFR
\else
  \ifx\opt\nodeg
  D\'egroupage: non (option 3 via SFR)
  \else
    \ifx\opt\nerim
    D\'egroupage: partiel via Nerim
    \else
      \ifx\opt\pureft
      D\'egroupage: non (pur FT)
      \else
        \ifx\opt\liazo
        D\'egroupage: non (pur FT)
        \else
          \ifx\opt\liazonu
          D\'egroupage: total (pur FT)
          \fi
        \fi
      \fi
    \fi
  \fi
\fi


\subsubsection*{Signature}\vskip -2mm

Le pr\'esent bulletin d'abonnement doit \^etre retourn\'e \`a FDN paraph\'e \`a chaque
page, et sign\'e sur cette page.

\fdnchoice{}{%
Il doit \^etre accompagn\'e des justificatifs n\'ecessaires ouvrant droit au
tarif pr\'ef\'erentiel.}{}{}

\end{multicols}
\vskip -2mm

Je soussign\'e$\cdot$e :\newline
\textegris{}{5cm}{%%NOM%%%
%%IF-NUMADH-%% (adh\'erent$\cdot$e num\'ero %%NUMADH%%)%%-NUMADH-EIF%%%
}\newline
demeurant :\newline
\textegris{}{8cm}{%%ADRESSE%%%
}\hskip 1cm
\monotextegris{}{5}{%%CP%%%
} \hskip 1cm\textegris{}{5cm}{%%VILLE%%%
}\newline
demande par la pr\'esente \`a \^etre abonn\'e$\cdot$e au service xDSL ou FTTH de FDN tel que
d\'efini dans le pr\'esent document.

\SQ~Je d\'eclare \^etre majeur$\cdot$e et suis apte \`a contracter.
\SQ~Je d\'eclare \^etre mineur$\cdot$e et joins une autorisation parentale.

Fait \`a \topalign{\textegris{Ville}{7cm}{}}, le \topalign{\textegris{Date}{3cm}{}}, id %%CID%%

\vskip 0mm

Signature \grayrule{1cm}{3cm}

\newpage
\parskip 0.2cm
\centerline{\bf \Large Droit de r\'etractation}\vskip 0.2cm
\centerline{\bf \large (document \`a conserver)}\vskip 0.5cm

En application de l'article L.221-21, le consommateur doit pouvoir
exercer son droit de r\'etractation en informant le professionnel de sa
d\'ecision de se r\'etracter par l'envoi, avant l'expiration du d\'elai pr\'evu
\`a l'article L.221-18, du formulaire de r\'etractation mentionn\'e au 2\`eme
paragraphe de l'article L.221-5 ou de toute autre d\'eclaration, d\'enu\'ee
d'ambigu\"it\'e, exprimant sa volont\'e de se r\'etracter.

 Le d\'elai de r\'etractation expire quatorze jours apr\`es le jour de la conclusion du contrat.

Pour exercer le droit de r\'etractation, vous devez notifier FDN de votre d\'ecision de r\'etractation du pr\'esent contrat au moyen d'une d\'eclaration d\'enu\'ee d'ambigu\"it\'e (par exemple, lettre envoy\'ee par la poste ou courrier \'electronique). Vous pouvez utiliser le mod\`ele de formulaire de r\'etractation   ci-apr\`es mais ce n'est pas obligatoire.

Pour que le d\'elai de r\'etractation soit respect\'e, il suffit que vous transmettiez votre communication relative \`a l'exercice du droit de r\'etractation avant l'expiration du d\'elai de r\'etractation.

{\it Effets de r\'etractation}

En cas de r\'etractation de votre part du pr\'esent contrat, nous vous rembourserons tous les paiements re\c{c}us de vous sans retard excessif et, en tout \'etat de cause, au plus tard quatorze jours \`a compter du jour o\`u nous sommes inform\'es de votre d\'ecision de r\'etractation du pr\'esent contrat. Nous proc\'ederons au remboursement en utilisant le m\^eme moyen de paiement que celui que vous aurez utilis\'e pour la transaction initiale, sauf si vous convenez express\'ement d'un moyen diff\'erent ; en tout \'etat de cause, ce remboursement n'occasionnera pas de frais pour vous.

Si vous avez demand\'e de commencer la prestation de services pendant le d\'elai de r\'etractation, vous devrez nous payer un montant proportionnel \`a ce qui vous a \'et\'e fourni jusqu'au moment o\`u vous nous avez inform\'e de votre r\'etractation du pr\'esent contrat, par rapport \`a l'ensemble des prestations pr\'evues par le contrat. 


\vskip 1cm

\centerline{\bf \Large Formulaire de r\'etractation}\vskip 0.5cm

\centerline{\it \`A adresser le cas \'ech\'eant dans les 14 jours \`a compter de la r\'eception par FDN de votre bulletin d'abonnement.}


\centerline{\it(Veuillez compl\'eter et renvoyer le pr\'esent formulaire uniquement si vous souhaitez vous r\'etracter du contrat.)}

\vskip 1cm

Je soussign\'e$\cdot$e :\newline
\textegris{}{5cm}{%%NOM%%%
%%IF-NUMADH-%% (adh\'erent$\cdot$e num\'ero %%NUMADH%%)%%-NUMADH-EIF%%%
}\newline
demeurant :\newline
\textegris{}{8cm}{%%ADRESSE%%%
}\hskip 1cm
\monotextegris{}{5}{%%CP%%%
} \hskip 1cm\textegris{}{5cm}{%%VILLE%%%
}\newline
retire ma demande d'abonnement au service xDSL ou FTTH de FDN.\vskip 1cm

Fait \`a \topalign{\textegris{Ville}{7cm}{}}, le \topalign{\textegris{Date}{3cm}{}}, id %%CID%%

\vskip 5mm

Signature \grayrule{1cm}{3cm}


\end{document}

