package FDN::Adsl::Adhs;

use strict;
use Exporter;
our @ISA = ( 'Exporter' );
our @EXPORT = qw (
	affiche_form
	close_page_adh
	prepare_page_adh
	eject_page_adh
	liste_docs
	liste_comptes
	liste_help
	help_file
	liste_ids
	liste_ips
	liste_stats
	liste_statpg
	$sname
	$sess
	$vars
	$tpldir
);
our @EXPORT_OK = qw (
);
our %EXPORT_TAGS = qw (
);

use CGI;
use Template;
use FDN::Common::Modules;
use FDN::Common::Logger;
use FDN::Common::Config;
use FDN::Web::Array;
use FDN::Web::Session;
use FDN::Web::TemplateParse qw(parse remplace);
use FDN::Adsl::Basic;
use FDN::Adsl::Utils;
use FDN::Adsl::Prelevemt;

our $cgi;
our $vars;
our $sname;
our $sess;
our $tpldir;
my $hash = {};

sub affiche_form($$;$) {
	my ( $form, $vars, $template ) = @_;
#	 $template = '/page-forms.tpl' if ! defined $template;
	conduse('FDN::Web::Forms');
	form_keep_val($form,$vars);
	$tpldir = Config_Key('adsl/global.cfg','dirs','htmltpl');
	my $tt = Template->new({INCLUDE_PATH => $tpldir});
	my $page;
	$tt->process('adhs/form.tt',{form => $form},\$page) or die $tt->error;
if ( 0 ) {
use Data::Dumper;
print Dumper($form);
print $page;
exit(1);
}
	return $page;
#	 my $glob = form_print_parts($form,$ftpl);
#	 $glob = { %$glob, %$errors };
#	 conduse('FDN::Common::Config');
#	 my $dir = Config_Key('adsl/global.cfg','dirs','htmltpl');
#	 remplace($dir.$template,$glob,1);

}

sub close_page_adh {
	$cgi = new CGI;
	$vars = $cgi->Vars;
	$sname = $vars->{sess};
	if ( $sname ) {
		close_session('adh', $sname);
	}
}

sub prepare_page_adh {
	my %options = @_;
	$options{'only_for_adh'} //= 0;

	$cgi = new CGI;
	$vars = $cgi->Vars;
	$sname = $vars->{sess};
	$sess  = retrieve_session('adh', $sname);

	if ( ! defined $sess ) {
		print "Location: /adherents/\n\n";
		exit(0);
	}

	my $cid = $sess->{content}->{cid};
	my $client = client_par_id($cid);
	my $adresse = adresse_par_id($client->{'ADRESSE_ID'});
	my $adhaccess = adhaccess_par_client_id($client->{'CLIENT_ID'});

	my $is_adh = 0;
	if ( $client->{'CLIENT_NUMADH'} > 0 ) {
		$is_adh = 1;
	}

	if ( $options{'only_for_adh'} && ! $is_adh ) {
		eject_page_error("Cette page n'est pas accessible pour vous");
		exit(0);
	}

	$tpldir = Config_Key('adsl/global.cfg','dirs','htmltpl');
	$hash->{'adh'} = tableau_1d('adsl/adhs/rewrite.tbl','adherent',$client);
	$hash->{'dah'} = parse(tableau_1d('adsl/adhs/rewrite.tbl','dashboard',$adhaccess), {sess=>$sname});
	$hash->{'adr'} = parse(tableau_1d('adsl/adhs/rewrite.tbl','adresse',$adresse), {sess=>$sname});
	$hash->{'menu'} = remplace($tpldir.'/adhs/menu.tpl',{sess=>$sname, isadh=>$is_adh},{});
}

sub eject_page_adh($) {	
	my ( $text ) = @_;
	$hash->{'info'} = parse($text,{sess=>$sname},{});
	$tpldir = Config_Key('adsl/global.cfg','dirs','htmltpl');

	my $tt = Template->new({INCLUDE_PATH => $tpldir});
	my $page;
	$tt->process('adhs/page-adh.tt',$hash,\$page);
	if ( ! $page ) {
		$page = '<div>PAGE VIDE</div>';
	}
	my $res;
	$tt->process('adhs/base-adh.tt', { page => $page, sess => $sname }, \$res);
	$res = '' if ! defined $res;
	print "Content-Type: text/html; charset=ISO-8859-1\n\n";
	print $res;
	exit(0);
}

sub liste_comptes() {
	my $page = '';
	my $cid = $sess->{content}->{cid};
	my $dir = 'adhacc-'.$cid;
	my $access = adhaccess_par_client_id($cid);
	my $client = client_par_id($cid);
	my $comptes = prelevemt_du_client($cid);
	for my $compte ( @$comptes ) {
		$compte->{'pdf'} = liste_docs_file('access',$dir.'/prel'.$compte->{'PRELEVEMT_ID'},'mandat-sepa.pdf');
	}
	if ( @$comptes == 1 && ! $comptes->[0]->{'pdf'} && $comptes->[0]->{'principal'} ) {
		$comptes->[0]->{'pdf'} = liste_docs_file('access',$dir,'mandat-sepa.pdf');
		$comptes->[0]->{'pdf'} .= liste_docs_file('access',$dir,'autorisation.pdf');
	}
	my $tpldir = Config_Key('adsl/global.cfg','dirs','htmltpl');
	my $page = remplace($tpldir.'/adhs/liste_compte.tpl',{sess=>$sname, client => $cid, comptes => $comptes},{});
	return $page;
}

sub liste_docs() {
	my $page = '';
	my $cid = $sess->{content}->{cid};
	my @lignes = ligne_par_client_id($cid);
	for my $lig ( @lignes ) {
		my $lid = $lig->{'LIGNE_ID'};
		my $tel = $lig->{'LIGNE_TEL'};
		$page .= liste_docs_ligne($lid,$tel);
	}
	my $access = adhaccess_par_client_id($cid);
	if ( defined $access ) {
		$page .= liste_docs_access($access);
	}
	my @vpns = vpn_par_client_id($cid);
	for my $vpn ( @vpns ) {
		my $vid = $vpn->{'VPN_ID'};
		my $adr = adresse_par_id($vpn->{'ADRESSE_ID'});
		my $name = $adr->{'ADRESSE_NOM'};
		$page .= liste_docs_vpn($vid, $name);
	}
	$page .= '<p>Voir galement les mandats de prlvements dans la page listant les comptes bancaires.</p>';
	return $page;
}

sub liste_docs_ligne($$) {
	my ( $lid, $tel ) = @_;
	my $res = '';
	my @dpls = deploiement_par_ligne_id($lid);
	return if ( ! @dpls );
	$res .= "<h1>Documents lis  la ligne $tel</h1>";
	for my $dpl ( @dpls ) {
		my $dplnum = $dpl->{'DEPLOIEMENT_NUM'};
		$res .= liste_docs_file('ligne',$dplnum,'adhesion.pdf');
		$res .= liste_docs_file('ligne',$dplnum,'autorisation.pdf');
		$res .= liste_docs_file('ligne',$dplnum,'souscription.pdf');
		$res .= liste_docs_file('ligne',$dplnum,'mandat-sepa.pdf');
	}
	return $res;
}

sub liste_docs_vpn($$) {
	my ( $vid, $name ) = @_;
	my $res = '';
	my $dpl = deploiement_par_vpn_id($vid);
	return if ! defined $dpl;
	my $dplnum = $dpl->{'DEPLOIEMENT_NUM'};
	$res .= "<h1>Documents lis au VPN $name</h1>";
	$res .= liste_docs_file('vpn',$dplnum,'adhesion.pdf');
	$res .= liste_docs_file('vpn',$dplnum,'autorisation.pdf');
	$res .= liste_docs_file('vpn',$dplnum,'abovpn.pdf');
	$res .= liste_docs_file('vpn',$dplnum,'mandat-sepa.pdf');
}

sub liste_docs_access($) {
	my ( $access ) = @_;
	my $res = "<h1>Documents lis  l'adhsion</h1>\n";
	my $dir = 'adhacc-'.$access->{'CLIENT_ID'};
	$res .= liste_docs_file('access',$dir,'adhesion.pdf');
	$res .= liste_docs_file('access',$dir,'autorisation.pdf');
	$res .= liste_docs_file('access',$dir,'mandat-sepa.pdf');
	return $res;
}

sub liste_docs_file($$$) {
	my ( $type, $dir, $doc ) = @_;
	my $base = Config_Key('adsl/global.cfg','dirs','stockpdf');
	if ( -f $base.'/'.$dir.'/'.$doc ) {
		return '<div class="doc">'.
		       "<a href=\"print-doc.cgi?sess=$sname&dir=$dir&type=$type&doc=$doc\">$doc</a>".
		       '</div>';
	}
}

sub liste_help() {
	return help_file('menu.tpl');
}

sub help_file($) {
	my ( $file ) = @_;
	my $dir = Config_Key('adsl/global.cfg','dirs','htmltpl');
	$file = $dir.'/adhs/help-'.$file;
	local $/;
	open FILE, $file;
	my $text = <FILE>;
	close FILE;
	return $text;
}

sub liste_ids() {
	my $radid = liste_ids_radius();
	my $telid = liste_ids_telephone();
	my $adhid = liste_ids_adhaccess();
	my $hash = {
		'radid' => $radid,
		'telid' => $telid,
		'adhid' => $adhid
	};
	my $dir = Config_Key('adsl/global.cfg','dirs','htmltpl');
	my $tpl = $dir.'/adhs/info-ids.tpl';
	my $res = remplace($tpl,$hash,1);
	return $res;
}

sub liste_ids_telephone() {
	my $cid = $sess->{'content'}->{'cid'};
	my @lignes = ligne_par_client_id($cid);
	my @ids;
	for my $lig ( @lignes ) {
		my $tel = $lig->{'LIGNE_TEL'};
		my $lid = $lig->{'LIGNE_ID'};
		my @depls = deploiement_par_ligne_id($lid);
		for my $depl ( @depls ) {
			my $dplnum = $depl->{'DEPLOIEMENT_NUM'};
			if ( $dplnum ) {
				push @ids, { 'tel' => $tel, 'num' => $dplnum };
			}
		}
	}
	if ( $#ids >= 0 ) {
		return \@ids;
	} else {
		return undef;
	}
}

sub liste_ids_radius() {
	my $cid = $sess->{'content'}->{'cid'};
	my @lignes = ligne_par_client_id($cid);
	my @ids;
	for my $lig ( @lignes ) {
		my $lid = $lig->{'LIGNE_ID'};
		my @users = raduser_par_ligne_id($lid);
		for my $user ( @users ) {
			my $uid = $user->{'RADUSER_ID'};
			my $login = $user->{'RADUSER_LOGIN'};
			my $passwd = '';
			my @uattrs = uattr_par_raduser_id_type($uid,'check');
			for my $ua ( @uattrs ) {
				if ( $ua->{'UATTR_ATTR'} eq 'User-Password' ) {
					$passwd = $ua->{'UATTR_VALUE'};
				}
			}
			if ( $login && $passwd ) {
				push @ids, { 'login' => $login, 'passwd' => $passwd };
			}
		}
	}
	if ( $#ids >= 0 ) {
		return \@ids;
	} else {
		return undef;
	}
}

sub liste_ids_adhaccess() {
	my $cid = $sess->{'content'}->{'cid'};
	my $adh = adhaccess_par_client_id($cid);
	if ( defined $adh ) {
		return [{
			'adh' => $adh->{'ADHACCESS_LOGIN'},
			'passwd' => $adh->{'ADHACCESS_PASSWD'}
		}];
	} else {
		return undef;
	}
}

sub liste_ips() {
	my $cid = $sess->{'content'}->{'cid'};
	my @lignes = ligne_par_client_id($cid);
	my @ips;
	for my $lig ( @lignes ) {
		my $lid = $lig->{'LIGNE_ID'};
		my $tel = $lig->{'LIGNE_TEL'};
		my @users = raduser_par_ligne_id($lid);
		for my $user ( @users ) {
			my $uid = $user->{'RADUSER_ID'};
			my @ipv4s;
			my @ipv6s;
			my @uattrs = uattr_par_raduser_id_type($uid,'reply');
			for my $ua ( @uattrs ) {
				if ( $ua->{'UATTR_ATTR'} eq 'Framed-IP-Address' ) {
					push @ipv4s, { 'ipv4' => $ua->{'UATTR_VALUE'} };
				# inutile...
				#} elsif ( $ua->{'UATTR_ATTR'} eq 'Framed-IP-Netmask' ) {
				} elsif ( $ua->{'UATTR_ATTR'} eq 'Framed-IPv6-Route' ) {
					push @ipv6s, { 'ipv6' => $ua->{'UATTR_VALUE'} };
				} elsif ( $ua->{'UATTR_ATTR'} eq 'Framed-Route' ) {
					push @ipv4s, { 'ipv4' => $ua->{'UATTR_VALUE'} };
				}
			}
			if ( $#ipv4s >= 0 || $#ipv6s >= 0 ) {
				push @ips, { 'ligne' => $tel, 'ipv4s' => \@ipv4s, 'ipv6s' => \@ipv6s };
			}
		}
	}

	my @vpns = vpn_par_client_id($cid);
	for my $vpn ( @vpns ) {
		my $vid = $vpn->{'VPN_ID'};
		my $user = raduser_par_vpn_id($vid);
		my $uid = $user->{'RADUSER_ID'};
		my $login = $user->{'RADUSER_LOGIN'};
		my @ipv4s;
		my @ipv6s;
		my @uattrs = uattr_par_raduser_id_type($uid,'reply');
		for my $ua ( @uattrs ) {
			if ( $ua->{'UATTR_ATTR'} eq 'Framed-IP-Address' ) {
				push @ipv4s, { 'ipv4' => $ua->{'UATTR_VALUE'} };
			# inutile...
			#} elsif ( $ua->{'UATTR_ATTR'} eq 'Framed-IP-Netmask' ) {
			} elsif ( $ua->{'UATTR_ATTR'} eq 'Framed-IPv6-Route' ) {
				push @ipv6s, { 'ipv6' => $ua->{'UATTR_VALUE'} };
			} elsif ( $ua->{'UATTR_ATTR'} eq 'Framed-Route' ) {
				push @ipv4s, { 'ipv4' => $ua->{'UATTR_VALUE'} };
			}
		}
		if ( $#ipv4s >= 0 || $#ipv6s >= 0 ) {
			push @ips, { 'ligne' => $login, 'ipv4s' => \@ipv4s, 'ipv6s' => \@ipv6s };
		}
	}

	my $hash = undef;
	$hash = { 'ips' => \@ips };
	my $dir = Config_Key('adsl/global.cfg','dirs','htmltpl');
	my $tpl = $dir.'/adhs/info-ips.tpl';
	my $res = remplace($tpl,$hash,1);
	return $res;
}

sub liste_stats() {
	my $cid = $sess->{'content'}->{'cid'};
	my $users = $sess->{'content'}->{'users'};
	if ( ! defined $users ) {
		$users = {};
		$users->{'liste'} = [];
		my @lignes = ligne_par_client_id($cid);
		for my $lig ( @lignes ) {
			my $lid = $lig->{'LIGNE_ID'};
			my @users = raduser_par_ligne_id($lid);
			for my $user ( @users ) {
				my $login = $user->{'RADUSER_LOGIN'};
				next if ($login =~ /\/VALID$/);
				$login =~ s/\@fdn\.fr$/\@fdn\.nerim/;
				$users->{$login} = 1;
				push @{$users->{'liste'}}, $login;
			}
		}
		my @vpns = vpn_par_client_id($cid);
		for my $vpn ( @vpns ) {
			my $vid = $vpn->{'VPN_ID'};
			my $user = raduser_par_vpn_id($vid);
			my $login = $user->{'RADUSER_LOGIN'};
			next if ($login =~ /\/VALID$/);
			$login =~ s/\@fdn\.fr$/\@fdn\.nerim/;
			$users->{$login} = 1;
			push @{$users->{'liste'}}, $login;
		}
		$sess->{'content'}->{'users'} = $users;
		store_session($sess);
	}
	my $hash = {
		'users' => [],
		'sess' => '%%sess%%'
	};
	conduse('FDN::Web::Forms');
	for my $u ( @{$users->{'liste'}} ) {
		my $ue = FDN::Web::Forms::str_http_encode($u);
		push @{$hash->{'users'}}, { 'user' => $ue, 'clear' => $u, 'sess' => '%%sess%%' };
	}
	my $dir = Config_Key('adsl/global.cfg','dirs','htmltpl');
	my $tpl = $dir.'/adhs/stats.tpl';
	my $res = remplace($tpl,$hash,1);
	return $res;
	
}

sub liste_statpg() {
	my $users = $sess->{'content'}->{'users'};
	if ( ! defined $users ) {
		error "Rejet session statpg parce-que users n'est pas dans la session.";
		return "Session invalide";
	}
	my $user = $vars->{'user'};
	if ( ! defined $user ) {
		error "Rejet session statpg parce-que user n'est pas dans les variables.";
		return "Session invalide";
	}
	if ( $user ne 'connexions' &&
	     $user ne 'connexions-nerim' &&
	     $user ne 'connexions-liazo' &&
	     $user ne 'connexions-ftth-liazo' &&
	     $user ne 'connexions-vpn' &&
	     $user ne 'connexions-ADSL' &&
	     $user ne 'connexions-VDSL' &&
	     $user ne 'connexions-FTTH' &&
	     $user ne 'moyenne' &&
	     $user ne 'moyenne-vpn' &&
	     $user ne 'moyenne-ADSL' &&
	     $user ne 'moyenne-VDSL' &&
	     $user ne 'moyenne-FTTH' &&
	     $user ne 'total.rrd' &&
	     $user ne 'total-nerim.rrd' &&
	     $user ne 'total-liazo.rrd' &&
	     $user ne 'total-FTTH.rrd' &&
	     $user ne 'speciaux/lns01.rrd' &&
	     $user ne 'speciaux/lns01.liazo.rrd' &&
	     $user ne 'speciaux/lns01-fai-locaux.rrd' &&
	     $user ne 'speciaux/lns01-fai-locaux-ftth.rrd' &&
	     $user ne 'speciaux/lns02.rrd' &&
	     $user ne 'speciaux/lns02.liazo.rrd' &&
	     $user ne 'speciaux/lns02-fai-locaux.rrd' &&
	     $user ne 'speciaux/lns02-fai-locaux-ftth.rrd' &&
	     $user ne 'speciaux/lns11.rrd' &&
	     $user ne 'speciaux/lns11.liazo.rrd' &&
	     $user ne 'speciaux/lns11-fai-locaux.rrd' &&
	     $user ne 'speciaux/lns11-fai-locaux-ftth.rrd' &&
	     $user ne 'speciaux/lns22.rrd' &&
	     $user ne 'speciaux/lns22.liazo.rrd' &&
	     $user ne 'speciaux/lns22-fai-locaux.rrd' &&
	     $user ne 'speciaux/lns22-fai-locaux-ftth.rrd' &&
	     $user ne 'speciaux/vpn1.rrd' &&
	     $user ne 'speciaux/vpn2.rrd' &&
	     $user ne 'speciaux/vpn3.rrd' &&
	     $user ne 'speciaux/option0.rrd' &&
	     $user ne 'speciaux/option1.rrd' &&
	     $user ne 'speciaux/option3.rrd' &&
	     $user ne 'speciaux/option5.rrd' &&
	     $user ne 'speciaux/nerim-ADSL.rrd' &&
	     $user ne 'speciaux/liazo-ADSL.rrd' &&
	     $user ne 'speciaux/connexions-nerim-ADSL.rrd' &&
	     $user ne 'speciaux/connexions-liazo-ADSL.rrd' &&
	     $user ne 'speciaux/liazo-VDSL.rrd' &&
	     $user ne 'speciaux/connexions-VDSL.rrd' &&
	     $user ne 'speciaux/connexions-liazo-VDSL.rrd' &&
	     $user ne 'speciaux/liazo-FTTH.rrd' &&
	     $user ne 'speciaux/connexions-FTTH.rrd' &&
	     $user ne 'speciaux/connexions-liazo-FTTH.rrd' &&
	     $user ne 'total-vpn.rrd' &&
	     $user ne 'total-fai-locaux.rrd' &&
	     $user ne 'total-fai-locaux-ftth.rrd' ) {
		$user =~ s/\.rrd$//;
		if ( ! $users->{$user} ) {
			error "Rejet session statpg parce que $user n'appartient pas  cet adhrent.";
			return "Session invalide";
		}
		$user .= '.rrd';
	}
	conduse('FDN::Web::Forms');
	my $hash = {
		'clear' => $user,
		'user' => FDN::Web::Forms::str_http_encode($user),
		'sess' => $sname
	};
	my $dir = Config_Key('adsl/global.cfg','dirs','htmltpl');
	my $tpl = $dir.'/adhs/statpg.tpl';
	my $res = remplace($tpl,$hash,1);
	return $res;
}

1;

