package FDN::Adsl::Prelevemt;

use strict;
use warnings;
use base 'Exporter';

use FDN::Adsl::Basic;

our @EXPORT = qw(
	dispatch_prlbq_tva
	prelevemt_du_client
);

sub dispatch_prlbq_tva($) {
	my ( $pid ) = @_;
	my @pls;
	my $name;
	my $prl = prlbq_par_id($pid);
	my $type = $prl->{'PRLBQ_TYPE'};
	
	if ( $type eq 'sepa' ) {
		@pls = prlligsepa_par_prlbq_id($pid);
		$name = 'PRLLIGSEPA';
	} else {
		@pls = prllig_par_prlbq_id($pid);
		$name = 'PRLLIG';
	}
	my $res = {
		'ht' => 0,
		'ttc' => 0,
		'no-tva' => 0,
		'lignes' => 0,
		'creances' => 0,
		'rejet' => 0,
		'total' => 0
	};

	my $total = 0;
	for my $p ( @pls ) {
		my $plid = $p->{$name.'_ID'};
		$res->{'lignes'} += 1;
		if ( $p->{$name.'_ETAT'} eq 'rejet' ) {
			$res->{'rejet'} += $p->{$name.'_MONTANT'};
			next;
		} else {
			$res->{'total'} += $p->{$name.'_MONTANT'};
		}

		my @crs;
		if ( $type eq 'sepa' ) {
			@crs = creance_par_prlligsepa_id($plid);
		} else {
			@crs = creance_par_prllig_id($plid);
		}
		for my $c ( @crs ) {
			if ( $c->{'CREANCE_HT'} == $c->{'CREANCE_TTC'} ) {
				# Pas de TVA
				$res->{'no-tva'} += $c->{'CREANCE_TTC'};
			} else {
				$res->{'ht'} += $c->{'CREANCE_HT'};
				$res->{'ttc'} += $c->{'CREANCE_TTC'};
			}
			$res->{'creances'} += 1;
		}
	}
	return $res;
}

sub prelevemt_du_client($) {
	my ( $cid ) = @_;
	my $client;
	if ( ref($cid) eq 'HASH' ) {
		$client = $cid;
		$cid = $client->{'CLIENT_ID'};
	} else {
		$client = client_par_id($cid);
	}
	my $prels = [ prelevemt_par_client_id($cid) ];
	for my $prel ( @$prels ) {
		if ( $prel->{'PRELEVEMT_ID'} == $client->{'PRELEVEMT_ID'} ) {
			$prel->{'principal'} = 1;
		}
	}
	return $prels;
}


1;
