#!/usr/bin/perl

use strict;
use CGI;
#use FDN::Config;
use FDN::Common::Logger;
use FDN::Web::Forms;
use FDN::Web::Array;
use FDN::Sql::Workflow::Basic;
use FDN::Adsl::Utils;
use FDN::Adsl::Basic;
#use FDN::Workflow::Wf;

workflow_select_db('adsl');
my $cgi = new CGI;

my $page = "";

my $vars = $cgi->Vars;

my $file_name = $vars->{'file'};
if (!defined $file_name) {
	$page .= <<EOF;
<p>Envoyer un fichier html de la <a href="https://admin.nerim.net/nav/myadsl/">liste des lignes Nerim</a>:</p>
<form method="POST" action="check-nerim.cgi" enctype="multipart/form-data">
  <input type="file" name="file" />
  <input type="submit" name="ok" value="Ok" />
</form>
EOF
} else {
	$page .= "<p>Les abonnements ADSL affichs ici sont actifs chez Nerim, i.e. on paie pour eux.</p>";
	my $fh = $cgi->upload('file');
	my $file_content;
	my $tel;
	while (my $ligne = <$fh>) {
		chomp $ligne;
		if ($ligne =~ /<tr>/) {
			$tel = undef;
		} elsif ($ligne =~ /fdn-[0-9]*-[0-9]*@[^ <>]*nerim<\/a>/) {
			$tel = $ligne;
			$tel =~ s/.*fdn-[0-9]*-([0-9]*)@[^ <>]*nerim<\/a>.*/\1/;
		} elsif ($ligne =~ /td class="?formh?"?>Compte actif/ && defined $tel) {
			my $li = ligne_par_tel($tel);
			if (!defined $li) {
				$li = ligne_par_tel_like($tel."%");
			}
			if (defined $li) {
				my $lid = $li->{'LIGNE_ID'};
				my $cid = $li->{'CLIENT_ID'};
				my @creances = creance_par_client_id($cid);
				my $n = 0;
				for my $c (@creances) {
					if ($c->{'CREANCE_ETAT'} eq 'due') {
						$n = $n + 1;
					}
				}
				$page .= "$tel: ligne <a href=\"https://vador.fdn.fr/adsl/ligne/view?lid=$lid&do=yes\">$lid</a> adhrent <a href=\"https://vador.fdn.fr/adsl/client/view?do=yes&cid=$cid\">$cid</a>";
				if ($n > 0) {
					$page .= " $n crance(s) due(s)";
				}
				$page .= "<br/>";
				if ($li->{'LIGNE_DTOUT'} ne '0000-00-00 00:00:00') {
					$page .= "$tel: Ligne rsilie de notre ct !!<br/>";
				}
				if ($li->{'LIGNE_STATE'} ne 'ok') {
					$page .= "$tel: pas OK: ".$li->{'LIGNE_STATE'}." !!<br/>";
				}
			} else {
				$page .= "$tel: ligne non trouve!<br/>";
				my @creances = creance_par_libelle_like("%$tel%");
				if (@creances) {
					$page .= "$tel: creances";
					for my $cr (@creances) {
						my $cid = $cr->{CLIENT_ID};
						$page .= " adhrent <a href=\"https://vador.fdn.fr/adsl/client/view?do=yes&cid=$cid\">$cid</a>";
						$page .= " <a href=\"https://vador.fdn.fr/adsl/creance/view?cid=".$cr->{CREANCE_ID}."&do=yes\">".$cr->{'CREANCE_LIBELLE'}."</a>";
					}
					$page .= "<br/>";
				}
			}
		} elsif ($ligne =~ /Aucune ligne n'est active pour ce compte./) {
			$page .= "$tel: pas de ligne tlphonique active!! Apparemment l'abonnement Orange a t rsili mais pas l'ADSL.<br/>";
		}
	}
}

eject_page($page);
exit(0);
