#!/usr/bin/perl

use strict;
use CGI;
use FDN::Web::Forms;
use FDN::Common::Modules;
use FDN::Common::Logger;
use FDN::Common::Config;
use FDN::Adsl::Basic;
use FDN::Adsl::Utils;
use FDN::Adsl::Souscription;

my $cgi = new CGI;
my $vars = $cgi->Vars;

my $cfg = 'adsl/subs/souscription.cfg';
my $tbl = 'adsl/subs/souscription.tbl';

if ( !defined($vars->{'etape'})) {
	recherche_nd();
} else {
	choix_nd();
}

sub recherche_nd() {
	my $form = form_read ( $cfg, 'recherchend' );

	$form->{'form_action'}='cherchend.cgi';
	my $blk = $form->{'blocksbyname'}->{'adressend'};
	$blk->{block_title} = 'Recherche de numro de la ligne';

	my $page = affiche_form($form,$vars);
	$page .= "<link href=\"typeaheadjs.css\" rel=stylesheet />\n";
	$page .= "<script src=\"jquery.min.js\"></script>\n";
	$page .= "<script src=\"typeahead.bundle.min.js\"></script>\n";
	$page .= "<script src=\"typeahead-link.js\"></script>\n";
	eject_page($page);
}

sub choix_nd() {
	my $form = form_read ( $cfg, 'recherchend' );
	if ( !check_transition($form,$vars) ) {
		return recherche_nd();
	}
	my $form = form_read ( $cfg, 'choixnd' );
	conduse('FDN::Adsl::SelL');
	my $liste = FDN::Adsl::SelL::get_nd($vars->{villedflt},$vars->{cpdflt},$vars->{rue},$vars->{numero});

	if (!defined $liste) {
		eject_page_error("<p>Rue ou ville non trouve</p>");
		exit(0);
	}

	if (scalar @$liste == 0) {
		eject_page_error("<p>Aucun numro trouv</p>");
		exit(0);
	}

	my $blk = $form->{'blocksbyname'}->{'choixnd'};
	$blk->{block_title} = 'Rsultats';
	my $field = $blk->{'byname'}->{'infochoixnd'};
	$field->{content} = '(inutile de cliquer sur Ok, il ne sert  rien)';

	for my $choix ( @$liste ) {
		my $nd = FDN::Adsl::SelL::get_nd_nd($choix);
		my $typend = FDN::Adsl::SelL::get_nd_typend($choix);
		my $label = FDN::Adsl::SelL::affiche_get_nd($choix, 1);

		my $fld = {
			'field_name' => $nd.'-'.$typend,
			'input_type' => 'radio',
			'type_radio' => 1,
			'mandatory' => 1,
			'mandatory_error' => 'Il faut faire un choix',
			'keep' => 0,
			'input_name' => 'teltype',
			'input_id' => 'teltype-'.$nd.'-'.$typend,
			'input_value' => $nd.'-'.$typend,
			'input_label' => $label,
		};

		FDN::Web::Forms::form_add_field($blk,$fld);
	}

	eject_page(affiche_form($form,$vars));
}
