#!/usr/bin/perl

use strict;
use CGI;
use FDN::Web::Forms;
use FDN::Web::Array;
use FDN::Common::Modules;
use FDN::Common::Logger;
use FDN::Common::Config;
use FDN::Adsl::Basic;
use FDN::Adsl::Utils;
use FDN::Adsl::DBC;
use FDN::Sql::DB_Access;
use Data::Dumper;

my $cgi = new CGI;
my $vars = $cgi->Vars;

my $cfg = 'adsl/form/ip.cfg';

sub task_par_prop_state($$) {
	my ( $name, $value) = @_;
	return FDN::Sql::Basic::__return_all(get_data_reuse($dbh, [ 'TASK' ],
 		[
			"TASK.TASK_STATE = 'running'",
			"WAITING.TASK_ID = TASK.TASK_ID",
			"PROPTASK.TASK_ID = TASK.TASK_ID",
			"PROPTASK.PROPTASK_NOM = '$name'",
			"PROPTASK.PROPTASK_VAL = '$value'",
		], [ 'TASK', 'PROPTASK', 'WAITING' ]));
}

my ( $raduser1, $uid1, $raduser2, $uid2 );

if ($vars->{raduser1}) {
	$uid1 = $vars->{raduser1};
	$raduser1 = raduser_par_id($uid1);
}
if ($vars->{raduser1}) {
	$uid2 = $vars->{raduser2};
	$raduser2 = raduser_par_id($uid2);
}

sub checkradius($) {
	my ( $raduser ) = @_;
	my $page = "";
	my @tasks1 = task_par_prop_state('login', $raduser->{RADUSER_LOGIN});
	my @tasks2 = task_par_prop_state('radiusid', $raduser->{RADUSER_ID});
	for my $task ( @tasks1, @tasks2 ) {
		$page .= "<p>Oops, la tche running ".$task->{TASK_ID}." rfrence l'utilisateur radius ".$raduser->{RADUSER_LOGIN}.". ";
		$page .= "Elle est de type ".$task->{TASK_NAME}.", je prfre ne pas bricoler les utilisateurs radius tant qu'elle tourne. ";
		if ($task->{TASK_NAME} eq 'resil-adsl') {
			$page .= "Il suffit d'interrompre son excution en allant sur <a href=/adsl/view-task.cgi?taskid=".$task->{TASK_ID}."&do=yes>cette tche</a> ";
			$page .= "et d'y annuler son vnement attendu. ";
			$page .= "Vous pourrez alors faire l'change, et demander  rsilier de nouveau l'ancien abonnement (et ce sera l'IP rattribue qui sera libre).";
		}
		$page .= "</p>";
	}
	if ($page) {
		eject_page_error($page);
		exit(0);
	}
}
if (defined $raduser1) {
	checkradius($raduser1);
}
if (defined $raduser2) {
	checkradius($raduser2);
}

if ( !defined($vars->{'etape'}) ) {
	choixradius();
} elsif ( $vars->{'etape'} eq 'choixradius' ) {
	confirmation();
} elsif ( $vars->{'etape'} eq 'confirmation' ) {
	do_echange();
} else {
	choixradius();
}

sub choixradius() {
	my $form = form_read ( $cfg, 'echangeip' );
	ajoute_separateur($form, 'raduser1', '', 'rien');
	ajoute_liste_raduser($form, 'raduser1');
	ajoute_separateur($form, 'raduser2', '', 'rien');
	ajoute_liste_raduser($form, 'raduser2');
	eject_page(affiche_form($form,$vars));
}

sub confirmation() {
	if ($raduser1->{RADUSER_LOGIN} eq $raduser2->{RADUSER_LOGIN} ) {
		eject_page_error("<p>C'est la mme chose!</p>");
		exit(0);
	}

	my $page = "";

	my $ipaddr1 = ipaddr_par_raduser_id($uid1);
	my $ipaddr2 = ipaddr_par_raduser_id($uid2);

	my @uattrs1 = uattr_par_raduser_id($uid1);
	my @uattrs2 = uattr_par_raduser_id($uid2);

	$page .= tableau_1d('adsl/rewrite.tbl', 'raduser', $raduser1, "Raduser 1");
	$page .= tableau_1d('adsl/rewrite.tbl', 'ipaddr', $ipaddr1, "IPaddr 1");
	$page .= tableau_2d('adsl/rewrite.tbl', 'uattr', \@uattrs1, "Attributs 1");

	$page .= "<br/> changer avec<br/>\n";

	$page .= tableau_1d('adsl/rewrite.tbl', 'raduser', $raduser2, "Raduser 2");
	$page .= tableau_1d('adsl/rewrite.tbl', 'ipaddr', $ipaddr2, "IPaddr 2");
	$page .= tableau_2d('adsl/rewrite.tbl', 'uattr', \@uattrs2, "Attributs 2");

	$page .= "<p>Vraiment changer les IPs de ces deux logins radius?</p>";
	$page .= '<form method="get" action=echangeip.cgi>';
	$page .= '<input type="hidden" name="raduser1" value="'.$uid1.'"/>';
	$page .= '<input type="hidden" name="raduser2" value="'.$uid2.'"/>';
	$page .= '<input type="hidden" name="etape" value="confirmation"/>';
	$page .= '<input type="submit" value="Oui"/>';
	$page .= '</form>';

	eject_page($page);
}

sub do_echange() {
	if (!defined $raduser1) {
		eject_page_error("<p>Le raduser1 doit tre dfini</p>");
		exit(0);
	}

	if (!defined $raduser2) {
		eject_page_error("<p>Le raduser2 doit tre dfini</p>");
		exit(0);
	}

        my $query = "UPDATE IPADDR as IPADDR1, IPADDR as IPADDR2,".
                    "       UATTR as UATTR1, UATTR as UATTR2".
                    " SET IPADDR1.RADUSER_ID='".$uid2."'".
                       ", IPADDR2.RADUSER_ID='".$uid1."'".
                       ", UATTR1.RADUSER_ID='".$uid2."'".
                       ", UATTR2.RADUSER_ID='".$uid1."'".
                    " WHERE IPADDR1.RADUSER_ID='".$uid1."'".
                      " AND IPADDR2.RADUSER_ID='".$uid2."'".
                      " AND IPADDR1.IPADDR_ETAT='busy'".
                      " AND IPADDR2.IPADDR_ETAT='busy'".
                      " AND UATTR1.RADUSER_ID='".$uid1."'".
                      " AND UATTR2.RADUSER_ID='".$uid2."'".
                      " AND ( UATTR1.UATTR_ATTR='Framed-IP-Address'".
                         " OR UATTR1.UATTR_ATTR='Framed-IP-Netmask'".
                         " OR UATTR1.UATTR_ATTR='Framed-IPv6-Route'".
                         " OR UATTR1.UATTR_ATTR='Framed-IPv6-Address' )".
                      " AND ( UATTR2.UATTR_ATTR='Framed-IP-Address'".
                         " OR UATTR2.UATTR_ATTR='Framed-IP-Netmask'".
                         " OR UATTR2.UATTR_ATTR='Framed-IPv6-Route'".
                         " OR UATTR2.UATTR_ATTR='Framed-IPv6-Address' )".
		      ";"; 
        my $result = sql_transaction($dbh, 'update', $query); 

	if ( ! $result->{'ok'} ) {
		eject_page("<p>a a chou :/ $query ".Dumper($result)."</p>");
		exit(0);
	}

	eject_page("<p>On a chang les IPs de ".$raduser1->{RADUSER_LOGIN}." et ".$raduser2->{RADUSER_LOGIN}."</p>");
}
