#!/usr/bin/perl

use strict;
use CGI;
use FDN::Web::Forms;
use FDN::Web::Array;
use FDN::Common::Modules;
use FDN::Common::Logger;
use FDN::Common::Config;
use FDN::Adsl::Basic;
use FDN::Adsl::Utils;
use FDN::Adsl::DBC;
use FDN::Sql::DB_Access;
use Data::Dumper;

my $cgi = new CGI;
my $vars = $cgi->Vars;

my $cfg = 'adsl/form/radius.cfg';

sub task_par_prop_state($$) {
	my ( $name, $value) = @_;
	return FDN::Sql::Basic::__return_all(get_data_reuse($dbh, [ 'TASK' ],
 		[
			"TASK.TASK_STATE = 'running'",
			"WAITING.TASK_ID = TASK.TASK_ID",
			"PROPTASK.TASK_ID = TASK.TASK_ID",
			"PROPTASK.PROPTASK_NOM = '$name'",
			"PROPTASK.PROPTASK_VAL = '$value'",
		], [ 'TASK', 'PROPTASK', 'WAITING' ]));
}

my ( $ligne1, $ligne2, $raduser1, $raduser2 );
if ($vars->{ligne1}) {
	$ligne1 = ligne_par_id($vars->{ligne1});
	my @radusers = raduser_par_ligne_id($ligne1->{LIGNE_ID});
	if (scalar @radusers > 1) {
		eject_page_error("<p>Il y a plusieurs logins radius pour la ligne 1, choisir plutt par login radius</p>");
		exit(0);
	}
	$raduser1 = $radusers[0];
}
if ($vars->{ligne2}) {
	$ligne2 = ligne_par_id($vars->{ligne2});
	my @radusers = raduser_par_ligne_id($ligne2->{LIGNE_ID});
	if (scalar @radusers > 1) {
		eject_page_error("<p>Il y a plusieurs logins radius pour la ligne 2, choisir plutt par login radius</p>");
		exit(0);
	}
	$raduser2 = $radusers[0];
}
if ($vars->{raduser1}) {
	if (defined $ligne1) {
		eject_page_error("<p>Ne pas dfinir  la fois Ligne 1 et Radius 1</p>");
		exit(0);
	}
	$raduser1 = raduser_par_id($vars->{raduser1});
	my $lid = $raduser1->{LIGNE_ID};
	if ($lid == -1) {
		eject_page_error("<p>Radius 1 n'est pas un raduser de ligne adsl</p>");
		exit(0);
	}
	$ligne1 = ligne_par_id($lid);
}
if ($vars->{raduser2}) {
	if (defined $ligne2) {
		eject_page_error("<p>Ne pas dfinir  la fois Ligne 2 et Radius 2</p>");
		exit(0);
	}
	$raduser2 = raduser_par_id($vars->{raduser2});
	my $lid = $raduser2->{LIGNE_ID};
	if ($lid == -1) {
		eject_page_error("<p>Radius 2 n'est pas un raduser de ligne adsl</p>");
		exit(0);
	}
	$ligne2 = ligne_par_id($lid);
}

sub checkradius($) {
	my ( $raduser ) = @_;
	my $page = "";
	my @tasks1 = task_par_prop_state('login', $raduser->{RADUSER_LOGIN});
	my @tasks2 = task_par_prop_state('radiusid', $raduser->{RADUSER_ID});
	for my $task ( @tasks1, @tasks2 ) {
		$page .= "<p>Oops, la tche running ".$task->{TASK_ID}." rfrence l'utilisateur radius ".$raduser->{RADUSER_LOGIN}.". ";
		$page .= "Elle est de type ".$task->{TASK_NAME}.", je prfre ne pas bricoler les utilisateurs radius tant qu'elle tourne. ";
		if ($task->{TASK_NAME} eq 'resil-adsl') {
			$page .= "Il suffit d'interrompre son excution en allant sur <a href=/adsl/view-task.cgi?taskid=".$task->{TASK_ID}."&do=yes>cette tche</a> ";
			$page .= "et d'y annuler son vnement attendu. ";
			$page .= "Vous pourrez alors faire l'change, et demander  rsilier de nouveau l'ancienne ligne ADSL (et ce sera le login rattribu qui sera rsili).";
		}
		$page .= "</p>";
	}
	if ($page) {
		eject_page_error($page);
		exit(0);
	}
}
if (defined $raduser1) {
	checkradius($raduser1);
}
if (defined $raduser2) {
	checkradius($raduser2);
}

if ( !defined($vars->{'etape'}) ) {
	choixradius();
} elsif ( $vars->{'etape'} eq 'choixradius' ) {
	confirmation();
} elsif ( $vars->{'etape'} eq 'confirmation' ) {
	do_echange();
} else {
	choixradius();
}

sub choixradius() {
	my $form = form_read ( $cfg, 'echangeradius' );
	#my $none = form_new_selval, $cfg, '');
	#form_add_selval($form->{byname}->{'ligne1'}, $none);
	ajoute_separateur($form, 'ligne1', '', 'rien');
	ajoute_liste_lignes($form, 'ligne1');
	ajoute_separateur($form, 'ligne2', '', 'rien');
	ajoute_liste_lignes($form, 'ligne2');
	ajoute_separateur($form, 'raduser1', '', 'rien');
	ajoute_liste_raduser($form, 'raduser1');
	ajoute_separateur($form, 'raduser2', '', 'rien');
	ajoute_liste_raduser($form, 'raduser2');
	eject_page("<p>Renseigner soit la ligne, soit le login radius, ceci pour chacun des deux cts.</p>".affiche_form($form,$vars));
}

sub confirmation() {
	if (! defined $ligne1 || ! defined $ligne2) {
		eject_page_error("<p>Il faut au moins choisir une ligne ou un radius pour chaque</p>");
		exit(0);
	}

	if ($raduser1->{RADUSER_LOGIN} eq $raduser2->{RADUSER_LOGIN} ) {
		eject_page_error("<p>C'est la mme chose!</p>");
		exit(0);
	}

	my $page = "";

	$page .= tableau_1d('adsl/rewrite.tbl', 'ligne', $ligne1, "Ligne 1");
	$page .= tableau_1d('adsl/rewrite.tbl', 'raduser', $raduser1, "Raduser 1");
	$page .= "<br/> changer avec<br/>\n";
	$page .= tableau_1d('adsl/rewrite.tbl', 'ligne', $ligne2, "Ligne 2");
	$page .= tableau_1d('adsl/rewrite.tbl', 'raduser', $raduser2, "Raduser 2");

	$page .= "<p>Vraiment changer les logins radius de ces deux lignes?</p>";
	$page .= '<form method="get" action=echangeradius.cgi>';
	$page .= '<input type="hidden" name="ligne1" value="'.$ligne1->{LIGNE_ID}.'"/>';
	$page .= '<input type="hidden" name="ligne2" value="'.$ligne2->{LIGNE_ID}.'"/>';
	$page .= '<input type="hidden" name="etape" value="confirmation"/>';
	$page .= '<input type="submit" value="Oui"/>';
	$page .= '</form>';

	eject_page($page);
}

sub do_echange() {
        my $query = "UPDATE RADUSER as RADUSER1, RADUSER as RADUSER2". 
                    " SET RADUSER1.LIGNE_ID='".$ligne2->{LIGNE_ID}."'".
                       ", RADUSER2.LIGNE_ID='".$ligne1->{LIGNE_ID}."'".
                    " WHERE RADUSER1.LIGNE_ID='".$ligne1->{LIGNE_ID}."'".
                      " AND RADUSER2.LIGNE_ID='".$ligne2->{LIGNE_ID}."';"; 
        my $result = sql_transaction($dbh, 'update', $query); 

	if ( ! $result->{'ok'} ) {
		eject_page("<p>a a chou :/ $query ".Dumper($result)."</p>");
		exit(0);
	}

	eject_page("<p>On a chang ".$raduser1->{RADUSER_LOGIN}." et ".$raduser2->{RADUSER_LOGIN}." des lignes ".$ligne1->{LIGNE_TEL}." et ".$ligne2->{LIGNE_TEL}."</p>");
}
