#!/usr/bin/perl

use strict;
use FDN::Web::Array;
use FDN::Adsl::Utils;
use FDN::Adsl::Basic;

my $cgi = new CGI;
my $vars = $cgi->Vars;

# Comment rcuprer le 95e percentile de la priode entre $start et maintenant
sub get_95e($) {
	my ($start) = @_;
	return "rrdtool graph -s $start - ".
		"DEF:in=\$i:traffic_in:AVERAGE ".
		"DEF:out=\$i:traffic_out:AVERAGE ".
		"CDEF:max=in,out,MAX ".
		"'CDEF:maxbits=max,8,*' ".
		"VDEF:pct=maxbits,95,PERCENT ".
		"'PRINT:pct: %8lf'";
}

my $res;
my $fh;

# Rcuprer les diffrents percentiles
$res = open $fh, '( cd /var/lib/rrd ; for i in *.rrd ; do echo -n "$i " ; '.
'val=$('.get_95e('-10min').' | tail -n 1) ; echo -n "$val " ; '.
'val=$('.get_95e('-1d').' | tail -n 1) ; echo -n "$val " ; '.
'val=$('.get_95e('-7d').' | tail -n 1) ; echo -n "$val " ; '.
'val=$('.get_95e('-1mon').' | tail -n 1) ; echo -n "$val " ; '.
'echo ; done ) |';

if ( ! $res ) {
	eject_page_error("couldn't start rrdtool");
}

my $login;
my $min;
my $jour;
my $semaine;
my $mois;

my %stats_min;
my %stats_jour;
my %stats_semaine;
my %stats_mois;

while (<$fh>)
{
	($login,$min,$jour,$semaine,$mois) = split ' ';
	$login =~ s/.rrd$//;
	if ($min eq '-nan') { $min = 0; }
	if ($jour eq '-nan') { $jour = 0; }
	if ($semaine eq '-nan') { $semaine = 0; }
	if ($mois eq '-nan') { $mois = 0; }
	$stats_min{$login} = $min ;
	$stats_jour{$login} = $jour;
	$stats_semaine{$login} = $semaine;
	$stats_mois{$login} = $mois;
}

# Trier selon la colonne choisie
sub tri_min ($$) {
	my ($a, $b) = @_;
	return $stats_min{$a} <=> $stats_min{$b};
}

sub tri_jour ($$) {
	my ($a, $b) = @_;
	return $stats_jour{$a} <=> $stats_jour{$b};
}

sub tri_semaine ($$) {
	my ($a, $b) = @_;
	return $stats_semaine{$a} <=> $stats_semaine{$b};
}

sub tri_mois ($$) {
	my ($a, $b) = @_;
	return $stats_mois{$a} <=> $stats_mois{$b};
}

my $letri;
my $dotrimin = "<a href='liste-debits.cgi?tri=min'>10 minutes</a>";
my $dotrijour = "<a href='liste-debits.cgi?tri=jour'>jour</a>";
my $dotrisemaine = "<a href='liste-debits.cgi?tri=semaine'>semaine</a>";
my $dotrimois = "<a href='liste-debits.cgi?tri=mois'>mois</a>";

if (!$vars->{'tri'} || $vars->{'tri'} eq '' || $vars->{'tri'} eq 'min') {
	$letri = \&tri_min;
	$dotrimin = "5 minutes";
}
if ($vars->{'tri'} eq 'jour') {
	$letri = \&tri_jour;
	$dotrijour = "jour";
}
if ($vars->{'tri'} eq 'semaine') {
	$letri = \&tri_semaine;
	$dotrisemaine = "semaine";
}
if ($vars->{'tri'} eq 'mois') {
	$letri = \&tri_mois;
	$dotrimois = "mois";
}

# Ajouter des lments "utilisateur Radius" dans un tableau, avec les stats 
# ct.
my @users;
foreach $login (sort {&$letri($b,$a)} keys %stats_min) {
	my $fdn_login = $login;
	$fdn_login =~ s/^.*%//;
	my $ru = raduser_par_login($fdn_login);
	if (!$ru) {
		# Build a fake ru
		$ru->{'RADUSER_ID'} = -1;
		$ru->{'RADUSER_LOGIN'} = $login;
		$ru->{'RADGROUP_ID'} = -1;
		$ru->{'LIGNE_ID'} = -1;
		$ru->{'VPN_ID'} = -1;
	}
	$ru->{'MIN'} = int($stats_min{$login}/100000)/10;
	$ru->{'JOUR'} = int($stats_jour{$login}/100000)/10;
	$ru->{'SEMAINE'} = int($stats_semaine{$login}/100000)/10;
	$ru->{'MOIS'} = int($stats_mois{$login}/100000)/10;
	push @users, $ru;
}

eject_page(tableau_2d('adsl/rewrite.tbl','raduser-detail',\@users,"Liste des connects par dbit, tri par $dotrimin, $dotrijour, $dotrisemaine, $dotrimois"));
