#!/usr/bin/perl

use strict;
use CGI;
use FDN::Common::Config;
use FDN::Web::Forms;
use FDN::Web::Array;
use FDN::Adsl::Utils;
use FDN::Adsl::Basic;
use FDN::Adsl::Infos;
use FDN::Sql::Workflow::Run;

my $cgi = new CGI;
my $vars = $cgi->Vars;

if ( ! defined $vars->{'vid'} ) {
	my @vpns = vpn_par_state('new');
	my $page = tableau_2d('adsl/rewrite.tbl','vpn-fas',\@vpns);
	eject_page($page);
	exit(0);
}

my $vid = $vars->{'vid'};
if ( $vars->{'do'} ne 'yes' ) {
	my $vpn = vpn_par_id($vid);
	my $cid = $vpn->{'CLIENT_ID'};
	my $client = client_par_id($cid);
	my $page;
	my @infos;

	$page  = tableau_1d('adsl/rewrite.tbl','vpn',$vpn,"Description du VPN");
	$page .= tableau_1d('adsl/rewrite.tbl','client',$client,"Description du client");
	if ( $client->{'PRELEVEMT_ID'} ) {
		my $prel = prelevemt_par_id($client->{'PRELEVEMT_ID'});
		$page .= tableau_1d('adsl/rewrite.tbl','prelevemt',$prel,"Compte bancaire pour prelevement");
	} else {
		$page .= '<div class="error">Pas de compte bancaire pour les prelevements. Paiement par facture ?</div>'."\n\n";
	}


	@infos = toutes_infos_vpn($vid);
	$page .= tableau_2d('adsl/rewrite.tbl','infos',\@infos,"Informations sur le VPN");

	@infos = toutes_infos_client($cid);
	$page .= tableau_2d('adsl/rewrite.tbl','infos',\@infos,"Informations sur le client");

	$page .= "<p>Il faut vrifier la prsence de tous ces lments:<br>\n".
		 "<b>Nouvel adhrent:</b></p>\n".
		 "<ul>\n".
		 "<li>l'image du bulletin d'adhsion;</li>\n".
		 "<li>l'image de l'autorisation de prlvement;</li>\n".
		 "<li>la saisie du RIB pour le prlvement (l'item &nbsp;Paiment&nbsp;\n".
		 "    dans la description du client ne doit pas mentionner de Facture, mais\n".
		 "    l'identifiant du RIB);</li>\n".
		 "<li>l'image de la pice d'identit de l'adhrent;</li>\n".
		 "<li>l'image du justificatif (carte d'tudiant, etc) si l'adhrent\n".
		 "    demande le tarif prfrentiel.\n".
		 "</ul>\n".
		 "<p>Si un des lments manque, il faut retourner le scanner, ou attendre\n".
		 "de le recevoir selon le cas. <b>Ne pas valider de ligne s'il manque des\n".
		 "documents!</b></p>";
	
	$page .= '<p><a href="paye-fasvpn.cgi?vid='.$vid.'&do=yes">Valider</a></p>';
	eject_page($page);
	exit(0);
}

my $vpn = vpn_par_id($vid);
my $cid = $vpn->{'CLIENT_ID'};
my $client = client_par_id($cid);
if ($client->{'CLIENT_NUMADH'} < 0 && $client->{'CLIENT_TYPE'} ne 'blanche' && $client->{'CLIENT_TYPE'} ne 'collecte') {
	eject_page_error("Le.la futur.e abonn.e n'est pas encore adhrent, il faut d'abord vrifier son adhsion et cliquer sur 'Initialiser'");
	exit(0);
}

my $event = 'FAS-vpn'.$vpn->{'VPN_ID'};
# Mise en facturation sera faite en fin de construction.
#set_ligne_dtfac($lid);
workflow_select_db('adsl');
send_event($event);
my $index = Config_Key('adsl/global.cfg','web','index');
print "Location: $index\n\n";

