#!/usr/bin/perl

use strict;
use CGI;
use FDN::Web::Forms;
use FDN::Web::Array;
use FDN::Adsl::Utils;
use FDN::Adsl::Factu;
use FDN::Adsl::Basic;

my $cgi = new CGI;
my $vars = $cgi->Vars;

my $form = form_read('adsl/form/factu.cfg','Pprlbq2');
my $field = $form->{'byname'}->{'Prejets'};
my $pid = $vars->{prlbq};
my $prl = prlbq_par_id($pid);
my $type = $prl->{'PRLBQ_TYPE'};

my @pls;
my $page;
if ( $type eq 'sepa' ) {
        @pls = prlligsepa_par_prlbq_id($pid);
	@pls = grep { $_->{PRLLIGSEPA_ETAT} ne 'rejet' } @pls;
        $page = tableau_2d('adsl/rewrite.tbl','rejetssepa',,\@pls);
} else {
        @pls = prllig_par_prlbq_id($pid);
	@pls = grep { $_->{PRLLIG_ETAT} ne 'rejet' } @pls;
        $page  = tableau_2d('adsl/rewrite.tbl','rejets',,\@pls);
}
# Le field est un bloc HTML contenant les cases a cocher
form_set_field_value($field,$page);

if ( $vars->{'do'} ne 'yes' ) {
	eject_page(affiche_form($form,$vars));
	exit(0);
}
if ( !check_transition($form,$vars) ) {
	eject_page(affiche_form($form,$vars));
	exit(0);
}

my @payes;
my @rejets;
$page = "";
for my $pl ( @pls ) {
	my $plid = $type eq 'sepa' ? $pl->{'PRLLIGSEPA_ID'} : $pl->{'PRLLIG_ID'};
	if ( $vars->{'rejet'.$plid} eq 'yes' ) {
		$page .= "<p>Ligne $plid rejetee.</p>";
		push @rejets, $pl;
	} else {
		$page .= "<p>Ligne $plid payee.</p>";
		push @payes, $pl;
	}
}
encaisser_prelevement($pid, \@payes, \@rejets);
eject_page($page);

