#!/usr/bin/perl

use strict;
use CGI;
use Data::Dumper;
### use FDN::Common::Config;
use FDN::Common::Logger;
use FDN::Web::Forms;
use FDN::Adsl::Utils;
use FDN::Adsl::Basic;
use FDN::Adsl::Wf;
### 
### use Template;
### 
### my $tt = Template->new({
### 	INCLUDE_PATH  => '/usr/share/fdn/templates/adsl/html',
### 	INTERPOLATE   => 1,
### 	POST_CHOMP    => 1
### });

my ( $nid, $iid );
my $titres_client = {
	'adhesion' => "Bulletin d'adhesion",
	'prele'    => "Autorisation de prlvement",
	'id'	   => "Carte d'identit",
	'etudiant' => "Carte d'tudiant etc.",
	'npai'	   => "Retour courrier NPAI",
	'autre'	   => undef,
};
my $titres_ligne = {
	'mandat' => 'Mandat de degroupage',
	'abo1'   => "Bulletin d'abonnement page 1",
	'abo2'	 => "Bulletin d'abonnement page 2",
	'ft'     => "Justificatif ligne telephonique",
	'dom'    => "Justificatif de domicile",
	'autreligne' => undef,
};
my $titres_vpn = {
	'abovpn' => "Bulletin d'abonnement VPN",
	'autrevpn' => undef,
};
sub termine($;$) {
	my ( $info, $titre ) = @_;
	if ( defined $titre ) {
		set_info_titre($iid, 'img:'.$titre);
	}
	del_newinfo($nid);
	eject_page('<b>'.$info.'</b><br/><a href="sort-take.cgi">Candidat suivant</a>');
	exit 0;
}

my $cgi = new CGI;
my $vars = $cgi->Vars;


$nid = $vars->{'nid'};
if ( ! $nid ) {
	error "Pas de nid";
	eject_page('Pas de document choisi. <a href="sort-index.cgi">Choisir</a>.');
	exit 0;
}
my $ni = newinfo_par_id($nid);

if ( exists $vars->{'jeter'}  && $vars->{'jeter'} ) {
	if ( $vars->{'jeter'} eq 'double-check' ) {
		info "Jeter, double check ok, poubelle";
		termine('Rang dans la poubelle');
	} else {
		info "Il me faut un double check";
		eject_page('<a href="sort-end.cgi?jeter=double-check&nid='.$nid.'">Merci de confirmer que tu es certain de vouloir jeter le doc.</a>');
		exit 0;
	}
}

my $info = info_par_id($ni->{'INFO_ID'});
if ( ! $info ) {
	error "Le $nid n'est pas associe a un INFO";
	termine("Entre invalide.");
}
$iid = $info->{'INFO_ID'};


info "Je traite le NEWINFO $nid attache a l'INFO $iid";



if ( exists $vars->{'affect'} && $vars->{'affect'} ) {
	info "Re-affectation a $vars->{'affect'}";
	if ( $vars->{'affect'} ne 'myself' ) {
		if ( $vars->{'affect'} eq 'nobody' ) {
			info "Affecte a nobody, je le mets a la fin";
			set_newinfo_nouser($nid);
			set_newinfo_last($nid);
		} else {
			set_newinfo_user($nid, $vars->{'affect'});
		}
	}
	print "Location: sort-index.cgi\n\n";
	exit 0;
}


if ( $vars->{'doctype'} ) {
	info "On attache a un client";
	# On attache a un client
	my $num = $vars->{'client'};
	my $client;
	if (substr($num, 0, 7) eq "adhacc-")
	{
		$client = client_par_id(substr($num, 7));
	}
	else
	{
		$client = client_par_numadh($num);
	}
	if ( ! $client ) {
		error "Pas trouve le client";
		goto BROKEN;
	}
	my $cid = $client->{'CLIENT_ID'};

	my $titre;
	my $type = $vars->{'doctype'};
	if ( exists $titres_client->{$type} ) {
		# Client seulement
		$titre = $titres_client->{$type};
		$titre = $vars->{'titre-client'} if ! defined $titre;
		new_clientinfo($cid,$iid);
		if ( $vars->{'doctype'} eq 'npai' && $vars->{'sendmail'} ) {
			my $aid = $client->{'ADRESSE_ID'};
			my $adresse = adresse_par_id($aid);
			if ( $adresse && $adresse->{'ADRESSE_MAIL'} ) {
				my $mail = $adresse->{'ADRESSE_MAIL'};
				envoie_mail($mail,'adr-invalide',{
						'adresse' => $adresse->{'ADRESSE_ADR'},
						'cp' => $adresse->{'ADRESSE_CP'},
						'ville' => $adresse->{'ADRESSE_VILLE'}
					});
				$titre .= " prevenu $mail";
			}
			set_adresse_adr($aid, "ADRESSE INVALIDE\n".$adresse->{'ADRESSE_ADR'});
		}
		termine("Rang sur le client.",$titre);
	} elsif ( exists $titres_ligne->{$type} ) {
		# Ligne aussi
		my $lid = $vars->{'ligne'};
		my $ligne = ligne_par_id($lid);
		if ( ! $ligne ) {
			error "Pas trouve la ligne";
			goto BROKEN;
		}
		if ( $ligne->{'CLIENT_ID'} != $cid ) {
			error "La ligne n'est pas au client qu'on croit...";
			goto BROKEN;
		}
		$titre = $titres_ligne->{$type};
		$titre = $vars->{'titre-ligne'} if ! defined $titre;
		new_ligneinfo($lid,$iid);
		termine("Rang sur la ligne.",$titre);
	} elsif ( exists $titres_vpn->{$type} ) {
		# VPN aussi
		my $vid = $vars->{'vpn'};
		my $vpn = vpn_par_id($vid);
		if ( ! $vpn ) {
			error "Pas trouve le VPN";
			goto BROKEN;
		}
		if ( $vpn->{'CLIENT_ID'} != $cid ) {
			error "Le VPN n'est pas au client qu'on croit...";
			goto BROKEN;
		}
		$titre = $titres_vpn->{$type};
		$titre = $vars->{'titre-ligne'} if ! defined $titre;
		new_vpninfo($vid,$iid);
		termine("Rang sur le VPN.",$titre);
	} else {
		error "Pas le bon doctype...";
		goto BROKEN;
	}
}

if ( $vars->{'compta'} ) {
	# On attache en compta
	info "On attache en compta";
	my $cid = $vars->{'compta'};
	my $compta = compta_par_id($cid);
	if ( ! $cid ) {
		error "Pas trouve la categorie comptable";
		goto BROKEN;
	}
	my $titre = $vars->{'titre-compta'};
	if ( ! $titre ) {
		error "Pas de titre";
		goto BROKEN;
	}
	new_comptainfo($cid, $iid);
	termine("Rang en compta.",$titre);
}

BROKEN:
print "Location: sort-scan.cgi?nid=$nid\n\n";

