#!/usr/bin/perl

use strict;
use CGI;
use FDN::Common::Logger;
use FDN::Adsl::Utils;
use FDN::Adsl::Basic;

my $cgi = new CGI;
my $vars = $cgi->Vars();

my $auth_type = $cgi->auth_type();
my $remote_user = $cgi->remote_user();

if ( $auth_type ne 'Basic' || ! $remote_user ) {
	eject_page("Cette page ne doit etre accessible qu'apres authentification");
	exit 0;
}

if ( ! lock_newinfo() ) {
	info "Failed lock";
	print "Location: sort-index.cgi\n\n";
	exit 0;
}

my $ni;
if ( exists $vars->{'lock'} && $vars->{'lock'} ) {
	info "Reprise d'un doc de $vars->{'lock'}";
	$ni = newinfo_par_user($vars->{'lock'});
} elsif ( exists $vars->{'niid'} && $vars->{'niid'} ) {
	my $niid = $vars->{'niid'};
	info "Prise du doc $niid";
	$ni = newinfo_par_id($niid);
} else {
	info "Prise d'un nouveau doc";
	$ni = first_newinfo();
}
if ( ! $ni ) {
	info "Pas trouve de document";
	unlock_newinfo();
	eject_page('Rien  traiter. <a href="sort-index.cgi">Retour</a>.');
	exit 0;
}
my $nid = $ni->{'NEWINFO_ID'};

if ( $ni->{'NEWINFO_USER'} ne $remote_user ) {
	info "Document re-affecte a $remote_user";
	set_newinfo_user($nid, $remote_user);
}
unlock_newinfo();

print "Location: sort-scan.cgi?nid=$nid\n\n";


