#!/usr/bin/perl

use strict;
use CGI;
use FDN::Adsl::Stats;
use FDN::Adsl::Utils;
use FDN::Adsl::Basic;
use List::MoreUtils qw(uniq);

my $cgi = new CGI;
my $vars = $cgi->Vars;

print "Content-Type: text/csv\n";
print "Content-Disposition: inline; filename=\"stats.csv\"\n\n";

my $first;
if ( exists $vars->{'date'} ) {
	my $stats = retrieve_stats($vars->{'date'});
	$first = 1;
	my @keys = sort keys %$stats ;
	for my $name ( @keys ) {
		if ($first) {
			$first = 0;
		} else {
			print ";";
		}
		print "$name";
	}
	print "\n";

	$first = 1;
	for my $name ( @keys ) {
		if ($first) {
			$first = 0;
		} else {
			print ";";
		}
		print $stats->{$name}->{count};
	}

	print "\n";
} else {
	my $res = "";
	my @stats = tous_stat();
	my @names = ();
	my @dates = ();
	for my $s ( @stats ) {
		if ($s->{STAT_NAME} ne "nbadh" and $s->{STAT_NAME} !~ /-count$/) {
			next;
		}
		push @names, $s->{STAT_NAME};
		push @dates, $s->{STAT_DATE};
	}

	@names = uniq (sort @names);
	@dates = uniq (sort @dates);

	$first = 1;
	print ";";
	for my $name (@names) {
		$name =~ s/-count$//;
		if ($first) {
			$first = 0;
		} else {
			print ";";
		}
		print $name;
	}
	print "\n";

	for my $date (@dates) {
		print $date;
		my $stats = retrieve_stats($date);
		for my $name (@names) {
			$name =~ s/-count$//;
			print ";".$stats->{$name}->{count};
		}
		print "\n";
	}
}
