#!/usr/bin/perl

use strict;
use CGI;
use FDN::Web::Forms;
use FDN::Common::Modules;
use FDN::Common::Logger;
use FDN::Common::Config;
use FDN::Adsl::Basic;
use FDN::Adsl::Utils;
use JSON::Any;

my $cgi = new CGI;
my $vars = $cgi->Vars;

my $cfg = 'adsl/subs/eligibilite.cfg';
my $tbl = 'adsl/subs/eligibilite.tbl';

if ( $vars->{'etape'} eq 'adr_gps' ) {
	adr_gps();
} else {
	erreur();
}

sub adr_gps() {
	conduse('FDN::Adsl::SelL');
	my $retour = {};
	$retour->{erreur} = 0;

	my $ret = get_gps($vars->{'street_nb'}, $vars->{'street'}, $vars->{'zip'}, $vars->{'city'});

	my $j = JSON::Any->new;
	my $json = $j->objToJson($ret);

	eject_page_text($json);
}

sub erreur() {
	my $page = "Cette adresse est destine  tre accde par un programme.";
	eject_page($page);
}

