#!/usr/bin/perl

use strict;
use CGI;
use FDN::Web::Forms;
use FDN::Common::Modules;
use FDN::Common::Logger;
use FDN::Common::Config;
use FDN::Adsl::Basic;
use FDN::Adsl::Utils;
use JSON::Any;

my $cgi = new CGI;
my $vars = $cgi->Vars;

my $cfg = 'adsl/subs/eligibilite.cfg';
my $tbl = 'adsl/subs/eligibilite.tbl';

if ( $vars->{'etape'} eq 'cherche_nd' ) {
	cherche_nd();
} else {
	erreur();
}

sub cherche_nd() {
	conduse('FDN::Adsl::SelL');
	my $retour = {};
	$retour->{erreur} = 0;

	my $results = get_nd($vars->{city}, $vars->{zip}, $vars->{street}, $vars->{street_nb});
	# Compter le nombre de numros en liste rouge
	my $rouges = grep { my $flags = $_->{flags}; grep( /^LR$/, @$flags) } @$results;
	# Et les enlever du rsultat
	@$results = grep { my $flags = $_->{flags}; ! grep( /^LR$/, @$flags) } @$results;
	for my $result ( @$results ) {
		$result->{name} =~ s/(?<!\b).(?!\b)/./g;
	}
	$retour->{liste} = $results;
	$retour->{nb_rouges} = $rouges;

	my $j = JSON::Any->new;
	my $json = $j->objToJson($retour);

	eject_page_text($json);
}

sub erreur() {
	my $page = "Cette adresse est destine  tre accde par un programme.";
	eject_page($page);
}

