#!/usr/bin/perl

use strict;
use CGI;
use FDN::Web::Forms;
use FDN::Common::Modules;
use FDN::Common::Logger;
use FDN::Common::Config;
use FDN::Adsl::Basic;
use FDN::Adsl::Utils;
use JSON::Any;

my $cgi = new CGI;
my $vars = $cgi->Vars;

my $cfg = 'adsl/subs/eligibilite.cfg';
my $tbl = 'adsl/subs/eligibilite.tbl';

if ( $vars->{'etape'} eq 'cherche_rue' ) {
	cherche_rue();
} else {
	erreur();
}

sub cherche_rue() {
	conduse('FDN::Adsl::SelL');

	my $results = get_rue($vars->{query}, $vars->{city}, $vars->{zip});

	my @sresults = sort @$results;
	# On viter de surcharger le tout en limitant  100
	if ($#sresults > 100) {
		$#sresults = 100;
	}

	my $j = JSON::Any->new;
	my $json = $j->objToJson(\@sresults);

	print("Access-Control-Allow-Origin: *\r\n");
	eject_page_text($json);
}

sub erreur() {
	my $page = "Cette adresse est destine  tre accde par un programme.";
	eject_page($page);
}

