#!/usr/bin/perl

use strict;
use CGI;
use FDN::Web::Forms;
use FDN::Common::Modules;
use FDN::Common::Logger;
use FDN::Common::Config;
use FDN::Adsl::Basic;
use FDN::Adsl::Utils;
use JSON::Any;

my $cgi = new CGI;
my $vars = $cgi->Vars;

my $cfg = 'adsl/subs/eligibilite.cfg';
my $tbl = 'adsl/subs/eligibilite.tbl';

if ( $vars->{'etape'} eq 'gps_batiments' ) {
	gps_batiments();
} else {
	erreur();
}

sub gps_batiments() {
	conduse('FDN::Adsl::SelL');
	my $retour = {};
	$retour->{erreur} = 0;

	my ($x1, $y1) = FDN::Adsl::SelL::gps_to_web($vars->{lat1}, $vars->{lon1});
	my ($x2, $y2) = FDN::Adsl::SelL::gps_to_web($vars->{lat2}, $vars->{lon2});
	my $immeubles = FDN::Adsl::SelL::get_immeubles_geom($x1, $y1, $x2, $y2);
	my $liste = $immeubles->{data}->{features};

	my $ret = [];

	for my $immeuble ( @$liste ) {
		my $ref = $immeuble->{properties}->{pk};
		my $coords = $immeuble->{geometry}->{coordinates};
		my $xx = @$coords[0];
		my $yy = @$coords[1];
		my ($lat, $lon) = FDN::Adsl::SelL::web_to_gps($xx, $yy);

		my $im = { "ref" => $ref, "lat" => $lat, "lon" => $lon };

		push @$ret, $im;
	}

	my $j = JSON::Any->new;
	my $json = $j->objToJson($ret);

	eject_page_text($json);
}

sub erreur() {
	my $page = "Cette adresse est destine  tre accde par un programme.";
	eject_page($page);
}

