#!/usr/bin/perl

use strict;
use CGI;
use FDN::Web::Forms;
use FDN::Common::Modules;
use FDN::Common::Logger;
use FDN::Common::Config;
use FDN::Adsl::Basic;
use FDN::Adsl::Utils;
use JSON::Any;

my $cgi = new CGI;
my $vars = $cgi->Vars;

my $cfg = 'adsl/subs/eligibilite.cfg';
my $tbl = 'adsl/subs/eligibilite.tbl';

if ( $vars->{'etape'} eq 'nd_info' ) {
	nd_info();
} else {
	erreur();
}

sub nd_info() {
	conduse('FDN::Adsl::SelL');
	my $retour = {};
	$retour->{erreur} = 0;

	sub get_adr($$$$) {
		my ($zip, $refimmeuble, $tel, $typend) = @_;
		my $info;
		if ($typend eq "inactif") {
			$info = FDN::Adsl::SelL::get_info_addr_nd_pto($zip, $refimmeuble, $tel, $typend);
		} else {
			$info = FDN::Adsl::SelL::get_info_addr_nd($tel, $typend);
		}
		if (!defined $info || defined $info->{'error'}{'msg'}) {
			return undef;
		}
		$info->{'info'}{'name'} =~ s/(?<!\b).(?!\b)/./g;
		return {
			'name' => $info->{'info'}{'name'},
			'street_nb' => $info->{'info'}{'street_nb'},
			'street' => $info->{'info'}{'street'},
			'ensemble' => $info->{'info'}{'ensemble'},
			'building' => $info->{'info'}{'building'},
			'stairs' => $info->{'info'}{'stairs'},
			'floor' => $info->{'info'}{'floor'},
			'door' => $info->{'info'}{'door'},
			'city' => $info->{'info'}{'city'}
		};
	}

	$retour->{actif} = get_adr($vars->{zip}, $vars->{refimmeuble}, $vars->{tel}, "actif");
	$retour->{inactif} = get_adr($vars->{zip}, $vars->{refimmeuble}, $vars->{tel}, "inactif");
	$retour->{precab} = get_adr($vars->{zip}, $vars->{refimmeuble}, $vars->{tel}, "precab");

	my $j = JSON::Any->new;
	my $json = $j->objToJson($retour);

	eject_page_text($json);
}

sub erreur() {
	my $page = "Cette adresse est destine  tre accde par un programme.";
	eject_page($page);
}

