#!/usr/bin/perl

use strict;
use CGI;
use FDN::Web::Forms;
use FDN::Web::Array;
use FDN::Web::TemplateParse;
use FDN::Adsl::Utils;
use FDN::Adsl::Basic;
use FDN::Common::Logger;
use FDN::Common::Modules;
use FDN::Common::Config;
use FDN::Sql::Workflow::Basic;;

my $cgi = new CGI;
my $vars = $cgi->Vars;

my $form = form_read('adsl/adhs/suivi.cfg','suivi');
if ( $vars->{'do'} ne 'yes' ) {
	eject_page(affiche_form($form,$vars));
	exit(0);
}
if ( !check_transition($form,$vars) ) {
echec:
	eject_page(affiche_form($form,$vars));
	exit(0);
}

# Suivi effectif de la commande
my $dplnum = $vars->{dplid};
my $tel   = $vars->{tel};

my $deploiement = deploiement_par_num($dplnum);
if ( !defined $deploiement ) {
	error "Pas de commande numero $dplnum";
	goto echec;
}

my $is_vpn = 1;
my $ligne = {};
my $debit = {};
my $vpn = {};
my $cid;
my $modif;
if ( $tel !~ /^vpn(\d+)$/ ) {
	$ligne = ligne_par_tel($tel);
	if ( !defined $ligne ) {
		error "Pas de ligne $tel";
		goto echec;
	}

	if ( $deploiement->{'LIGNE_ID'} != $ligne->{'LIGNE_ID'} ) {
		error "Le deploiement ne cadre pas avec la ligne";
		goto echec;
	}
	my $tid = $deploiement->{'TASK_ID'};
	workflow_select_db('adsl');
	my $props = get_task_properties($tid);
	$ligne->{'LIGNE_OPT'} = $props->{'option'};
	$cid = $ligne->{'CLIENT_ID'};
	$debit = debit_par_debit($props->{'debit'});
	$modif = $props->{'modif'};
	$is_vpn = 0;
} else {
	$vpn = vpn_par_id($1);
	if ( ! defined $vpn ) {
		error "Pas de VPN $1";
		goto echec;
	}

	if ( $deploiement->{'VPN_ID'} != $vpn->{'VPN_ID'} ) {
		error "Le deploiement ne cadre pas avec le vpn";
		goto echec;
	}
	my $adr = adresse_par_id($vpn->{'ADRESSE_ID'});
	$vpn->{'vpn_nom'} = $adr->{'ADRESSE_NOM'};
	$cid = $vpn->{'CLIENT_ID'};
	$is_vpn = 1;
}

my $client = client_par_id($cid);
if ( !defined $client ) {
	error "Le client n'existe pas";
	goto echec;
}

my $page;

my $infos = { %$deploiement, %$ligne, %$vpn, %$client, %$debit };
if ( ! $is_vpn ) {
	$page  .= tableau_1d('adsl/rewrite.tbl','deploiement-suivi',$infos);
} else {
	$page  .= tableau_1d('adsl/rewrite.tbl','deploiement-vpn',$infos);
}
my $did = $deploiement->{'DEPLOIEMENT_ID'};
my $hash = {};
$hash->{URL} = Config_Key('adsl/global.cfg','web','urlsuivi');
$hash->{tel} = $tel;
$hash->{dplnum} = $dplnum;
$hash->{'mandat'}=0;
$hash->{modif} = $modif;
$hash->{'VPN_ID'} = $vpn->{'VPN_ID'};
my $dir = Config_Key('adsl/global.cfg','dirs','stockpdf');
if ( -f $dir.'/'.$dplnum.'/autorisation.pdf' ) {
	$hash->{'prelevement'}=1;
}
if ( -f $dir.'/'.$dplnum.'/adhesion.pdf' ) {
	$hash->{'adhesion'}=1;
}
if ( -f $dir.'/'.$dplnum.'/souscription.pdf' ) {
	$hash->{'souscription'}=1;
}
if ( -f $dir.'/'.$dplnum.'/abovpn.pdf' ) {
	$hash->{'abovpn'}=1;
}
my $dir = Config_Key('adsl/global.cfg','dirs','htmltpl');
$page .= remplace($dir.'/infos-commande.tpl',$hash,1);
eject_page($page);


