(function() {

var $formRequest = $("form");

var $city = $formRequest.find("[name=villedflt]");
var $zip = $formRequest.find("[name=cpdflt]");
var $street = $formRequest.find("[name=rue]");

function init() {
	var cityFetcher = new Bloodhound({
		datumTokenizer: Bloodhound.tokenizers.obj.whitespace('value'),
		queryTokenizer: Bloodhound.tokenizers.whitespace,
		remote: {
			url: "cherche-ville.cgi?etape=cherche_ville&query=%QUERY&zip=%ZIP",
			replace: function(url, query) {
				var the_zip = $zip.val();
				the_zip = the_zip !== undefined ? the_zip : "";
				query = query.replace(/[]/g, "a");
				query = query.replace(/[]/g, "ae");
				query = query.replace(/[]/g, "c");
				query = query.replace(/[]/g, "e");
				query = query.replace(/[]/g, "i");
				query = query.replace(/[]/g, "n");
				query = query.replace(/[]/g, "o");
				query = query.replace(/[]/g, "u");
				query = query.replace(/[]/g, "y");
				query = query.replace(/[]/g, "ss");
				url = url.replace("%QUERY", query);
				url = url.replace("%ZIP", the_zip);
				return url;
			},
			cache: false
		}
	});

	$city.typeahead({
		hint: true,
		highlight: true
	}, {
		name: "villedflt",
		limit: Number.MAX_VALUE,
		source: cityFetcher
	});

	var streetFetcher = new Bloodhound({
		datumTokenizer: Bloodhound.tokenizers.obj.whitespace('value'),
		queryTokenizer: Bloodhound.tokenizers.whitespace,
		remote: {
			url: "cherche-rue.cgi?etape=cherche_rue&query=%QUERY&city=%CITY&zip=%ZIP",
			replace: function(url, query) {
				var the_zip = $zip.val();
				var the_city = $city.val();
				the_zip = the_zip !== undefined ? the_zip : "";
				the_city = the_city !== undefined ? the_city : "";
				query = query.replace(/[]/g, "a");
				query = query.replace(/[]/g, "ae");
				query = query.replace(/[]/g, "c");
				query = query.replace(/[]/g, "e");
				query = query.replace(/[]/g, "i");
				query = query.replace(/[]/g, "n");
				query = query.replace(/[]/g, "o");
				query = query.replace(/[]/g, "u");
				query = query.replace(/[]/g, "y");
				query = query.replace(/[]/g, "ss");
				url = url.replace("%QUERY", query);
				url = url.replace("%CITY", the_city);
				url = url.replace("%ZIP", the_zip);
				return url;
			},
			cache: false
		}
	});

	$street.typeahead({
		hint: true,
		highlight: true
	}, {
		name: "rue",
		limit: Number.MAX_VALUE,
		source: streetFetcher
	});
}

$(document).ready(init);

})();
